qt6-base (6.8.2+dfsg-7+droidian0+git20250625220241.c7e7143.next.production) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Bump to 6.8.2+dfsg-7

  [ Alexander Stippich ]
  * rely on CUPS for multiple page ranges in unix version of QPrintDialog

  [ Thiago Macieira ]
  * GUI: no need to unregister input device if list is destroyed

  [ Patrick Franz ]
  * New changelog entry.
  * Backport patch to prevent unregistering an input device if the list is destroyed (Closes: 1108018).
  * Backport patch to rely on CUPS for multiple page ranges (Closes: #1108026).
  * Release to unstable.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 26 Jun 2025 00:02:41 +0200

qt6-base (6.8.2+dfsg-6+droidian0) next; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Bump to 6.8.2+dfsg-6

  [ Shawn Rutledge ]
  * QTextMarkdownImporter: Fix heap-buffer-overflow

  [ David Faure ]
  * QSortFilterProxyModel: don't call index(row, 0) if there are no columns

  [ Patrick Franz ]
  * New changelog entry.
  * Backport patch to fix issue when configuring Plasma to have multiple Notification widgets, fixes QTBUG-134210:
  * Backport patch to fix CVE-2025-3512 (Closes: #1103022).
  * Let qt6-gtk-platformtheme depend on gnome-themes-extra-data to fix issue with dark themes (Closes: #1095836).
  * Release to unstable.

  [ Pino Toscano ]
  * bump Standards-Version to 4.7.2

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 27 Apr 2025 22:52:44 +0200

qt6-base (6.8.2+dfsg-5+droidian0) next; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Bump to 6.8.2+dfsg-5
  * [ci] Add circelci configs

  [ Dmitry Shachnev ]
  * QPdfEnginePrivate: Fix invalid format for rectangles on some locales
  * QIcon: ensure that QIconLoader is initialized
  * QGtkStyle: remove obsolete themeName != "Qt" checks
  * QGtkStyle: Try to get the theme name from GtkSettings
  * qmake: do not write timestamps to generated Makefiles
  * Do not call g_type_init() with GLib >= 2.36
  * Add AArch64 support to qfilesystemwatcher_inotify.cpp
  * Add Cinnamon to the list of Gtk+-based DEs
  * qimage_conversions.cpp: Fix build on big endian systems
  * QPlatformSystemTrayIcon: the timeout is in msecs, not secs
  * Support multiple desktop names in XDG_CURRENT_DESKTOP
  * qstorageinfo_unix.cpp: Fix build on BSD and other unices
  * QSystemTrayIcon: handle submenus correctly
  * qstorageinfo_unix.cpp: Fix build on Solaris
  * Remove unneeded exec permission from icomoon fonts
  * Remove exec bits from files that should not be executable
  * Remove gtk2 style from qtbase, it will be moved to qtstyleplugins
  * Add QLockFilePrivate::processNameByPid implementation for GNU/kFreeBSD
  * Remove confusing license information from torrent.qdoc
  * Undef HAVE_WAITID if needed constants are not defined
  * Fix QStorageInfo on BSD4 systems
  * Port the Gtk platform theme to Gtk+ 3
  * Use “Adwaita” as the default icon theme for QGnomeTheme
  * QNativeSocketEngine: fix undefined variable on FreeBSD
  * qt_functions.prf: Add missing $$eval
  * Fix pixmap types in org.kde.StatusNotifierItem.xml
  * dbusmenu: Make D-Bus menus and menu items enabled by default
  * Stop Q_AUTOTEST_EXPORTing QKeyBinding and QKeySequencePrivate
  * dbusmenu: Add support for shortcuts
  * dbusmenu: Add missing methods for getting QDBusPlatformMenu properties
  * dbusmenu: Fix return type for QDBusMenuAdaptor::EventGroup method
  * dbusmenu: Refactor the code to allow dynamic updating of menus
  * dbustray: Do not change m_menu in QDBusTrayIcon::createMenu()
  * dbustray: Support late registering of tray icon menu
  * dbusmenu: Use proper toggle-type for items that are part of group
  * Add native support for D-Bus global menu
  * alsatest: Fix the check to treat alsalib 1.1.x as correct version
  * QTextCursor: Use RasterOp_NotDestination composition mode for drawing the cursor
  * Add createMenu() method to QPlatformMenuBar
  * dbustray: Implement better detection of indicator-application
  * dbustray: Use separate D-Bus connections for each tray icon
  * QMenuBar: Get rid of QMenuBarPrivate::nativeMenuBar
  * dbustray: Delete m_notifier in QDBusTrayIcon::cleanup()
  * dbusmenu: Don’t leave dangling pointers when menus are destroyed
  * QApplication: use desktopStyleKey if styleOverride was invalid
  * dbustray: Support replacing menu on QDBusTrayIcon
  * GTK+ dialogs: Get rid of deprecated GtkStock usage
  * Add a test case for removing a submenu from the menubar
  * dbustray: Handle StatusNotifierWatcher appearing and disappearing
  * GTK+ theme: Map some GtkSettings properties to QPlatformTheme hints
  * dbusmenu: Map showPopup method to ItemActivationRequested signal
  * Make shortcuts work for platform menu bars
  * Doc: do not break the values list by blank lines in qnamespace.qdoc
  * qcssparser: Undef TILDE to fix compilation on Hurd
  * Make sure QDBusMenuBar is restored when the window is hidden and shown
  * Fix capitalization of x11-xcb pkg-config module name
  * Fix implementation of spell check underline styles
  * glx: Fix loading OpenGL library when libGL.so symlink is missing
  * QSslContext: Use 0 instead of TLS_MAX_VERSION
  * Fix ambiguous definition of atime/mtime/ctime on alpha
  * qnetworkinterface_unix: Use qstrncpy instead of strlcpy
  * Do not use arc4random_buf() on GNU/kFreeBSD
  * Make qt_is_ascii work properly on big endian systems
  * Make libmd4c a private dependency of Qt GUI
  * qmake: Stop using -isystem flag
  * Remove chip.debug compiled binary leftover from debugging
  * QPdfEnginePrivate: generate link only when there is a href
  * Hardcode atomic_LIB as -latomic
  * Fix file which had SPDX-License-Identifier on two lines
  * Fix capitalization error in auto-generated qdbusmacros.h include
  * Use _Float16 only when SSE2 is enabled
  * armv4.diff

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Enable s390[x] detection.
  * Create the 64 bits version strings for MIPS, SPARC and S390
  * Remove -Wcast-align from QMAKE_CXXFLAGS.
  * Enable sparc detection.
  * Fix typo: properly write endianness.
  * Mark QPA symbols as private
  * Prefer the shared version of libzstd over the static one
  * Be verbose on plugin inclusion, easy patch point for distros
  * Remove noisy and non-informative message
  * remove_privacy_breaches.diff
  * remove_rpath_from_examples
  * forkfd_grow_stack_upwards_on_hppa
  * enable_skip_plugins

  [ Patrick Franz ]
  * cross

  [ Vagrant Cascadian ]
  * cmake/QtBuildInternalsExtra.cmake.in: Patch out embedded build path.

  [ John Paul Adrian Glaubitz ]
  * Add-SH-detection

  [ Thiago Macieira ]
  * Fix warnings on unused parameters and variables
  * Fix regression that caused waitForXXX(-1) to fail.
  * Add a function that returns the D-Bus local machine ID
  * Bugfix the QConstString implementation.
  * Make the new QStringLiteral produce a non-temporary
  * Add support for QStringLiterals in QStringBuilder
  * Use memmove in QListData::append(int) as regions overlap.
  * Use lambdas for generating static data for QStringLiteral
  * Remove the definition of QT_NO_FPU based on the processor or WS
  * Remove Qt 4.3 binary compatibility for MSVC
  * Replace try/catch blocks in favour of destructors in the event loop.
  * Remove #ifdef for platforms where QChar was packed -- there aren't any
  * Add the #defines for C++0x features in GCC 4.6
  * Fix uses of qRound on non-floating-point types.
  * Fix the timeout calculation for futexes in QMutex.
  * Cleanup qRound and qRound64: provide overloads for double and float
  * Get rid of the evilness of Q_GLOBAL_STATIC_WITH_INITIALIZER
  * Make the N parameter to the QXXXLiterals be the actual string length
  * Fix the timeout calculation again.
  * Add unit tests to QStringLiteral and QByteArrayLiteral with operator %
  * Improve toLatin1 x86 SIMD by using a new SSE4.1 instruction
  * Create a function that merges the SSE common code
  * Add an SSE4.2 even simpler version of toLatin1
  * Add placeholders for loadAcquire and storeRelease in the atomics
  * Make all uses of QBasicAtomicInt and Pointer use load() and store()
  * Fix the QNetworkConnectionManagerPrivate initialisation code.
  * Move the non-atomic and implicit functions from QBasicAtomicXXX
  * Add Q_DECL_CONSTEXPR to a QChar, QLatin1Char and QLatin1String constructors
  * Unix (non-Glib) event dispatcher: round sleep to millisecond boundary.
  * Copy qbasicatomic.h to qoldbasicatomic.h
  * Add the new QBasicAtomicXXX implementation - no backends yet
  * Port the bootstrap atomics to the new QBasicAtomic architecture
  * Port the i386 and x86-64 atomics to the new QBasicAtomic architecture
  * Port the ARM atomics to the new QBasicAtomicXXX architecture
  * Port the MIPS atomics to the new QBasicAtomicXXX architecture
  * Port the IA-64 atomics to the new QBasicAtomicXXX architecture
  * Add a set of atomics based on GCC intrinsics
  * Add a set of atomics based on C++11's std::atomic
  * Make tst_qmovie work in shadow builds
  * Update the Linux-ICC mkspec
  * Fix the bsymbolic_functions test and improve the error reporting
  * Fix cross-compilation that uses fontconfig / freetype
  * Remove the false information that IA-64 supports SSE2
  * Add qpair.h to the HEADERS list
  * Add a non-implicit virtual destructor for QDashStroker
  * Save the pkg-config settings in config.status
  * Fix compilation: std::min is in <algorithm>
  * Fix the build of -qt-freetype
  * Fix the build of qt-freetype with -system-zlib
  * Fix compilation on ARM with C++11: narrowing conversion
  * Remove the workaround for GCC 3.3 on IRIX
  * Make QLocale not depend on being friends with the global static
  * Quick optimisations to QString: no const-ref for QLatin1XXX
  * Whitespace fix for brace in qstring.cpp
  * Fix udev building after commit 7a169fb52a2d57ec6b3b8e6196e5d4ce084e3eb0
  * Move the UTF-8 data into a separate .cpp so I can use later
  * Remove detection for MMX support and related technology
  * Add detection of AVX and AVX2 support in the compiler.
  * Optimise QHostAddress a little
  * Add the Q_CORE_EXPORT macros to unit-test-exported code
  * Fix deprecation warning about QPlatformWindow::visible
  * Fix building the XCB platform plugin
  * Fix warnings about commas at the end of enums
  * Silence warnings about GCC #pragma in ICC
  * Add the missing 'itt eq' instructions to the ARM atomics.
  * Remove support for Mac OS X compilers without the -Xarch flag
  * Update the header list for the QtDBus module
  * Silence a warning about a change of sign.
  * Disable QUrl support in QVariant in bootstrapped mode
  * Fix compilation of tst_QSqlThread: no need to use QBasicAtomicInt here
  * Use QVector<int> instead of QList<int> for storing metatypes in QtDBus
  * QPrinterInfo: remove a test that is too early
  * Update the C++11 support macros
  * Add macros for assuming and unreachable code
  * Use private futexes for QMutex on Linux if they're available
  * Work around what apparently is a GCC 4.6.0 bug
  * Remove the use of a template qUnused function for ICC
  * Remove the Q_STATIC_TEMPLATE_SPECIALIZATION macro
  * Fix annoying deprecation warning about QImageTextKeyLang
  * Remove old code that was for the MIPSpro compiler
  * Fix the 64-bit i386 atomic according to assembly output
  * Use ADD/SUB instructions on x86 and x86-64 atomics instead of INC/DEC
  * Add support for detecting SSE2 and SSE3 on WinCE
  * Disable ICC diagnostic 2261 about __assume with side-effects
  * Add a Q_NORETURN macro to mark a function that never returns
  * Disable EGL (and thus EGLFS) if we're not using OpenGL ES
  * Stop erasing mkspecs/modules at every reconfigure.
  * Rename qatomic_x86_64.h to qatomic_x86.h
  * Unify the atomic implementation for x86 architectures
  * Unit-test the additional QBasicAtomicXXX expansions
  * Don't hardcode the order of elements in QHashes
  * Remove the old code using MMX registers.
  * Remove the -no-stl option from configure
  * Add a function to parse IPv4 addresses in QtCore
  * Add support for IPv6 parsing and reconstructing the address
  * Port QHostAddress to use the new IP utilities in QtCore
  * Fix qmake's use of Q_ASSERT with side-effects.
  * Ensure that qdrawhelper.cpp is compiled with vectorisation active
  * Fix warning introduced in Intel CC 12.1
  * Make qsimd.cpp also complain if required features are missing
  * Fix operator precedence order.
  * Move the QByteArray-based percent-encoding activities to QByteArray
  * Mark QUrl::{to,from}Punycode as deprecated since 5.0
  * Add the code that recodes URLs.
  * Remove the tolerant parsing function and make the recoder tolerant
  * Refactor the URL recoder a little
  * Long live QUrlQuery
  * Forward the methods dealing with the break down of query to QUrlQuery
  * Move some of qurl.cpp into other files for ease of maintenance
  * Long live the new QUrl implementation.
  * QUrl: Always lowercase the scheme
  * QUrl: optimise setHost for the common case
  * Add QUrl::setQuery overload with QUrlQuery
  * Port to the new QUrl API
  * Re-introduce support for QUrl::errorString()
  * Reimplement the StrictMode URL parsing
  * Disallow spaces in URLs when parsing in StrictMode.
  * Fix QUrl operator== and operator<
  * De-inline qHash(const QUrl&) and improve
  * Fix the license headers for the files in the new-qurl branch
  * Move the #include "tst_qurlinternal.moc" up to workaround a bug
  * Revert to Qt4 behaviour that QUrl().isValid() == false
  * Remove old comment restored by mistake
  * Add missing #include <stdio.h> for _fileno
  * Merge one static function into another
  * Update the documentation about the sign in QElapsedTimer::(m)secsTo
  * Get rid of QKeyEventEx
  * Make QLocale::toULongLong return the proper type: qulonglong
  * Remove references to QT_NO_STL from QtCore
  * Remove references to QT_NO_STL from QtConcurrent
  * Remove -DQT_NO_STL from the bootstrapped builds
  * Make plugin linking fail if some references aren't present
  * Add early-clobbers to the output variables in CPUID
  * Adjust a double leading slash in the path for FTP to /%2F
  * Make QUrl handle ambiguous delimiters correctly
  * Fix the handling of ambiguous delimiters in the query part of a URL
  * Add a big test for QUrl encoding principles
  * Merge QUrl::DecodeAllDelimiters and QUrl::DecodeUnambiguousDelimiters
  * Introduce QUrl::DecodeReserved and reorder the enums
  * Allow {} to remain decoded in URLs in the path and query
  * Change the component formatting enum values so the default is zero
  * Readd a bunch of tests that had got removed in the QUrl porting
  * Fix warning introduced in "Adjust a double leading slash..."
  * Ensure proper handling of empty-but-present URL components
  * Re-add the Qt 4 compatibility methods for QUrl encoded query items
  * Move QFlags to qflags.h
  * Remove Q_CORE_EXPORT from the simple QFlag and QIncompatibleFlag
  * __builtin_unreachable was added to GCC in version 4.5, so fix macros
  * Update the error codes in QtDBus
  * Finish cleaning up com.trolltech -> org.qtproject in QtDBus
  * Introduce the new UnknownProperty and PropertyReadOnly errors
  * Update com.trolltech -> org.qtproject in the bootstrapped tools
  * Remove the Qt 5 todo about empty string lists in QSettings
  * Add a functionality test for DirectFB to ensure it compiles.
  * Add an assertion to deleteLater() before it modifies QEvent::d
  * Don't use QByteArrayLiteral for a non-stored QByteArray
  * Mark qt_assert and qFatal as non-returning functions (excpt. MSVC)
  * Remove private classes in QEvent-derived classes.
  * Stop using QEventPrivate::d in QWindowStateChangeEvent
  * Disable the tst_exceptionsafety_others test completely.
  * Don't push unnecessary data to a data stream for QVariant()
  * Silence two warnings in QVariant's unit test.
  * Add unit testing for the qdbusxml2cpp tool
  * Move the compiler-related macros to qcompilerdetection.h
  * Move some compiler macro definitions into the compiler sections
  * Move Q_DECL_{IMPORT,EXPORT,HIDDEN} to qcompilerdetection.h
  * Make the fallback Q_ASSUME and Q_UNREACHABLE be qt_noop
  * Ensure that qXXXdetection.h can be included directly
  * Replace com.trolltech with org.qtproject in D-Bus's performance tests
  * Use org.example instead of com.trolltech for the D-Bus examples
  * Move the QT_STRINGIFY macro to the top of qglobal.h
  * Move Q_FUNC_INFO to qcompilerdetection.h
  * Add missing private headers to testlib.pro
  * Don't use the QRegExp methods that modify the object [qmake]
  * Use the Q_PROCESSOR_* macros in qsimd.cpp
  * Make QStringLiteral and QByteArrayLiteral always return the real types
  * Move QGestureEventPrivate's content to the main class
  * Rename the default organisation from "Trolltech" to "Qt" on Mac
  * Remove Qt 5 todo in QVariant: we're not going to change the behaviour
  * Mark some functions as always_inline with GCC and ICC.
  * Use the C99 keyword "restrict" in compilers that support it
  * Don't use the QRegExp methods that modify the object [QtTest]
  * Update the QUrl documentation concerning the encoding
  * Don't strip the leading slash of letter+colon paths on Unix
  * Don't use the QRegExp methods that modify the object [QtGui]
  * Ensure that QUrl::toLocalFile returns decoded paths
  * Make configure.exe create files with Windows line-endings
  * Make configure.exe not overwrite its own Makefile in -fast mode
  * Warn if we use deprecated methods from Qt modules
  * Revert QUrl::isRelative to its Qt 4 behaviour
  * Fix atomics on SPARC
  * Update the x86 feature-detection code, unifying x86 and x86-64
  * Replace the x86 XGETBV instruction with its opcode bytes
  * Add detection code for AVX2, HLE, RTM and AES to qsimd.cpp
  * Don't use the QRegExp methods that modify the object [QtWidgets]
  * Ensure that QUrl::{to,from}LocalPath encode/decode properly
  * Mark that the Sun compiler includes the return type in the mangling
  * Force tst_qstring to use fromLatin1 where it has Latin 1 literals
  * Convert these files to ASCII or UTF-8
  * Wrap all Latin 1 strings with QString::fromLatin1 or QLatin1Strings
  * Wrap the non-ASCII testcases with QString::fromUtf8
  * Don't use the QRegExp methods that modify the object [QtCore]
  * Re-enable casting to and from "ASCII" on tst_qstring.cpp
  * [SIC] Make non-const the QRegExp methods that modify the internals
  * Define P in stringbuilder.cpp, just to help in editing in the editor
  * Fix the QByteArray overloads to QString::fromXXXX
  * Simplify the size of the QVarLengthArray buffer.
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtWidgets]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [qdoc]
  * Change QtSql documentation to recommend QString::toUtf8
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtXml]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtPrintSupport]
  * Remove references to to/fromAscii in QString and QByteArray main docs
  * troll.no changed its NS record configuration. Adapt.
  * Revert "[SIC] Make non-const the QRegExp methods that modify the internals"
  * Remove some remnants of Symbian code in src/gui/painting
  * Make the event notification on Windows be mandatory in all dispatchers
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtCore]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtGui]
  * Change QString::toAscii to toUtf8 in the embedded filename in XBM.
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtNetwork]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtOpenGL]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtTest]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QPA plugins]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [other]
  * Port the QTextStream / QDebug functions away from fromAscii
  * Use QFile::encodeName to encode a file name on Unix
  * Allow the QPA plugin arguments to contain non-ASCII.
  * Slightly improve the query encode/decode test in QUrl
  * Use QFile::{encode,decode}Name to deal with QT_PLUGIN_PATH
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [platformsupport]
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtSql]
  * Make sure we export the non-inline qMalloc & friends functions
  * Fix encoding mismatches in tst_QSqlQuery
  * Change remaining uses of {to,from}Ascii to {to,from}Latin1 [QtDBus]
  * Change QString's default codec to be UTF-8
  * Change QStringBuilder to use UTF-8 too
  * Add some extra tests to tst_QString to ensure the encoding is correct
  * Fix a crash when parsing a URL with username and port, but no password
  * Change to/fromAscii to to/fromUtf8 in the QString conversions
  * QGuiApplication::activeWindow() is deprecated
  * Add a QStringBuilder::toUtf8() function
  * Port away from QString::{to,from}Ascii in qmake
  * Use org.qt-project for the QFactoryInterface's IID
  * Deprecate the ability to change the FS encoding separate from the locale
  * Restore the QEvent::d pointer to null after we're done using it
  * Add a non-implicit copy constructor to QEvent
  * Correct a mistake about non-characters in the documentation.
  * Blacklist Apple clang 3.0 and previous support for AVX
  * Clean up some QT_HAVE_xxx macros in qcompilerdetection.h
  * Make QStringLiteral always choke on non-literals
  * Fix compilation on Linux: link to zlib in the bootstrapped tools.
  * Fix the idempotent recoding tests in tst_QUrlInternal
  * Port away from QUrl::MostDecoded
  * Add the QUrl::DecodedMode parsing mode
  * Add QUrl::ParsingMode to the component setters in QUrl
  * Add the QUrl::FullyDecoded flag to the component formatting
  * Deprecate {QString,QStringRef,QChar}::{to,from}Ascii
  * Add AVX support for the painting and image code.
  * Make sure we are using the proper -mXXX options
  * Remove -Winline from the build of SSE2/AVX/etc. sources
  * Use the QT_STRINGIFY macro
  * Make QLocale "unload" the ICU libraries upon exit
  * Gestures & events: compile with QT_STRICT_ITERATORS.
  * Itemviews: compile with QT_STRICT_ITERATORS
  * Make qdoc compile with QT_STRICT_ITERATORS
  * QtDBus: compile with QT_STRICT_ITERATORS
  * QApplication::syncX doesn't do anything in Qt 5 anymore
  * QApplication::activeWindow is replaced by QApplication::focusWindow
  * Fix shadow build compilation with MSVC
  * Improve the architecture-detection mechanism
  * Record the sub-architecture (CPU features enabled in the compiler)
  * Overhaul the qsimd_p.h: rename macros and update conditionals
  * Fix the confusion caused by the QT_ALWAYS_HAVE_xxx macros
  * Move the sub-architecture feature to better places in qmake
  * Remove the unnecessary comment about operator== not being necessary
  * Make QVector compile with QT_STRICT_ITERATORS again
  * Fix the QVector build with C++11 initialiser lists
  * The QFontEngineFT files are not built into QtGui anymore.
  * Remove references to QtSharedPointer::InternalRefCount
  * Replace deprecated QGraphicsScene::itemAt() with items()
  * Use UTF-8 in the QtTest data and benchmark tags
  * Add support for the x86intrin.h header on GCC systems.
  * Reorganise the painting.pri file after the last round of cleanups
  * Add a unit test to QSharedPointer being deleted by a C++11 lambda
  * Move the SSE2/AVX/Neon/etc. flags into the compiler mkspecs
  * Move the AVX and SSE tests to config.tests/common
  * Enable compilation of improved x86 code generation with MSVC
  * Fix compilation of tests/auto/corelib/tools with QT_STRICT_ITERATORS
  * Add configure-time checking for the SSE and AVX features on Windows
  * Update listing of when SSSE3 and SSE4.1 first became available
  * Export qMemSet and qMemCopy properly
  * Remove "delete value" from QSharedPointer
  * Merge two internal classes of QSharedPointer and de-virtualise them
  * Merge QtSharedPointer::Basic into QtSharedPointer::ExternalRefCount
  * Now merge the QtShared::ExternalRefCount class into QSharedPointer
  * Use the copy & swap trick to simplify some code in QSharedPointer
  * Simple optimisation for the construction of a QSharedPointer
  * Keep the #ifdef for tracking shared pointers in a single function
  * Fix QDnsLookup test again after public DNS servers changed
  * Fix QUrl documentation: FullyDecoded and DecodedMode are a pair
  * Fix encoding of non-ASCII strings
  * Use QPointer, not QWeakPointer.
  * Forward-declare QLatin1String too
  * Fix tst_qfile opening of stdin/out/err: don't assume
  * Wrap QObject usage in qsharedpointer_impl.h with ifndef QT_NO_QOBJECT
  * Ensure that no extra bits can leak into QUrl::toEncoded.
  * Replace the QGraphicsItem deprecated transforming functions
  * QGraphicsItem::setAcceptsHoverEvents is deprecated, replace it
  * Make QRegion not need to be friends with QVector
  * Remove the extra warnings and -Werror from tst_qmimetype
  * Remove deprecated method from new class.
  * Include QScopedPointer in qsettings.h
  * Update the macros for shared/DLL and static builds
  * Clean up the use of QT_NODLL
  * Move the QDataStream operator<< for QPair to qdatastream.h
  * Change CONFIG += staticlib to CONFIG += static
  * Clean up the EXPORT macros in qglobal.h.
  * Add detection for C++11 noexcept
  * Don't lower the code generation level options for the compiler
  * Make the CPU detection much more efficient in user code
  * Put the ICU libraries in LIBS_PRIVATE
  * Fix static plugin loading.
  * Fix small problems with tst_QProcess
  * Make 'nmake qmake' work with the stub (fast) Makefiles
  * Ensure that QAtomicPointer of forward-declared classes works
  * Fix handling of encoded NULs (%00) in QUrl::fromPercentEncoding
  * Fix QUrl support for empty usernames and passwords
  * Make QUrl::setScheme only parse in strict mode (no decoding)
  * Make sure that the parsing mode reaches QUrlPrivate::setHost
  * Set the Qt API level to compatibility mode in all tests.
  * ICU: Mark which functions are threadsafe and which ones aren't
  * ICU: lock the mutex before calling an Unlocked function
  * Fix builds with sysroot: a space is necessary before ] in scripts
  * Optimise QMutexLocker a little: don't call relock() in the constructor
  * MSVC's throw() behaviour matches the C++11 noexcept, so use it
  * Remove extra Q_COMPILER_xxx defines from the MSVC section.
  * Add a T parameter to the memory barrier functions in atomics.
  * Don't export QAtomicInt, it's all inline
  * Remove more -Werror from any test other than headersclean.
  * Remove use of ::free from qlist.h
  * Rename QContiguousCache allocate and free functions to say "Data"
  * Rename QLinkedList::free to freeData for consistency
  * Rename QMapData::free to destroy
  * Remove the Q_xxx_EXPORT macros of other modules from qglobal.h
  * Remove unnecessary extra indentation in the EXPORT macros
  * Add Q_DECL_NOTHROW to the atomic functions
  * Mark all atomic functions as Q_DECL_NOTHROW
  * Add Q_DECL_NOTHROW to QRefCount.
  * Mark QElapsedTimer functions as Q_DECL_NOTHROW
  * Use Q_LIKELY instead of doing an #ifdef for GCC
  * Use an include guard for qelapsedtimer.h that matches the file name
  * Speed up tst_QGraphicsView::mapToScene test
  * Fix a ### Qt5 issue: remove limits.h from qreadwritelock.h
  * Make QElapsedTimer always store nanoseconds in t2
  * Fix declaration of qt_gettime for Q_DECL_NOTHROW
  * Merge L_FLAGS and l_FLAGS in configure
  * Fix warning about change of sign
  * Disable CPUID checking with GCC 4.2 or older
  * Silence a false-positive warning about uninitialised variable with ICC
  * QUrl is not necessary for configure.exe, drop it from the .pro
  * Remove trailing comma in enum
  * Avoid an expensive call to toLocal8Bit upon thread creation
  * Mark simple static methods in QThread as Q_DECL_NOTHROW
  * Bring back the documentation on QUrl deprecated methods
  * Modernise, update and fix errors in the QUrl documentation
  * Add Q_DECL_CONSTEXPR to the isXXX functions in the new atomics.
  * Enable QAtomicInteger for char16_t and char32_t
  * Add missing #include <qmetatype.h>
  * Disable C++11 noexcept support in GCC 4.6.0 and 4.6.1
  * Add Q_DECL_NOTHROW to some qHash functions
  * tst_qurlinternal: use qurl_p.h instead of declaring the functions
  * Fix decoding of QByteArray in the deprecated "encoded" setters in QUrl
  * Cocoa: use filterNativeEvent instead of the deprecated filterEvent
  * Add AVX support for the JPEG handler
  * Try to work around GCC 4.6's noexcept bugs, again
  * Move the QT_COMPILER_SUPPORTS_xxx defines to qconfig.h
  * Simple optimisation in toLocal8Bit(): call codecForLocale once only
  * tst_QMutex: add markers to the tryLock tests
  * Doc: Add \inmodule QtDBus to all QtDBus class doc bodies
  * Doc: Add \inmodule QtCore to all QtCore class doc bodies
  * Compile without the deprecated filterEvent function
  * Add qiterator.h to tools.pri
  * Don't define QT_NO_ICONV on Windows: that comes from qconfig.h
  * Use nanosleep instead of pthread_cond_timedwait for thread sleeping
  * Print some debugging from QDBusConnection when disconnecting
  * Add a way for QtDBus to force a call to dbus_shutdown
  * Mark mutex locking and unlocking functions with noexcept
  * Split the futexFlags() function in two: a hot and a cold path
  * Small optimisation to recursive mutexes
  * qplatformclipboard.h does not need qplatformdefs.h, so remove
  * Fix the name of the arguments of qAtan2 to match std::atan2
  * Use pkg-config to search for all XCB dependencies
  * Remove the package macros from qglobal.h
  * Update the git-archive export options
  * Add a way to benchmark sem_t on Unix too
  * QWeakPointer use for tracking QObjects is deprecated.
  * Use setenv in qputenv if possible, since it won't leak
  * Make the default Qt API be Qt 5.0's
  * Add support for the Intel Composer XE 2013.
  * Move the constructor and destruction function macros to the C++ part
  * Move the non-C++ parts of qglobal.h outside of __cplusplus
  * Remove misleading documentation about QAbstractSocket::bytesWritten
  * Add configure -help output for the ICU option.
  * Increase the fuzziness of the QSemaphore test to 50 ms
  * Use QElapsedTimer instead of QTime to measure elapsed time
  * throw() is C++, so don't use it in C mode
  * Add qdbusconnectionmanager_p.h to the HEADER list.
  * Hoist the recursive mutex check out of the inner loop
  * Don't recheck about timeout == 0 during mutex locking
  * Make QBasicMutex be exclusively non-recursive
  * Simplify the futex lock loop: no need for nested while
  * Split the timed mutex lock from the non-timed lock functions
  * Avoid calling QElapsedTimer::nsecsElapsed before the first futex sleep
  * Use storeRelease to unlock a mutex instead of fetchAndStoreRelease
  * #include the qmutex_xxx.cpp at the end of qmutex.cpp
  * Remove QBasicAtomic::tryLock with a timer
  * Move QRecursiveMutexPrivate to qmutex.cpp and mark inline
  * Remove support for Intel C++ 7.1 and 8.0
  * Let qVersion() be extern "C" if this is not a namespace build
  * Fix thread-safety of qt_ignore_sigpipe
  * Split the qt_message_output function in two
  * Centralise handling & ignoring of SIGPIPE in qcore_unix_p.h
  * Introduce an option to disable stripping during installation
  * Move the fetch and store pixel functions to qdrawhelper.cpp
  * Add some tests for compatible and incompatible custom deleters
  * Fix spelling mistake
  * Update the NaN tests to deal with non-conformance better
  * Add two compound URL invalidity cases for isValid()
  * Make QUrl::toString() / toEncoded() return empty for invalid URLs
  * Make QUrl::errorString() usable for QtTest output in invalid URLs
  * Update QUrlPrivate::setScheme: EmptySchemeError never happens
  * Remove the annoying qWarning when QUrl::setPort is out of range
  * Change QUrlPrivate::setAuthority to return void
  * Move QUrlPrivate to qurl.cpp and mark all methods as inline
  * Add Q_UNREACHABLE / Q_ASSERT to two conditions that can't happen
  * Update some error messages in QUrl::errorString()
  * Overhaul a little the QUrl error reporting.
  * QElapsedTimer: Instead of two ints, store only the clock type
  * Optimise the deletion of a QSharedPointer with no custom deleter
  * Remove the -falign-stack option from ICC's mkspec.
  * Re-revert "Delay creation of the process manager"
  * Remove visibility attribute from function body in QtDBus
  * Add qlibraryinfo.h to global.pri's HEADERS list
  * There's no uic3 anymore
  * Rename the syncqt -qtdir to -mkspecsdir
  * Make QtDBus work again with D-Bus 1.0 and 1.1
  * Make sure functions returning iterators have an iterator as parameter
  * Make QContiguousCache with zero capacity not crash
  * Doc: refer to QUrlQuery in QUrl's main doc body
  * Fix compilation: QChar(char) is "from ASCII"
  * Remove qstandardpaths_json.cpp
  * Use -ffunction-sections in libbootstrap.a
  * Allow QStandardPaths (Mac, Windows, Unix) to be bootstrapped
  * Make it possible to suppress the automatic version number in DLLs
  * Insert the Qt major version (5) in the library names
  * Add the GCC 4.8 C++11 feature list
  * Add -archdatadir and change some of the default install dirs in Qt 5.
  * Add a new location for QML 2.x imports
  * Add a -libexecdir option to the configures
  * Doc: Remove the mention of non-atomic convenience operators in QAtomic
  * Document the new load / store methods in QAtomic{Int,Pointer}
  * Fix direct compilation of qtypeinfo.h and others
  * Fix direct compilation of qtypeinfo.h and others
  * Similarly to the 797f3c0a01e9, fix qbasicatomic.h inclusion
  * Make qtestaccessible.h compile on its own.
  * Remove compat, obsolete headers
  * Disable the JSC portion of the test unless we have a system PCRE
  * Add QDBusArgument template overloads for QPair
  * Make sure that the strict parser is also operating on setXxx
  * Use the new QUrlPrivate::validateComponent validator in the main parser
  * Fix warning about unused variable in QtPlatformSupport
  * Add support for multiple arguments to QSharedPointer::create()
  * Fix warning about unused variable in qdoc
  * Fix Clang warning about memcpy a class with vtables
  * Fix standalone header compilation
  * Fix QMutex::tryLock with negative values
  * Suppress warning in valgrind headers: variable set but not used
  * Don't use MPProcessorsScheduled on Mac OS X
  * Fix warnings in the SQL drivers found by GCC 4.7
  * Add qtest_widget.h to the list of testlib headers
  * Fix warnings reported by Clang in QtWidget
  * Remove unused function _q_qgraphicsItemSetFlag
  * Fix warning found by clang:
  * Make these headers includable directly, on all systems
  * Fix warning about unused variable
  * Mark several template functions as static.
  * Make qtestaccessible.h compile with QT_NO_KEYWORDS
  * Fix GCC warning about parentheses in QtPlatformSupport
  * Fix warnings found by GCC 4.7 in the XCB platform plugin
  * Remove some dead code from qtriangulator.cpp
  * Declare the QMetaType::WasDeclaredAsMetaType enum as private
  * Don't increase the reference count if dynamic_cast failed
  * Update the sysconfdir default to non-absolute
  * Fix warnings about unused functions
  * Define Q_COMPILER_AUTO_FUNCTION for MVSC
  * Rename qt_mips_asm_dsp.h to a "_p.h" header
  * Remove the QtSql driver headers from the API
  * Remove the framework directories from qmake's default include dirs
  * Resolve some race conditions on tst_QSharedMemory
  * Make QDBusPendingReply behave like QDBusReply when dealing with errors
  * Doc: Update the info on the QSharedPointer internals
  * Add support for Linux eventfd(7) in the UNIX event loop
  * Change all shmget calls to user-only memory
  * Fix compilation of Qt Concurrent with gcc 4.3
  * Store inode numbers in decimal notation
  * Add a new Q_GLOBAL_STATIC implementation
  * Don't clear the pointer in QScopedPointer's destructor
  * Rewrite QDBusConnection::unregisterObject to be recursive
  * Make the QtDBus object tree keep a count of active children
  * Improve the QDBusConnection node children garbage collection
  * Remove debugging messages from QDBusConnection::registerObject
  * Simplify checking of the SHM/SEM Unix key file's existence
  * Detect Clang and Apple Clang's version properly
  * Change QT_FATAL_WARNINGS behavior to require a non-empty value
  * Make the QtTest GUI headers compile on their own
  * Doc: write up the docs for Q_GLOBAL_STATIC
  * Fix warning about type-punned pointers
  * Don't use the union trick to do unlawful casts
  * Switch to struct timespec everywhere instead of timeval
  * Set some attributes on pthread condattrs
  * Forward-port tests on invalid port numbers from Qt 4
  * Make the null pointer dereference a volatile one
  * Detect the Intel Compiler version on Unix
  * Let ICC 13 build Qt again if the system compiler is GCC 4.7.
  * Put #ifdef around Windows-only function
  * Improve QLibrary global destruction
  * Work around an unfixed glibc bug in dlclose(3) on exit
  * Comment out an unused global variable.
  * Remove unused variables and functions from the source code
  * Fix change-of-sign warning found by ICC
  * Make sure we don't have an operator void(), ICC doesn't like it.
  * Allow x86intrin.h with ICC 13.1
  * Fix crash-on-exit with some plugin systems (e.g. sensors)
  * Rename the Q_STATIC_INLINE_FUNCTION macro to Q_ALWAYS_INLINE
  * Add Q_DECL_RESTRICT and Q_ALWAYS_INLINE for MSVC
  * Simplify a function to fix a warning reported by ICC
  * Leave some Qt 6 remarks for QStringRef
  * Add Q_DECL_UNUSED, marking functions or variables unused
  * Add Q_DECL_UNUSED to a function only used in Q_ASSERT
  * Mark public non-member non-static variables as Q_DECL_UNUSED
  * Add qcore_mac_p.h to the list of headers.
  * Don't assume that all CFPropertyListRef are CFArrayRefs
  * Compile only the SHA-1 code into qdoc
  * Disable the SHA-3 Hash function: QCryptographicHash doesn't need it
  * Rename the SQL driver header files to _p.h (make private)
  * Adapt the newly-renamed SQL driver headers to proper private headers
  * EGLFS: Replace the global static 'hooks' variable with a function
  * Stop using function deprecated in D-Bus 1.2 (raise minimum version)
  * Don't try to unload a library that isn't loaded
  * Autotest: check that the plugin was actually unloaded in QPluginLoader
  * Make sure that the reference count for plugins is kept correctly
  * Fix some warnings that have crept up since I last fixed warnings
  * Add qt_common.prf and move some common definitions there
  * Enable C++11 mode for Qt tools too
  * Add the infrastructure to compile Qt with -Werror
  * Fix Q_GLOBAL_STATIC support for exceptions
  * Fix warnings reported by ICC in qdoc
  * Mark all qtbase headers that aren't clean
  * Remove excess brace added by accident
  * Make the new OpenGL function headers compile on their own
  * Clear the current thread data for the main thread
  * Import the Linux header linux/perf_event.h
  * Add the skeleton Linux perf events counter for QtTest
  * Implement the Linux Perf Counter backend for benchlib
  * Add more events for QBenchlib, based on the Linux perf counters
  * Add support for more performance counters in QBenchlib
  * Add support for the cache-related operations counters in benchlib
  * Store the performance counter attributes globally
  * Add support for attributes in the -perfcounter argument
  * Remove bogus portion of unit test
  * Make the QDBusVirtualObject docs public.
  * Make sure that we #include qconfig.h before testing for features.
  * Make sure that signal disconnects don't disconnect too much
  * Fix wildcard signal disconnection in QDBusAbstractInterface
  * Mark Q_UNUSED the private members that aren't used
  * Remove unused private fields in a class used for anti-flicker workaround
  * Remove unused private members
  * Add support for the Clang compiler bundled with XCode
  * Suppress warning about xkbcommon unless we're building XCB
  * Make sure that we check that pkg-config knows sqlite3 before using it
  * Silence warning by Apple Clang 4.2 about adding an integer to a string
  * Make the inline CPU detection functions also static
  * Update the QMetaMethod::tag() documentation due to moc expanding macros
  * Ensure GCC prints its messages in English when we parse them
  * Fix build on Android: libpthread is deficient and lacks functions
  * Add a function to do the relative waits, simplifying the code a little
  * Use Bionic's __pthread_cond_timedwait_relative
  * Add spaces around the components of a pkg-config Cflags: field
  * Doc: add row for Qt 5.0 datastream version
  * Doc: fix compilability of the example
  * Don't use UNAME_MACHINE on Linux
  * Remove unused private members [tools]
  * Mark as unused the private members that aren't and CANNOT be used
  * Re-shuffle the configure output
  * Move the reporting of xkbcommon's warning closer to the bottom
  * Make QBuffer::bytesAvailable() work
  * Make QBuffer unbuffered
  * Make sure to also check for null CFPropertyLists.
  * Mark that GCC 4.8.1 has support for C++11 member reference qualifiers
  * Document that the mutex passed to QWaitCondition::wait must be locked
  * Fix header check: you must #include qconfig.h before QT_NO_OPENGL
  * Add some extra tests for QString::arg
  * Move the code that creates QLocalePrivate to separate functions
  * QLocalePrivate: remove QLocalePrivate::m_index
  * Make QLocalePrivate POD
  * Oops: bugfix support for ref qualifiers in GCC 4.8.1
  * Fix more warnings, found by cross-compiling Qt
  * QLocale: cache the C locale's private
  * QLocale: cache the QLocalePrivate for the default QLocale
  * Autotest: Use the new test zone in all name-lookup unit tests
  * Fix new compiler warning in qdoc
  * Add a pair of constructor/assignment function pairs to QPair
  * QLocalePrivate: remove unused dataPointerForIndex function
  * Make the configure summary even prettier
  * QProcess: leave a warning about the signal with overload, for Qt 6
  * Defer enabling std::atomic on GCC until GCC 4.7
  * XCB: Handle new enum value in switch
  * QThreadPool: Fix regression from Qt 4 in dealing with priority starts
  * Fix the host_bins variable in the QtCore pkg-config file
  * Support setting the library-search environment on a few more OSs
  * Silence warning in QtNetwork build
  * QDnsLookup: test MX and SRV records that can change order
  * QDnsLookup: test multiple TXT answers too
  * Use the GCC inline assembly when building for MinGW
  * Update the code detecting the default include and library paths
  * Update the DNS and name-resolver tests to the official zone
  * QUrl stringprep: recalculate the current position if the size changes
  * QUrl stringprep: fix case folding from non-BMP to BMP
  * QUrl stringprep: fix handling of prohibited characters
  * QUrl stringprep: avoid recalculating the surrogates we already know
  * QUrl stringprep: fix handling of U+0080: it's prohibited
  * tst_QUrl: check that prohibited characters in hostnames are not valid
  * QEventLoop: Remove the test that checked throwing from an event handler
  * Add objcopy to MinGW's mkspec
  * Add QMAKE_NM to the mkspecs
  * Doc: there is no Q_OS_X11 (and has never been)
  * Fix win32-icc build: _CHAR16T is not an indication of C++11 support
  * Replace win32-icc/qplatformdefs.h with the MSVC one
  * Fix compilation with ICC 13.1: the MSVC 2005 & 2008 code is bad
  * Fix warning caused by warning fix
  * Deal with unused functions, as found by the Intel compiler
  * Remove unused variables (as found by ICC)
  * Fix comma warning found by ICC
  * Restore header installation on Mac to always install to $includedir
  * QUrl test: ensure that hostnames with bad non-IDN domains are caught too
  * Revert "Fix QUrl::topLevelDomain(QUrl::FullyDecoded)"
  * Don't crash if the relayed signal was emitted from the wrong thread
  * Fix change-of-sign warning found by ICC
  * Don't enable EGL support if OpenGL is disabled.
  * Doc: fix typo in QXmlStreamNamespaceDeclaration[s]
  * Accept defeat when select(2)ing without a monotonic clock
  * Bugfix QDesktopServices on Windows
  * Fix disconnectFrom{Peer,Bus} when the connection failed
  * Add a test for QLocalSocket::open
  * Fix incomplete override of QIODevice::open in QProcess and QLocalSocket
  * Ignore or suppress warning and debug messages in tst_QLocalSocket
  * Add a Mach-O decoder to the QPluginLoader
  * Simplify the QLibrary plugin-detection code
  * Make the Mach-O size checking a little more robust
  * Fix warning about using QString's const char* constructor on Mac
  * QUrl: Add an "appendingTo" parameter to QUrl::appendFragment
  * Fix QUrl parsing of IPv6 hosts with encoded colons
  * Fix IPvFuture use in QUrl
  * Make the URL Recode function to fix bad input in FullyDecoded mode too
  * QUrl: Uppercase the version number in IPvFuture
  * QUrl: Make sure we don't return a dangling pointer from parseIpFuture
  * Make QIPAddress::parseIp6 return the first bad character
  * Make QUrl store the first bad IPv6 character in the error string
  * TestLib: align the colons so the "actual" and "expected" align too
  * Fix compilation of QtTest on Linux systems with old kernel headers
  * Ensure that the user codecs are listed in QTextCodec::availableCodecs
  * Add support for Q_OS_FREEBSD_KERNEL and document
  * Add a few more typedefs to QString, for STL compatibility
  * QUrl: update our understanding of the encoding of delimiters
  * QUrlQuery: update our understanding of delimiters
  * Doc: update the QUrl and QUrlQuery documentation
  * QUrl: remove temporary code
  * Remove fully-decoded QUrl user info and authority sections
  * Make sure that QUrl::FullyDecoded mode uses U+FFFD for bad UTF-8
  * QUrl: do not decode "#" in fragments
  * Fix clang detection of thread_local variables
  * Remove unused socket from QNetworkInterface Unix code
  * Avoid one extra if_indextoname per address in QNetworkInterface
  * Replace the Intel Haswell and Ivy Bridge codenames with actual names
  * Add a Qt-API style QStandardPaths::setTestModeEnabled
  * Don't compile qcryptographichash into configure.exe
  * Don't compile MD4, MD5, SHA-2 and SHA-3 into qmake
  * Ensure that bootstrapped users of QCryptographicHash only use SHA-1
  * Merge "Merge remote-tracking branch 'origin/stable' into dev" into refs/staging/dev
  * Define Q_PROCESSOR_X86 to the x86 family
  * Add x86 arch detection support for AVX512 and SHA instructions
  * Ensure the docs for QOpenGLFunctions_ES2 are generated
  * Set an upper range of compiler versions for -Werror
  * Add unit test to ensure %3A in a path isn't decoded to ':'
  * Soft-deprecate obscure feature on property getters returning pointers
  * Update Linux interface getting to make fewer syscalls
  * Remove use of QFlag in the SQL drivers
  * Don't try to detect the CPUID instruction if we're compiling for Pentium
  * Make sure deprecation warnings don't cause errors with -Werror
  * Move the creation of QElapsedTimer out of the inner function in QMutex
  * Remove workarounds to old GCC bugs we had encountered on IRIX
  * Fix corner-case counting of bits in QBitArray::count(bool)
  * Add a construction note on why QBitArray has a +1 everywhere
  * Improve QBitArray's construction performance a little
  * Fix last warning of qtbase with GCC.
  * Give QWindowsNativeFileDialogEventHandler a virtual destructor
  * Fix -Wno-error=deprecated for GCC and Clang
  * Fix ICC warnings about functions declared but not used
  * Enable -Werror for all of qtbase
  * ICC supports __builtin_unreachable(), so use it
  * Fix Clang 3.3 warning on using an undefined inline function
  * Add C++11 features supported by the Intel Compiler 14.0
  * Fix new change-of-sign warning detected by ICC 14.
  * Remove unused check_gradient function
  * Compile in strict-iterator mode under MSVC
  * Fix constant false comparison of out-of-range enums
  * Allow Clang to compile without libc++
  * Add a simple test for QVariant carrying a QSharedPointer<QObject>
  * Fix new warnings under Clang 3.3
  * Remove Q_NO_PACKED_REFERENCE
  * Remove the empty definition of Q_PACKED
  * Remove Q_PACKED from structures that do not need to be packed
  * Remove unused QPF font engine support.
  * Optimize QBitArray::count(bool)
  * Don't use an extension to the C++ language in public headers
  * QStandardPaths: add a test that just dumps the values
  * Whitespace: re-indent the {to,from}Base64 functions
  * Base64: Implement the "base64url" encoding and the stripping of '='
  * Update ICC warnings disabled by default.
  * ICC 13.0 supports atomics
  * Let the compiler do the unaligned loads in QBitArray::count(bool)
  * Do 64-bit loops in QBitArray::count(bool)
  * Remove useless code setting but not using variables
  * Fix the C++11 and GCC-atomic intrinsics when not using GCC
  * Fix conversion from 8-bit to QString without proper encoding
  * De-inline virtuals of some non-exported private classes in QtGui
  * Fix warnings about conversion from const char* to QString.
  * Bump Qt version to 5.3.0
  * Fix bootstrapped build of QCoreApplication
  * Correct the bit field sizes in QTextOption
  * Doc: correct QTimer accuracy information - it depends on the timer type
  * Add two enums that weren't handled in the ibase SQL driver
  * Mark some members in the event Unix dispatchers as final
  * Reorder the members in QThreadData to avoid padding holes
  * Use the fast operator+ (in the form of operator%)
  * Fix the printing of qmake's output when OPT_VERBOSE=yes
  * Remove compatibility support for sealed/override in C++/CLI
  * Fix loading of libresolv when the .so file (not .so.2) isn't installed
  * Move the Apple Clang specific features outside of the C++11 section
  * Add support for disabling exceptions with ICC
  * Change an addition into a subtraction
  * Make the localHostName() copy function return QByteArray
  * Doc: update the documentation of QStandardPaths to be more thorough
  * Update the ICC spec on Linux to actually compile stuff
  * Add qcollator_p.h to the list of headers.
  * Doc: Add a little more information about current dirs
  * Avoid signed integer overflow by making an addition a subtraction
  * Add list of C++11 features supported by MSVC 2013
  * Update changelog for 5.2.0 RC1
  * Update ChangeLog for 5.2.0 [QtCore]
  * Update ChangeLog for 5.2.0 [QtDBus]
  * Reflow the ChangeLog part for QtNetwork
  * Fix formatting in the platform-specific changes part of the ChangeLog
  * Fix silly typo in a macro for QAtomicInt's constructor
  * Repack structs with more than one padding hole
  * Make a nicer output when QBasicAtomicInteger is used with a wrong T
  * Announce the deprecation of platforms still using qoldbasicatomic.h
  * Replace the qCpuHasFeature function with a macro
  * Fix bad CSS color: O (the letter) is not a valid hex digit
  * Disable 64-bit atomics on 32-bit x86
  * Revert "Move the glxfbconfig configtest to qpa and rename it to glx"
  * Doc: don't promise a null QString if we can't be held to it
  * Don't check the Qt version across modules in -developer-build
  * Add missing Q_ATOMIC_INT32_xxx definitions to qatomic_unix.h
  * Remove unused function "quadraticRoots"
  * Cascade detection of SSE3 support and up
  * Remove unused -sse (CFG_SSE) option
  * Remove all "old atomic" code from Qt
  * Remove the files building AVX code
  * Implement support for ref-qualified QString::toLatin1 & friends
  * Improve the Latin1 conversion in QString a little
  * Add the UTF16-to-Latin1 in-place converter
  * PCH stands for "precompiled header", not "prefix"
  * Use #pragma warning(push) and pop to control our warnings
  * Use the short time format of the current locale on Windows
  * Ensure that all .obj wait for the PCH to finish
  * Doc: suppress documentation of methods users shouldn't use
  * Move the SUBLIBS target from qmake away from between clean/distclean
  * Ensure proper order of includes in qglobal.h
  * XCB: Don't recalculate the DPI if we have a forced DPI setting
  * Remove disabling of warning 4660 on MSVC
  * Keep the configure listing of features alphabetical
  * Fix Qt build when mtdev is detected
  * Fix mtdev auto-detection
  * Add a new UTF-8 encoder and use it from QString
  * Add a new UTF-8 decoder, similar to the encoder we've just added
  * Use the new UTF-8 codec in QJsonDocument
  * Use the new UTF-8 codec in QUrl and QUrlQuery
  * Add QTypeInfo<T>::isIntegral trait
  * Autotest: Fix QDateTime failure if the test got run West of Greenwich
  * Fix file descriptor leak in the perf event counter
  * Fix function-not-used warnings detected by Clang 3.4
  * Fix unused function warnings in qtriangulator.cpp
  * Remove unused member m_eglApi
  * Fix QtWidget function-unused warnings found by Clang 3.4
  * Don't check if a file exists before opening it
  * Remove #ifdef from outside test functions
  * Add -Werror support for the regular Clang, not Apple's
  * Use the QMAKE_CXXFLAGS_WARN_ON variable for setting -Werror
  * Ask qdoc not to parse Q_DECL_UNUSED
  * Let Apple Clang 5.0 also have -Werror support
  * Fix unused-function warning in qdrawhelper.cpp
  * Remove runtime detection of SSE2
  * Remove runtime detection of Neon on ARM CPUs
  * Make qt_memfill{16,32} unconditional
  * Automatically turn on SSE2 code generation throughout Qt
  * Ensure that the mkspec and source dirs are passed to moc on Windows
  * Add detection of C++1y features (probably C++14)
  * Add linux/kd.h to the config test for evdev
  * Make QCommandLineParser not crash if passed a bad QCommandLineOption
  * Fix QtTest function-unused warnings found by Clang 3.4
  * Abuse const_cast in QStringBuilder to get a little more performance
  * Add support for using -isystem in qmake
  * Don't scan system includes for dependencies and don't list them
  * Fix mix of new[] / malloc in QTest::toHexRepresentation
  * Fix the alignment for non-ASCII strings
  * Don't allow the QLibraryStore to be recreated during shutdown
  * Update the qHash function for strings to use the CRC32 instruction
  * Add Qt 5.2.1 changelog
  * Work around a binary incompatibility in MSVC
  * Revert "Fix mix of new[] / malloc in QTest::toHexRepresentation"
  * Fix typo in the function argument of QRect::moveTo: t -> y
  * Declare qregister[u]int, an integer the size of the machine's word
  * Add support for 16- and 64-bit atomics with MSVC
  * Introduce QAtomicInteger<T> and derive QAtomicInt from it
  * Ensure that the pointer-sized QAtomicInteger specialization exists
  * Centralize support for QBasicAtomic for ints and longs
  * Replace the type-based QAtomicIntegerTraits with a size-based one
  * Use full-barrier in the "non-atomic" API in QAtomic{Int,Integer,Pointer}
  * Also register complex D-Bus types when running under qdbus
  * Add support for UTF-8 encoding/decoding with SIMD
  * Improve ucstrncmp with SSE2
  * Merge qMemEquals and ucstrncmp
  * Improve qstring.cpp:findChar with SSE2
  * Centralize the UTF16-Latin1 comparisons in one place
  * Improve the QString/QLatin1String ucstrncmp with SSE2
  * Unroll the tail loops of the SSE2-improved code
  * Merge all conversions from Latin-1 in qstring.cpp into a single function
  * Move the code that converts from UTF-16 to Latin1 to the top
  * Use qregister(u)int in qsimd.cpp x86 code
  * Update the macro that MSVC 2013 defines for AVX code generation
  * Add the default argument for the new connection syntax
  * Fix configure & qmake compilation with a future MSVC version
  * Add other integer overloads to QFlag's constructor
  * Fix compilation: testBit is only used if mtdev isn't
  * Remove unused private member (fixes compilation with Clang 3.4)
  * Add QString::fromUtf16 with char16_t and fromUcs4 with char32_t
  * Fix compilation after b0afad8f0b6a3be7ab3a23e063b0201cd68ada95
  * Make QStringBuilder use our qt_from_latin1 code (out-of-line)
  * Improve the code generation for the Latin1 codec
  * Make QUrl::isLocalFile fast by storing a flag
  * Fix compilation when including files created in shadow dirs
  * Disable disabling exceptions with ICC
  * Deprecate {QCoreApp,QAbstractEventDispatcher}::hasPendingEvents()
  * Optimize qt_memfill32 a little
  * Use QtPrivate::is_integral instead of listing each integer type
  * Add a CSV logging feature to the benchlib
  * Remove duplicated trimming of a string
  * Merge the pairs of stringTo{Double,LongLong,UnsLongLong}
  * QLocalePrivate: move the xxxToString functions to QLocaleData
  * QLocalePrivate: move the stringToXxx to QLocaleData
  * QLocalePrivate: merge removeGroupSeparators into numberToCLocale
  * Centralize the handling of all the toXxx (integral) functions
  * Remove "thread_local" support from the Intel Compiler
  * Centralize the merging toFloat conversions
  * Work around ICC 14 bug: __attribute__((deprecated)) with text
  * Initial support for the Intel Compiler 14.0 on OS X
  * Add a testAndSet overload to the atomics that returns the current value
  * Add the rest of the non-volatile members of std::atomic to QBasicAtomic
  * Make the printing of complex Unicode in a QString prettier
  * Make a URL with absent authority be different from one with an empty one
  * Make sure that the compiler is strict in QtCore
  * Mark the QArrayData alloc/dealloc functions as nothrow
  * Redo the Q_FOREACH loop control without GCC statement expressions
  * Add the option of using decltype() in Q_FOREACH
  * Bump Qt version to 5.4.0
  * Make sure all containers compile in strict-iterator mode
  * Re-group and re-sort the configure output
  * Make QTextDecoder use our qt_from_latin1 code
  * Normalize signal & slot signatures in connection
  * Fix off-by-one error: the next ASCII character is next one
  * Make D-Bus types without a matching Qt one prettier in qdbus
  * QtTest: Don't crash when -callgrind is used on QTEST_APPLESS_MAIN
  * Fix ARM atomics for 8- and 16-bit types
  * Fix use uninitialized, detected by GCC 4.8
  * Atomics: implement fetchAndSub on top of fetchAndAdd
  * Remove the header precompilation for QtXml and QtOpenGLExtensions
  * Fix the name of the GPLv3 license file
  * Always initialize integer types in D-Bus demarshalling
  * Revert the QByteArrayList addition to Qt 5.3
  * Make Q_NULLPTR be NULL on C++98
  * Add a benchmark test for QCryptographicHash
  * Don't read before the beginning of the string
  * Don't fileFixify PRECOMPILED_HEADER twice
  * Add detection for the Intel compiler in QLibraryInfo::build()
  * Consistently hide the parts that require xcb-xkb
  * Use Q_STATIC_ASSERT to check that the array has the right size
  * Fix capacity reservation for shared QByteArray
  * Use the new 3-operand testAndSet functions in QMutex
  * Don't redefine dynamic_cast if it's already a macro
  * Mark Variable Length Arrays as a TS feature for C++14
  * Remove the #ifdef check just before #undef
  * Disable all C++11 rvalue refs with Dinkumware C++ library too
  * Disable C++11 initializer lists and rvalue refs for old libstdc++
  * Autotest: fix use of dangling pointer
  * Restore handling of BOMs in QString::fromUtf8
  * Document QString's UTF-8 conversion behaviors
  * Update the changelog for 5.3.0
  * Deprecate setSharable in Qt containers
  * Again to fix compilation after b0afad8f0b6a3be7ab3a23e063b0201cd68ada95
  * Ensure we try the UTF-8 conversions with longer strings
  * Un-export QSignalBlocker: it's all inline
  * Doc: add info about the -perf benchmark switch to QtTest's manual
  * Doc: QSize::isValid does >= 0 instead of > 0 comparisons
  * Remove duplicate symbol name: QTest::currentAppName
  * Don't set the window title for a Qt::Desktop window (QDesktopWidget)
  * Include the duplicated attribute name in the error message
  * Use the "gcc" feature in simd.prf
  * Autotest: make sure the helper programs in QtDBus aren't bundles
  * Fix dangling pointer dereferencing
  * Add QSysInfo::cpuArchitecture() and fullCpuArchitecture()
  * Add QSysInfo::osType()
  * Add QSysInfo::osVersion() and prettyOsName()
  * Add QSysInfo::osKernelVersion()
  * Implement QSysInfo::osVersion() for BlackBerry
  * Don't open /etc/os-release outside Linux and Debian GNU/kFreeBSD
  * Document that env variables are preferable to cmdline options
  * Document that the -reverse option is only for debugging and its default
  * Doc: fix -qwindowgeometry and -qwindowtitle option docs
  * Document the X11 DISPLAY variable in the -display option docs
  * Limit the QString pretty outputs to 256 characters
  * Don't assume QLocale::codecForLocale always returns non-null
  * Doc: change the name of the QTemporaryDir parameter name
  * Update changelog for Qt 5.3.0
  * Update QLibraryInfo::build() to use the arch-detection from QSysInfo
  * Remove the use of __DATE__ from QtCore
  * Add the static/shared split to QLibraryInfo::build()
  * Fix stateful handling of invalid UTF-8 straddling buffer borders
  * Fix an off-by-4 error in qHash with CRC32
  * Move the hex digits out of _q_toHex
  * Stop using setSharable in the Java-style mutable iterators
  * Fix minor coding style issues in new code in QtCore
  * Make the use of -ffunction-sections more generic in Qt
  * Make qmake also use -ffunction-sections
  * Strip bootstrapped binaries of unused sections
  * Disable hash seeding for bootstrapped tools
  * Improve a few string operations with AVX2
  * IPv6 scope ID of zero is not valid
  * Automatically enable precompiled headers for Qt modules
  * Add support for single-file multi-target intrinsics in Qt
  * Detect the CRC32 instruction availability at runtime
  * UTF-8: always store the SIMD result, even if invalid
  * Remove unused QMapNode{,Base}::minimumNode
  * Update the QSignalBlocker docs to show actual behavior
  * Move the QProcessPrivate channel buffers into QProcessPrivate::Channel
  * Move the QProcessPrivate Windows objects into QProcessPrivate::Channel
  * Rename QProcessPrivate::destroyChannel to closeChannel
  * QProcessPrivate: merge the functions dealing with stdout and stderr
  * Don't try to read from invalid file descriptors in QProcess
  * QProcess: Handle spurious socket notifications for stdout and stderr
  * Fix data race in accessing QDBusConnectionPrivate::serviceNames
  * Remove the ARCH_FULL output from config.tests/arch
  * Add the -qreal option to the Qt ABI information
  * Add the C++11 feature macros for ICC 15 and complete for 14
  * Deprecate the C++14 compiler feature macros
  * Fix compilation with the Intel compiler on certain systems
  * Fix compilation in under -no-c++11 mode
  * Fix compilation with /Zc:strictStrings
  * Remove the use of QT_STATIC_CONST in QtSql
  * Fix ANGLE build with Microsoft Visual Studio "14" CTP
  * Move most of the QLibraryPrivate initialization to its constructor
  * Fix warnings from MSVC 2013
  * Make the fetchAndAddRelaxed function a member template
  * Fix -Werror compilation on big-endian
  * Only define the MSVC C++11 feature macros in C++
  * Update MSVC compiler features according to testing
  * Fix compilation on Windows without precompiled headers
  * Add Q_COMPILER_THREADSAFE_STATICS (a.k.a. "Magic Statics")
  * Expand the compiler test with C++11 and C++14 compiler tests
  * Fix ICC build on Windows: __VERSION__ isn't defined
  * Update the macx-icc mkspec for ICC 15
  * Fix building of the C++11 config.test on Windows with ICL
  * Work around Intel Compiler 14 & 15 bug with paths starting with dot
  * Disable C++11 support for ICC on OS X
  * Don't compare the target methods for SlotObject connections
  * Make QFreeList constexpr
  * Save the _MSC_VER variable instead of <unknown version>
  * Remove the rcc output file if we failed to write it
  * Fix annoying warning from ICC 14 on Windows
  * Update the Win32 Intel Compiler mkspec
  * Disable the new multipass RCC when doing LTCG/LTO
  * Make QTextStream use group separators in floating-point numbers
  * Attempt to work with Visual Studio in -Za (strict ANSI) mode
  * Remove QT_STATIC_CONST
  * Mark all QChar static functions as [[gnu::const]]
  * Add missing detection for some 64-bit architectures
  * Enforce strict string literal behaviors with MSVC 2013
  * Don't look up a QChar's digit value more than necessary
  * Rename QSysInfo::cpuArchitecture and fullCpuArchitecture
  * Work around ICC bug in brace initializations containing constexpr
  * Doc: update QCoreApplication to be clear that we don't support text UI
  * "Beautify" the two-pass RCC execution
  * Add support for CONFIG += c++14
  * Add link-time optimization support for Clang, GCC and ICC
  * Fix a few more race conditions with QLibrary::LoadHints
  * Don't store QLibraryPrivate with empty file names in the global store
  * Document that qHash(T) must be in T's namespace, due to ADL
  * Make QTextStream respect QLocale with OmitGroupSeparators
  * Use the stateless UTF-8 encoder in QStringRef::toUtf8
  * Fix compilation on ARM without ARMv6T2
  * Use simd.prf for building MIPS DSP code
  * Restore Neon "detection" in Qt
  * Rewrite simd.prf to share more code
  * Remove non-existing function.
  * Use the 3-argument testAndSet in the fetchAndXxx operations
  * Work around ICC bug in local static symbols for Q_GLOBAL_STATIC
  * Correct the list of files included in "make dist"
  * Add QSysInfo::currentCpuArchitecture()
  * Rework of QSysInfo OS and kernel version functions
  * Fix QByteArray::to{Upper,Lower} when the array contains embedded nulls
  * Don't parse /etc/os-release every time we need to do uname(2)
  * Use an enum to check that the OS is saving the register state
  * Add the detection of the compiler macros for more AVX512 features
  * Attempt to add support for Solaris sysinfo call
  * Doc: update the list of typical values for xxxCpuArchitecture
  * Add ascii_isspace to replace the locale-dependent isspace(3)
  * Add a few missing Neon constructs
  * Doc: normalize the {to,from}WCharArray text about encodings
  * Remove the last remnants of iWMMXt in Qt
  * Make sure that QPixelFormat is constexpr
  * Add missing #include <qdatastream.h> or <qiodevice.h>
  * Document missing QLatin1String methods
  * Add some missing STL typedefs and functions to QStringRef and QByteArray
  * Fix compilation after qstringlist.h stopped including qdatastream.h
  * Move the special QByteArrayList methods into QList
  * Add QtPrivate::is_const and is_volatile
  * Ensure that qCleanupFuncinfo works with some C++11 new constructs
  * Trim the QString benchmark test
  * Update the handling of the -xkbcommon configure option
  * Doc: document that we have unfixed bugs with waitForXxx on Windows
  * Replace the const QString global static with a QStringLiteral
  * Correct the SYNC hint for the release barrier
  * Make sure we don't cache old file sizes prior to new writes
  * Unify and optimize QByteArray::to{Upper,Lower}
  * Add rvalue-ref qualified overload of QByteArray::to{Upper,Lower}
  * Unify and refactor QString::to{Upper,Lower,CaseFolded}
  * Add rvalue-ref qualified QString::to{Upper,Lower,CaseFolded}
  * Simplify and unify Q{ByteArray,String{,Ref}}::{simplify,trimmed}
  * Restore foreach macro for GCC 4.3 and 4.4 in C++11 mode
  * Fix headercheck failure introduced by 67c83f329e7fb6fbf5d8e402f42
  * Add a note to the configure about the use of journald and slog2
  * Qt 5.3.2 changelog
  * Document that default-constructed QFuture are canceled
  * Add unit tests for cleaning up nested functions
  * Fix the number of empty lines between warnings at the end of configure
  * Unify the environment variables used for console logging
  * Initialize certain Qt environment variables in testcases
  * Fix warning about sign change (ICC)
  * Fix handling of IPv6 addresses in QUrl::fromUserInput
  * Don't check for EINTR after calling QT_READ / QT_WRITE
  * Update the detection of when to log to stderr
  * Fix compilation of MIPS with Clang
  * Use :- instead of - for empty environment variables
  * Import the FreeBSD strtoXX functions
  * Attempt to make QFile I/O 64-bit safe
  * Don't always chmod the XDG_RUNTIME_DIR
  * Report the system error on why chmod(2) failed in XDG_RUNTIME_DIR
  * Autotest: synchronize with the peer before emitting more signals
  * Fix warnings about size conversion in QList
  * Enable the latest versions of GCC, Clang and ICC with -Werror
  * Fix compilation of <atomic> with ICC and libc++
  * Enable C++11 atomics with Clang
  * Reenable C++11 for ICC on OS X
  * Make the empty Q_ASSERT still check its argument for validity
  * Add rvalue-ref qualified {QString,QByteArray}::{simplified,trimmed}
  * Fix warning caught by Clang on Linux
  * Import forkfd into qtbase
  * Store the GCC version number in Q_CC_GNU
  * Define the Intel compiler and Microsoft C++ versions in the Q_CC_ macros
  * Always lock the DBus dispatcher before dbus_connection_send*
  * QDBusConnection: Merge the dispatch and the watch-and-timeout locks
  * Partially revert "Fix a deadlock introduced by the race condition fix"
  * Place the Qt plugin metadata in a PE-COFF section with MinGW too
  * Make QVersionNumber private
  * Fix build
  * Enhance precision of the FP conversion to strings in QVariant
  * Fix asymmetry in QVariant::cmp when A converts to B but not the opposite
  * QVariant: Fix qIsNumericType(SChar)
  * Update the ChangeLog for 5.4.0 for the rest of qtbase
  * Fix the %{time} printing to *not* default to the process's time
  * Fix coding style in QtCore
  * Put parentheses around "min" to prevent expansion as macro
  * QtTest: fix pretty-printing of QStrings containing "
  * Disable the tests that verify that the available space shrunk
  * Work around ICC compatibility problem with Apple headers
  * Fix failure to build QtQuick with LTO
  * Fix warning about QDeviceDiscovery violating ODR rule
  * Don't say "Neon... auto" when ARM Neon isn't detected
  * Removed wrong task number from changelog entry
  * Make QtDBus compile without libdbus-1 headers, if dlopening
  * Make sure plugins under LTCG get the right flags too.
  * Fix linking of sources without LTCG to a static lib with LTCG
  * Un-tighten the WinRT specific code out of qfunctions_winrt.h
  * Fix placement of QT_{BEGIN,END}_NAMESPACE in qfunctions_winrt.h
  * Implement proper C++ type numeric promotion for QVariant comparisons
  * Hoist the numeric comparisons in QVariant::{cmp,compare} further
  * QVariant: simple improvement to numeric type checking
  * Add macros for enabling/disabling warnings
  * Use the new warning enabling/disabling macros in qtbase
  * Hide the output of make in qmake's dir inside configure
  * Change misleading error message in QDBusReply
  * Configure: Fix detection of GCC 5
  * Add support for char16_t, char32_t and std::nullptr_t in QDebug
  * Fix the Apple build version numbers for Clang
  * QTextStream: stream QStrings without modifying the user content
  * Merge the different implementations of toHex in one central place
  * Merge the multiple implementations of fromHex too
  * Remove mkspecs and detection of Visual Studio .NET 2003
  * Update the names of Microsoft compilers
  * Create a common qmake configuration for all MSVC versions
  * Add detection of and support for Visual Studio 2015
  * Add the C++11 features supported by Visual Studio 2015
  * Bump version number to 5.4.1
  * Fix running tst_qmessagehandler when QT_MESSAGE_PATTERN is set
  * tst_qlogging: add tests for %{pid} and %{threadid}
  * Fix QThread::idealThreadCount on Unix if sysconf or sysctl fails
  * Make sure we don't try to ask QByteArray to allocate too much
  * Use the GCC and Clang __builtin_bswap intrinsics in qbswap
  * Remove unnecessary adding of test rows in the QtDBus type benchmark
  * Simplify use of __has_include in qlogging.cpp
  * Fix loading of the dbus-1 DLL built by MinGW on Windows
  * tst_qdbusconnection_no_bus: Fix build on Windows
  * Remove the hardcoding of Unix socket paths for QtDBus
  * Autotest: Make the peer executables report error if they failed
  * Don't kill the subprocess in tst_qdbusabstractinterface
  * Fix handling of subprocesses for QtDBus unit tests on Windows
  * Autotest: Fix a race condition in launching the QtDBus sub-processes
  * Add the detection of MSVC 2015 for QLibraryInfo
  * Display the QElapsedTimer reference time in %{time}
  * Remove Q_NO_USING_KEYWORD
  * Fix Clang warning about inconsistent use of C++11 override
  * Unbreak the build with the Intel compiler on Windows
  * Fix detection of C++11 Unicode strings with icl.exe
  * Fix build error without precompiled headers
  * Remove the operator<< | >> (QDataStream, QStringList)
  * Fix include headers for qsslcertificate_qt.cpp
  * Temporarily disable the QtDBus tests if the session bus isn't available
  * Autotest: Disable multicast testing with proxies
  * Suppress silly shell warning during qmake of qtcpsocket.pro
  * Don't try to send broadcasts over IPv6
  * Stabilize tst_QUdpSocket::broadcasting
  * Fix silly mistake: 0 is a valid file descriptor
  * Fix tst_QUdpSocket::multicastLeaveAfterClose
  * Silence warning in tst_QUdpSocket::multicast for Any+IPv4
  * Report QHostAddress::Any explicitly in qDebug()
  * Fix silly QSKIP for IPv6 in tst_QUdpSocket::multicast
  * Don't hardcode port numbers in tst_QUdpSocket wherever possible
  * tst_QUdpSocket: Fix inverted logic in getting a non-"any" address
  * Include qobjectdefs.h for Q_GADGET
  * Fix undefined behavior found by GCC 5
  * Autotest: Be nicer when asking the sub-processes to exit
  * Autotest: Forward stderr of the sub-processes
  * Doc: fix the type listed for the functions in QAtomicInteger
  * Don't bind to QHostAddress::Any if we want to do IPv4 multicast ops
  * Fix change-of-sign warnings with ICC
  * Re-enable constexpr for ICC 15
  * Autotest: fix a race condition in verifying a peer D-Bus connected
  * Make QDBusConnection and QDBusServer return an error on default objects
  * Give ICC-as-Clang a Q_CC_CLANG version number too
  * Fix build error with Intel Compiler 15 on Windows
  * Complete the work for the runtime libdbus-1 support
  * Allow the QtDBus type benchmark to run without libdbus-1 found
  * Make QtDBus unit tests compile with runtime dbus-1 too
  * Remove workarounds for RVCT compiler bugs
  * Add a simple way of tracing calls to libdbus-1
  * Cosmetic debugging difference for QDBusConnection
  * Remove the old QDBusConnection::sender functionality
  * Make QDBusMessage store its own message type
  * Remove unused QDBusMessage::timeout member
  * Disable the warning about deprecation inside qalgorithms.h
  * Move a few QStringList methods up to QList<QString>
  * Add support for printing the real thread ID with QT_MESSAGE_PATTERN
  * Autotest: don't leak a socket every call to QtNetworkSettings::hasIPv6
  * Don't specialize std::swap, just overload it in the global namespace
  * Fix compilation with MSVC 2010
  * Remove EXTRA_CPPFLAGS
  * Print some debugging information for pkg-config detection
  * Optimize QHostAddress::operator== for SpecialAddress
  * Don't unnecessariy set localAddress in QNativeSocketEngine's nativeBind
  * Remove support for MSVC mkspecs that don't exist anymore
  * Prettify the per-compiler setting of Makefile.win32
  * Fix memory leaks with QDBusServer
  * QDebug: pretty-print QStrings and QStringRefs
  * Do the same for qDebug of QByteArray and QLatin1String
  * Let qmake find the number of processors online
  * Clean up ltcg.prf with variables, including a new static mode
  * Remove Q_STATIC_GLOBALxxx_OPERATOR macros
  * Update doc saying QDateTime::setTime with invalid time sets to midnight
  * Fix compilation with older MSVC: use qIsNan instead of isnan
  * Update QFileSelector to use QSysInfo better
  * Fix forkfd build when O_CLOEXEC isn't defined.
  * Add QTimeZone::{systemTimeZone,utc}
  * Don't call static members with object
  * Move enabling of C++11 Unicode Strings with ICC from 12.1 to 14.0
  * Fix compilation with Apple Clang 425
  * Remove Q_C_CALLBACKS
  * Fix QSharedPointer::create and QEnableSharedFromThis
  * Implement the unaligned byteswap functions using the aligned ones
  * Fix QUdpSocket's emission of readyRead()
  * Add the compilation of forkfd to QtCore
  * Use waitid with WNOWAIT in forkfd
  * Fix compilation of non-waittid forkfd() outside of Linux
  * Fix forkfd on OS X 10.7 and earlier
  * Add spawnfd for use where fork / forkfd can't be used
  * Use forkfd in QProcess
  * Handle posix_spawn using exit code 127 to indicate fail-to-start
  * Fix QXmlStreamReader parsing of files containing NULs
  * Correct the version of ICC that has the constexpr bug fixed
  * Fix compilation with Apple Clang 425
  * Remove #define inline from Harfbuzz-NG
  * Force Harfbuzz-NG to use the Qt atomics when built inside Qt
  * Ensure that the binary JSON objects are actually sorted
  * Save two system calls for setting a socket non-blocking on Linux
  * Make the detection of the number of cores on Unix prettier
  * Optimize the Latin1 conversion code in the JSON parser with SSE2
  * Make the printing of complex byte arrays prettier
  * Doc: clarify what QUrl::topLevelDomain actually does
  * Fix compilation with ICC: failure to parse placement of Q_DECL_OVERRIDE
  * Fix Intel compiler warning about change of sign
  * Use Clang 3.6's __builtin_assume in Q_ASSUME
  * Output the JSON binary data with printable characters
  * Remove __cdecl from Windows desktop atomics
  * Fix warning-as-error about member not used with Clang 3.6
  * Timezones: Fix handling of offset-from-UTC QTimeZones
  * Merge "Merge remote-tracking branch 'origin/5.4.1' into 5.4" into refs/staging/5.4
  * QSysInfo: expand Linux distribution detection to /etc/lsb-release
  * Revert "Update the DNS and name-resolver tests to the official zone"
  * tst_QNetworkDiskCache: Stop using actual web servers
  * XCB: Solve crash when plugging a screen with unshown QWindow
  * Fix bind+connect in both TCP and UDP
  * Adjust the socket address family before bind()/connect()/sendto()
  * Add missing fetchAndXxx methods to atomic classes based on std::atomic
  * tst_QDnsLookup: Update to match the new zone for test.qt-project.org
  * Fix -Wunreachable-code warning from clang in preprocessed Q_ASSERT
  * QHostAddress: Revert auto-converting of IPv6 v4-mapped addresses to IPv4
  * QHostAddress: Convert AnyIPv4 to AnyIPv6 instead of ::ffff:0.0.0.0
  * Add a QHostAddress::toIPv4Address overload taking a bool *ok
  * Silence bogus MSVC warning about variable not used
  * Fix race condition in QDateTime::timeZone() and other methods
  * QStringAlgorithms::simplified_helper: add missing check for detached
  * Fix NTLM possible data corruption
  * QPA plugins: Fix const correctness in old style casts
  * QtDBus: Fix const correctness in old style casts
  * QtXml: Fix const correctness in old style casts
  * qdoc: Fix const correctness in old style casts
  * QtSql: Fix const correctness in old style casts
  * Fix const correctness in Harfbuzz
  * QTest: Print hex instead of octal for QByteArray QCOMPARE failures
  * QDateTime: ensure we always use the daylight status if known
  * tst_QDateTime: Mark more Windows incorrect transitions
  * tst_QDateTime: remove silly test for timezone date too early
  * QtNetwork: Fix const correctness in old style casts
  * QHostAddress: add IPv6 address overloads that take const data
  * Silence MSVC warning about 64-bit conversion (loss of data)
  * Make Q_ASSERT_X also check its argument for validity
  * QtGui: Fix const correctness in old style casts
  * Update strto(u)ll.c to not produce a warning with -Wcast-qual
  * Make sure we also treat QAbstractSocket::AnyIPProtocol as IPv6
  * tst_QUrl: Add extra testcases
  * QNativeSocketEngine: merge duplicated code for sin6_scope_id
  * IPv6 scope IDs are unsigned
  * forkfd: make only one of forkfd or spawnfd be compiled
  * QNativeSocketEngine: merge the get/setsockopt level constants
  * QString: Don't force unrolling of the tail loop if optimizing for size
  * Network tests: don't try to test against disabled network interfaces
  * forkfd: dynamically detect whether the Darwin waitid is broken
  * QtWidgets: Fix const correctness in old style casts
  * Remove the tests for Ubuntu Oneiric (11.10)
  * Relicense forkfd under an MIT license
  * QtOpenGL: Fix const correctness in old style casts
  * Update strtoll and strtoull from upstream FreeBSD
  * tst_QDnsLookup: Use a different character from space in TXT multi
  * Remove extra semi-colons: clang doesn't like it
  * forkfd: Fix compilation with older glibc
  * Use Q_NULLPTR for the null pointers used in macros
  * Fix running of dbus-send on some systems
  * Autotest: fix incorrect test message ignoring
  * Use QStringLiteral where applicable in QtDBus
  * Make Creator happy with qobjectdefs_impl.h parsing
  * Removed unused code on QT_STRING_UCS4 macro
  * Remove unnecessary QDateTime::detach() function
  * QIconvCodec: fix compilation when NO_BOM is defined.
  * Remove the old headersclean unit test
  * Fix crashes on shutdown when the D-Bus spy list has been destroyed
  * Fix undefined behavior: accessing an object after destruction
  * Implement a more direct headersclean check
  * Add the changelog for 5.4.2
  * Fix undefined behavior in left-shifting into negative
  * Require -fPIC instead of just -fPIE for -reduce-relocations
  * Autotest: Check if this D-Bus library knows about file descriptors
  * Make qglobal.h complain if you use -fPIE
  * Fix compilation of QContiguousCache::operator=
  * Make sure we don't call dbus_connection_can_send_type on too old libdbus
  * Make qglobal.h only complain for GCC >= 5 about -fPIE
  * Correct calculation of filesystem data on unusual filesystems
  * Remove useless truncation to the size the string already has
  * Let QtTest use an alternate stack for its signal handlers
  * Add changelog for 5.5.0 in qtbase
  * Use the default QLocale for QFileSelector, not the system locale
  * Autotest: Check where global event filters get run
  * Make QMetaObject::Connection check its state deeply
  * Autotest: make the test pass with the Intel compiler
  * Doc: document future direction of QCoreApplication::notify()
  * Force Visual C++ math.h to define the M_ constants
  * QtTest: Increase the size of the alternate stack
  * Disable C++11 thread_local with ICC on OS X
  * Don't document the IsGadget flag
  * Update the changelog with the LTS discussion results
  * Fix warning with MSVC 2013
  * Make the Windows qt_msectime() function return 64-bit
  * Fix the remainingTime() result after the first activation of a QTimer
  * Remove the warning printed when QObject's destructor catches exceptions
  * Fix ambiguous overload call on OS X
  * Fix build on FreeBSD: kinfo_getproc is in libutil
  * Set the state of QTemporaryFileEngine properly prior to reopening
  * Fix compilation with GCC 4.9.2 and up in debug mode
  * Fix change-of-sign warning with ICC
  * Fix the printing of the ms-since-boot in %{time boot}
  * Fix alignment of 64-bit atomics on iOS
  * Disable thread-safe statics for MSVC 2015: they're broken
  * Improve ICC compatibility with older MSVC versions (up to 2010)
  * Set Q_CC_INTEL to the ICC version when in MSVC compat mode
  * Refactor QVersionNumber to use the public functions when possible
  * QThread: simplify the pthread_cleanup_pop function
  * Remove the ref-qualified versions of segments and normalized
  * configure: properly quote the test name containing spaces
  * Update the list of compilers we are free of warnings with
  * configure: Initialize variables for the EGLFS backends
  * configure.bat: Search for icl.exe before cl.exe
  * Don't complain about non-matching Qt versions in qwidget.cpp
  * forkfd: update the API to add a reading and closing function
  * tst_QUdpSocket: send two bytes in a datagram
  * Make the -pkg-config and -force-pkg-config options be the same
  * Add QTemporaryDir::errorString()
  * Remove unnecessary check from qt_safe_pipe: condition can never happen
  * Revamp the CLOEXEC support in Qt
  * Make CONFIG += c++11 by default not disable GNU extensions
  * Fix GCC 4.9 warning about repeated attributes
  * Autotest: rename sub tests from "test" to something meaningful
  * Make the event delivery go through some more static functions
  * Add a way for auxiliary threads to handle events without CoreApp
  * forkfd: use wait4 to get the process status instead of waitid
  * Don't complain about missing CPU features under Valgrind
  * Also disable constexpr support in ICC with MSVC before MSVC2015
  * Add name to the cloexec feature test
  * QtCore: Fix const correctness in old style casts
  * Fix Q_BASIC_ATOMIC_INITIALIZER for std::atomic
  * Remove attempt at detecting compile-time HLE
  * QProcess: make setWorkingDirectory stop launch if the dir doesn't exist
  * Makes sure that yacc works with the MSYS bison on Windows.
  * Update/fix the qmake support for yacc
  * Doc: update the Q_OS_MAC documentation to be less misleading
  * Use jom instead of nmake to compile configure.exe
  * Add the GPLv3 license text
  * forkfd: Fix build with uClibc <= 0.9.33
  * Make the function pointer to xcb_poll_for_queued_event not a member
  * Let the linker find xcb_poll_for_queued_event for us
  * Update the list of x86 instruction set extensions enabled by GCC
  * forkfd: introduce system_forkfd to do system calls that do forkfd
  * Refactor QVersionNumber so it stores values in-class
  * Add a quick optimization for QVersionNumber's constructors
  * Add QStorageInfo::blockSize
  * Revert "Fix performance of recursive read-write locks"
  * Update/fix the qmake support for (f)lex
  * QTemporaryDir: fail early if the error isn't EEXIST
  * Seed the random number generator before using QTemporaryDir
  * Fix warnings about unused variables
  * FreeBSD has pipe2, so enable it in forkfd.c
  * Change how QDebug escapes QStrings in the output
  * Doc: update QDebug documentation to talk about the escaping
  * Don't check if Pentium's CPUID leaf 1 exists
  * Require more of the C++11 Standard Library
  * QDBusError: Disable function that isn't used in bootstrapped builds
  * Don't add qmutex_xxx.cpp to SOURCES, as qmutex.cpp #include's them
  * Silence warning about unused parameter
  * Add QTypeInfo::isRelocatable
  * Add a dedicated QListData::realloc_grow for growing QList
  * Make Qt::Initialization a C++11 class enum
  * Set the socketType and socketProtocol early
  * Use /Zc:throwingNew by default with MSVC 2015
  * forkfd: Add support for FreeBSD's pdfork(2) system call
  * Fix warning about unused local variables
  * Merge the multiple implementations of getting the local hostname
  * Fix -Wcast-qual warnings
  * Doc: Remove the section about IPv6 site-local addresses
  * QHostAddress: don't inline the parse() function
  * Fix warning of unused variable
  * QtTest: Add QHostAddress support for QCOMPARE failures
  * Add QHostAddress::isMulticast
  * QProcess: Ensure that the stdin buffer is cleared on start()
  * QNetworkInterface: prefer SIOCGIFINDEX over if_nametoindex
  * QNetworkInterface: Merge the two sections of code that do SIOCGIFxxx
  * QNetworkInterface: make the name lookup search numbers in string forms
  * Fix thread-safety of qnetworkinterface_win.cpp:resolveLibs
  * QNetworkInterface: remove fallback code for Windows pre-XP and CE pre-4
  * QHostAddress hashing: use qHashBits
  * QHostAddress: Improve code generation
  * Fix Clang warning about copy elision
  * Avoid overflow in QTime::addSecs with too big a number of seconds
  * Add support for same-file intrinsics with Clang 3.7
  * Remove Q_DECLARE_TYPEINFO that causes a build error
  * QAbstractSocketEngine: introduce QIpPacketHeader for datagrams
  * Autotest: Print errno in case of failure
  * QNativeSocketEngine: use sendmsg/recvmsg instead of sendto/recvfrom
  * QNativeSocketEngine: add code to receive IP header data
  * QNativeSocketEngine: add code to send extra IP header data
  * QNativeSocketEngine Windows: simplify the conversion to struct sockaddr
  * QNativeSocketEngine Windows: bring bind() in line with Unix
  * QNativeSocketEngine Unix: do the same as for Windows
  * Remove vestiges of Qt's own sockaddr_in6 and sockaddr_storage
  * Fix compilation with ICC on Windows
  * Fix permissions on qalgorithms.h
  * Detect which C++ standard edition the compiler defaults to
  * Fix crash on exit caused by QStringLiterals
  * Add detection of C++14 and C++1z compiler features
  * Change the CPU feature status word to be 64-bit instead of 32-bit
  * Add Qt 5.5.1 changelog with updated 5.7 future direction notice
  * Add a delimiter before "TracerPid"
  * Declare QNetworkAddressEntry and QNetworkInterface as metatypes
  * Autotest: Make tst_QNetworkInterface::interfaceFromXXX data-driven
  * Use the actual iphlpapi.dll and its headers
  * QNetworkInterface: get a friendlier (but not too friendly) name
  * Add a linker version script to Qt libraries
  * Add a qt_version_tag symbol to QtCore that uses ELF versions
  * Fix deadlock if the last reference is dropped during delivery
  * Use QDBusServiceWatcher in QDBusAbstractInterface to track the owner
  * Use QDBusConnectionPrivate* when QDBusServer receives a new connection
  * Use a signal for updating the dispatch status
  * Make QDBusConnectionPrivate::send return bool
  * Implement the blocking QtDBus call in terms of the non-blocking one
  * Use a dedicated thread for handling incoming libdbus-1 events
  * Simplify some code in QDBusConnectionPrivate::sendWithReplyAsync
  * Remove superfluous code in QDBusConnectionPrivate::sendWithReply
  * Move the sending of the D-Bus messages with reply to the thread
  * And move the sending of other types of D-Bus messages to the thread
  * And move the creation of connections to the thread
  * Merge two Q_GLOBAL_STATICS into another and solve memory leak
  * Remove the event callbacks in QDBusConnectionPrivate
  * QDBusServiceWatcher: Move the logic to QDBusConnectionPrivate
  * Use the new QDBusConnectionPrivate::shouldWatchService function
  * Make QDBusConnectionPrivate::getNameOwnerNoCache work in our thread
  * Bypass connectSignal() for receiving the NameOwnerChanged signal
  * Make sure we don't deadlock when connecting signals
  * tst_QDBusAbstractAdaptor: fix reception of signals from P2P connection
  * Merge two more QDBusConnectionPrivate members into a union
  * Fix QtCore compilation with clang
  * Pretend the X11 "compose" platform input context plugin to be "xim" too
  * Fix build error with ICC 16 on Windows
  * Fix detection of uClibc version numbers
  * Disable annoying ICC warning 809
  * ICC: Update LTCG-related options
  * ICC: Remove the -fno-jump-tables workaround.
  * QProcess: report the syscall that failed in the Unix child process
  * Update the list of compilers we are free of warnings with
  * Reorganize the bits for the CPU feature detection
  * Expand reporting of the Intel instruction set extensions
  * Auto-detect whether 64-bit std::atomic really works
  * Fix some -Wcast-qual warnings
  * Mark QHostAddress relocatable
  * ICC on Windows: Disable ref-qualified member functions in MSVC <= 2013
  * Update the Qt 5.5.1 changelog for qtbase
  * Add code to perform overflow-checking additions and multiplication
  * tst_QDBusAbstractInterface: fix racy test failing every so often
  * Use QTypeInfo<T>::isRelocatable in QVariant
  * QtDBus: update debugging info (QDBUS_DEBUG=1)
  * Print one warning for the new high DPI variables, not four
  * Fix deadlock on disconnectNotify() called from ~QObject
  * Remove QT_WARNING_DISABLE_GCC for Clang
  * Work around GCC thinking that a variable could be clobbered by longjmp
  * Fix ICC warning about use of "defined" in a macro
  * configure: append any unknown compileTest arguments to the qmake command-line
  * configure: Add support for detecting AVX512 instructions
  * configure: Report the SSE and AVX list like AVX512
  * Ensure there's no sign-extension here.
  * QUrl::setPort: use the original port number in the error message
  * Remove unnecessary null-pointer check
  * Fix sign-extension
  * QFSFileEngine: Remove unused member
  * Don't include <windows.h> in the MinGW qplatformdefs.h
  * Support a MinGW mkspec with name different than "win32-g++"
  * QLocale: remove (harmless) dead code
  * Make -dbus-linked the default on all platforms
  * Revert "Add support for same-file intrinsics with Clang 3.7"
  * Fix missing "We mean it" in qtbase private headers
  * syncqt: scan private headers for the "We mean it" comment
  * QUtf8Codec: Remove dead code
  * Mark ref-qualified members as always inline
  * Move the official Qt version from qglobal.h to .qmake.conf
  * QDBusPendingCall: Remove unused member
  * QDBusConnection: Remove unused members
  * QDBusServer: Fix uninitialized member
  * syncqt: complain if a public header includes a private one
  * Add QNetworkInterface::interface{IndexFromName,NameFromIndex}
  * Add the QT_HAS_xxx macros for post-C++11 feature testing
  * Fix left-shift wider than an int's width
  * Turn C++11 on by default if the compiler supports C++11
  * Make the C++11 atomic support the default, if available
  * configure: Open qconfig.h, qconfig.pri and qmodule.pri only once
  * Update mkspecs to use "c++11" instead of "c++0x"
  * Add a deprecation warning to configure about -no-c++11
  * Compile qmake and configure.exe in C++11 mode
  * Update qversiontagging.cpp not to use too much assembler magic
  * Add an automatic use of the ELF-versioned QtCore symbol
  * Place classes from private headers in the Qt_5_PRIVATE_API ELF version
  * Prevent the pixmap cache from crashing if it's been destroyed
  * Define QTypeInfo for char16_t, char32_t and wchar_t in Qt 5
  * Autotest: remove AIX-related QT_POINTER_SIZE code
  * Compile the 64-bit version of some code on all 64-bit processors
  * Move pointer size detection entirely to qprocessordetection.h
  * Remove support for MSVC earlier than 2012
  * QLocale: Add Q_ENUM for QLocale::Script
  * QLocale: Actually get the language script for the system locale
  * Workaround: don't create ELF version scripts for Android
  * Workaround part 2: don't use the version tagging symbols on Android
  * Remove support for disabling C++11 support in configure
  * Remove qatomic_mips.h: the 3-operand testAndSet is broken
  * Merge "Merge remote-tracking branch 'origin/5.5' into 5.6" into refs/staging/5.6
  * QString: Fix in-place toUpper/Lower when there's size expansion
  * qdrawhelper.cpp: Fix constexpr build with MSVC 2015 Update 1
  * tst_compiler: Silence MSVC 2015 warning about unused variable
  * Fix build with OS X 10.8 SDK
  * Add support for the C++11 features fixed in MSVC 2015 Update 1
  * doc: add a note about cmd.exe and the QProcess string splitting/joining
  * Auto-detect whether 64-bit std::atomic really works
  * Remove "FOO module" from config.tests/common
  * syncqt: print errors and warnings to stderr
  * Add some interesting warning options to the compilation
  * Silence cl.exe warning about -arch:SSE2 being unknown in 64-bit builds
  * Properly set (sa|sin|sin6)_len on Unix systems that need it
  * qCount{Leading,Trailing}ZeroBits: Use __builtin_clzs for 16-bit
  * QVariant: retain duplicate keys when converting
  * Fix constructing a QSharedPointer<const> of a QEnableSharedFromThis type
  * QNetworkInterface: fix support for address labels on Linux interfaces
  * syncqt.pl: say "ERROR" when it's an error
  * configure: don't test AVX512 if AVX2 wasn't found
  * qprocessordetection.h: Fix detection of 32-bit ARMv8
  * Change a QList of pointers to QVector
  * Remove unused member variable QDBusConnectionPrivate::timeoutsPendingAdd
  * Add a default argument to QDBusPendingCallWatcher::finished signal
  * Suspend processing of some messages in the default busses by default
  * Autotest: Mark D-Bus tests that don't connect to the bus as parallel
  * Autotest: test both libdbus-1 load failure and connection failure
  * Autotest: Make sure that we can place calls with disabled delivery
  * Work around GCC 6 warning about offset outside bounds of string
  * Make QUrl::removeAllQueryItems actually remove the query items
  * QDate: fix calculation of the week number for the last days of 2020
  * Revert "dbus: Add method serial() and replySerial() to class DBusMessage."
  * Revert "dbus: Print out 'serial' and 'serial reply to' with DBusMessage operator<<."
  * Change the ELF linker version script creator to take no parameters
  * QVariant: make sure two floating points compare equal if they are equal
  * QVariant: make sure to default-initialize in v_construct
  * QVariant: use v_construct instead of duplicating logic
  * Fix GCC 6 warning about placement-new operator on too little space
  * Doc: add missing semi-colon
  * Fix non-Latin1 strings in QJsonDocument on big-endian platforms
  * Remove all the atomic code besides MSVC and std::atomic
  * Force inclusion of <atomic> on QNX systems.
  * Move QIpPacketHeader to the header where QNetworkDatagramPrivate will be
  * QNetworkInterface: fix handling of interfaces with no addresses
  * QNetworkInterface: don't add a QNetworkAddressEntry if no IP is known
  * Autotest: remove the check that broadcast = ip | ~netmask
  * Fix the use of R_X86_64_GOTPCREL on a 64-bit field: it should be 32-bit
  * Update the Intel copyright year
  * Add Intel copyright to files that Intel has had non-trivial contribution
  * Hide better the private API QTextCursor constructors
  * Autotest: make tst_QDateTime pass when LC_TIME != en_US
  * Uppercase the verbosity setting enums.
  * Call out to QtDBus message spies in the main thread
  * Autotest: rename the test class so it's different in this test
  * QtDBus: Remove unnecessary #ifndef for QT_NO_PROPERTIES
  * Fix GCC 6 valid warnings about misleading indendations
  * Fix livelock at application exit if threads were running
  * Work around Clang < 3.7 integrated assembler bug PC-relative relocs
  * Fix build on FreeBSD: 'environ' is not defined in a library
  * Swap the GCC and Clang versions of supported FreeBSD mkspecs
  * Fix crash when a standard bus isn't available
  * DirectFB: Fix build in C++98 mode
  * Silence the warning: Unhandled client message: "_GTK_LOAD_ICONTHEMES"
  * Fix QtDBus deadlock inside kded/kiod
  * Autotest: confirm that QHostAddress obeys RFC 5952 recommendations
  * Clang 3.8 is clean of warnings
  * Work around Clang false-positive warning on returning default parameters
  * Fix parsing of empty port sections in URLs
  * Fix encoding of IDN hostnames with QUrl::host
  * Add support for initializing QSharedPointer from nullptr
  * Fix build on Linux/x32 systems (x86-64 ILP32)
  * compile.text: Split huge line into multiple
  * QMessagePattern: Fix indentation and use QVector for a large struct
  * Disallow non-character Unicode codepoints in QUrl/QUrlQuery
  * Add QLibraryInfo::version() returning the Qt version as QVersionNumber
  * Fix QArrayData::allocate() to guard against integer overflows
  * Use C++11 alignas() for Q_DECL_ALIGN, if possible
  * Disable DirectFB automatic detection and mark it deprecated
  * tst_compiler: Expand the attribute test
  * Make QSharedPointer without custom deleters call the correct destructor
  * Autotest: fix the QTimeZone::tzTest failure when database contains LMT
  * Don't store the pthread_t thread ID twice in QThread
  * Remove the use of QMutexPool from QtDBus loading of libdbus-1
  * Remove the use of QMutexPool in QHostInfo and QDnsLookup
  * Don't bother asking if Linux supports a monotonic clock: it does
  * Workaround Windows DLL unload issue with threads running
  * Stop unloading plugins in QPluginLoader and QFactoryLoader
  * Let Q_DECLARE_METATYPE and Q_DECLARE_FLAGS be undefined under Q_MOC_RUN
  * tst_moc: Remove invalid preprocessor usage
  * Fix Clang -Wexpansion-to-defined warning by deprecating QT_SUPPORTS
  * QDateTime: Remove NoDaylightTime flag
  * QDateTime: Remove the distinction between null and invalid date and time
  * Mark QTimeZone constructor nothrow.
  * Remove includes to qdatetime_p.h that aren't necessary
  * Implement QLibrary::PreventUnloadHint for Windows
  * Mark QThread::currentThreadId() as a pure function
  * QTest: Fix printing of values of Q_ENUMs
  * Work around ICC's bug in making std::atomic a literal type
  * tst_QDBusMarshall: make sure we compile on linked, old dbus
  * Disconnect signals from each QObject only once in QDBusConnectionPrivate
  * Fix QBasicAtomicPointer::{load,store} to actually be relaxed
  * Fix moc warning detected by ICC
  * Add an autotest for the QtDBus message spy hook
  * QStorageInfo: fix matching of mountpoints to sibling directories
  * QStorageInfo: update the detection of pseudo filesystems
  * QStorageInfo: get the label properly if the mounted device is a symlink
  * QStorageInfo: allow getting the info of pseudo filesystems too
  * Add a QMutex::isRecursive() const noexcept
  * Make sure the QDBusVirtualObject virtuals are called in the right thread
  * Make it an #error if we failed to detect the ARM architecture version
  * Add support for -Werror with ICC 17 on Linux
  * QMutex: make FUTEX_PRIVATE_FLAG a mandatory feature
  * src.pro: include the build of bootstrap-dbus in developer builds
  * Bearer: replace the use of QMutexPool in the Windows plugin
  * Fix build with GCC <= 4.2 (FreeBSD 9.x)
  * configure: present some progress status for the detections
  * Move out the code to extract the backtrace to another function
  * Remove dead code from QColorDialog
  * Print the QStorageInfo dump on test start
  * forkfd: Make sure we handle SIGPIPE too
  * Restore the -fno-lto build of qversiontagging.cpp
  * Revert "QMutexPool: avoid QVarLengthArray of QAtomicPointers"
  * Fix parsing of tzfile(5) POSIX rule zone names with bracket quotes
  * Use the code we already have for parsing the transition time too
  * Replace qUnaligned{Load,Store} with the existing q{To,From}Unaligned
  * Fix invalid QDataStream data for QDateTime
  * Use void instead of uchar in the endian-swapping function parameters
  * Fix use of QMutex on Linux before FUTEX_PRIVATE_FLAG was added
  * Force the use of the C++11 alignof keyword instead of an extension
  * Add some more interesting warnings new in GCC 6
  * Remove the Clang __has_feature(cxx_exceptions) check
  * Clang: remove the QT_NO_RTTI macro declaration
  * Fix linking of the minimal platform plugin on OS X
  * Fix build with ICC on OS X: __Z18qt_getQtMetaObjectv was undefiend
  * Fix crash when connecting a non-PMF with Qt::UniqueConnection...
  * Update the high scaling settings after an XCB screen is added
  * tst_Moc: restore signals/slots/emit to the Q_UPPERCASE values
  * QObject::connect: reduce generated code size for statics and functors
  * Revert "QObject::connect: reduce generated code size for statics and functors"
  * Remove the code for QObject::connect for non-C++11 compilers
  * tst_QObject: Test if the new connect style works with virtual bases
  * Windows: stop using _beginthreadex on regular builds
  * QObject::connect: reduce generated code size for statics and functors
  * Fix race condition in tst_QDBusConnection::pendingCallWhenDisconnected
  * Move the Q_DECL_UNUSED attribute elsewhere to satisfy ICC 17
  * QElapsedTimer: Remove legacy code dealing with Windows pre-Vista and CE
  * x86: Fix build with BMI but no LZCNT extensions
  * Replace qAllocMore with a pair of more useful functions
  * configure: check whether std::atomic<T> works for function pointers
  * Plug padding holes in QHostAddressPrivate
  * QDateTimePrivate: merge the time spec, DST status and validity flags
  * Stop QDateTimePrivate from inheriting QSharedData
  * Remove QDateTimePrivate::isNull{Date,Time}()
  * Move QDateTimePrivate::toMSecsSinceEpoch() code into QDateTime
  * QDateTime: fix the massageAdjustedDateTime differently
  * Simplify the QDateTimePrivate::setTimeSpec() function
  * Refactor & simplify QDateTimePrivate::refreshDateTime()
  * Refactor & simplify QDateTime::setMSecsSinceEpoch
  * QDateTimePrivate refactor: static'fy access to d->m_status
  * QDateTimePrivate refactor: static'fy the date/time manipulators
  * Long live the short QDateTime optimization
  * Move the QDateTime file static functions to their right place
  * Allow QDateTime to shrink back to short data mode on copy
  * Add move constructor to QDateTime
  * Fix warning when compiling x86 with SSE2 but no AVX2
  * QArrayDataOps: silence Clang warning about memmove
  * Fix build on macOS: Apple changed their minds if null is allowed
  * Fix warning about non-void function not returning anything
  * Fix compiler warning about missing return statement in non-void function
  * Ensure that configure.exe is built in C++11 mode with ICC
  * Fix ICC warning about comparing pointers of different types
  * PowerPC: Add detection of SPE (found on e500) and VSX
  * Add "-softfloat" to archdetect.cpp and clarify what to use when
  * Fix MSVC warning about casting to pointer of different size
  * Long live QNetworkDatagram!
  * configure.exe: Remove old code that supported MSVC < 2013
  * QDateTime: introduce {to,from,set,current}SecsSinceEpoch
  * Win: Get rid of unused variables un QDateTime::currentMSecsSinceEpoch
  * Make sure all private headers in Qt Core include qglobal_p.h
  * moc: remove _MSC_EXTENSIONS #define
  * QFormLayout: Remove internal, unused functions
  * QDateTime: use the more efficient currentMSecsSinceEpoch()
  * Move QElapsedTimer to src/corelib/kernel
  * Fix the naming of an LLVM tool in common/clang.conf
  * QUrl: Test that we do correctly accept valid schemes
  * Fix build: ftok(3) requires sys/ipc.h
  * tst_QDBusConnection: add a test for a regular signal connection
  * Examples: Fix stringification of the Qt version
  * Remove support for MSVC < 2013 in ANGLE
  * QStorageInfo: update the algorithm for ignored filesystems on Unix
  * Fix/adapt the uses of {to,set,from}Time_t in the qtbase source code
  * XCB: Update the high DPI scaling in more conditions
  * QTimer: add support for <chrono> functions
  * Make QDateTime's default constructor not allocate memory on 32-bit
  * Correct indentation in qsettings.cpp
  * Fix the Q_ATOMIC_xxx_IS_www_NATIVE macros with C++11
  * Enable -WX (warnings are errors) for MSVC 2015
  * Update QLibrary's debug output when loading failed
  * moc: get the system #defines from the compiler itself
  * Make moc obey the preprocessor environment variable for include paths
  * Work around Apple defining "check"
  * tests/manual: add highdpi subdir to the test list
  * Don't compile configure.exe with clang-cl.exe if cl.exe is available
  * Windows: Disable unsupported C++11 features with Clang-cl and ICC
  * Fix namespaced build using harfbuzz-ng
  * Work around ICC bug about shadowing declarations that aren't shadowing
  * Fix enabling of precompiled headers on macOS
  * Fix build with clang-cl and the Intel compiler on Windows
  * Make sure QDBusConnection::connect() returns false if already connected
  * Fix qnumeric_p.h with ICC's supplied math.h
  * Long live QDeadlineTimer
  * compile.test: append any unknown arguments to the qmake command-line
  * Mark Clang 3.9 as warning-free
  * QDeadlineTimer: inline the isForever function
  * QLockFile: Use QDeadlineTimer in tryLock
  * QLockFile::tryLock: prevent over-sleeping in certain cases
  * configure: ask pkg-config only for the info we're interested
  * QStorageInfo: Add support for obtaining subvolume names
  * QTextStream: log the defect that op<< uses Latin 1
  * Nitpick: fix style in QtCore code added since 5.7
  * QtConcurrent: use QDeadlineTimer to get the clock tick
  * Add QArrayData::reallocateUnaligned for QString and QByteArray
  * QByteArray: Clean up qUncompress
  * Move the ATSPI Linux A11y change to the Linux block
  * Suppress ICC warning #111 about unreachable code in toWCharArray
  * Fake exporting of the QDBusUtil namespace
  * Make QDBusConnectionPrivate::relaySignal be called in the right thread
  * Correct the C++ standard references in QMutex functions
  * Disable forcing of -fomit-frame-pointer with ICC
  * Change some #elif to #endif / #if in qcompilerdetection.h
  * QNetworkInterface: fix reporting of virtual interfaces on Linux
  * Make sure flags from library detections go to the right places
  * findclasslist.pl: namespaces can be exported too
  * QNetworkSession: make sure that "interface" isn't #defined
  * Fix change-of-sign warnings caught by ICC 17
  * qversiontagging.h: Don't tag binaries in static mode
  * Autotest: fix silly mistake in assigning where a comparison was intended
  * Fix syncqt warning about wrong include
  * Increase the resolution for QDeadlineTimer unit test
  * Stop unloading plugins in QPluginLoader and QFactoryLoader
  * Add changes file for 5.7.1
  * Fix GCC warning about ODR violation
  * Stop using readdir_r: glibc deprecated it and it's not a good idea
  * Fix build with ICC on macOS: <atomic> is properly supported
  * Make sure all pattern args get cleared when parsing a new pattern
  * Add a macros for disabling deprecated declaration warnings
  * moc: disable deprecated warnings in generated code
  * Remove unnecessary warning disabling
  * Fix the JPEG EXIF reader to deal with some broken/corrupt files
  * Fix the warning number for ICC deprecated warnings
  * Work around ICC compiler bug on template instantiation on ?:
  * Disable ICC warning 3373
  * moc: force the Microsoft compiler not to define _MSC_EXTENSIONS
  * Don't crash on QVLA construction from an empty std::initializer_list
  * Re-fix the build with ICC and cmath & math.h
  * Silence warning about non-void function without return value
  * MySQL: Make sure we clean the libraries from mysql_config
  * Re-fix build error with ICC 17 on Windows
  * Work around old Clang bug parsing of NSDMI referring to members
  * Fix race condition in QFactoryLoader: lock the mutex we already have
  * Fix build on Windows: winsock2.h requires WIN32_LEAN_AND_MEAN
  * Make the bearer QFactoryLoader a member variable, not a static
  * Remove hard-coded MS compiler versions from the mkspecs
  * Merge all "win32-msvc*" mkspecs into one
  * Revert "QUrl::resolved: keep treating file:name.txt as relative for now"
  * Remove HarryF's "compiler error feature" that isn't used anymore
  * Doc: add a quick note about unfixed Windows encoding bug
  * Partially revert "Windows: stop using _beginthreadex on regular builds"
  * Work around MSVC ABI stupidity in exporting inline members of base class
  * Adapt to the C++ SIC introduced by P0021: noexcept overloading
  * Rename "interface" to "iface:" there's a #define in windows.h
  * linux-icc: always compile applications as position-independent execs
  * Fix warning about not calling the base class copy constructor
  * Remove the -no-rtti option from configure
  * Doc: add a note that UniqueConnection does not work for lambdas
  * MSVC: Fix use of POPCNT instruction without CPU check
  * Unbreak the build with ICC on Windows
  * Re-fix Clang-cl and ICC support on Windows
  * Move the declaration of SSE3 & newer macros above their use
  * Regroup the x86 QT_FUNCTION_TARGET_STRING_xxxx macros
  * Read the .ini file back in text mode
  * QXmlStream{Reader,Writer} don't need QtXml
  * QVariant: don't do fuzzy comparisons with NaN and infinities
  * QtCore & winmain: Remove dead code
  * linux-icc: Remove -falign-functions=16
  * Mark Clang 4.0 as warning-free
  * qnumeric_p.h: Simplify code to match currently-supported platforms
  * win32/default_pre.prf: remove unused incremental_off CONFIG
  * De-inline qfloat16 streaming operators in QDataStream
  * Use a precise timer in tst_QTimer::remainingTime
  * Update the mkspec for win32-icc to use the MSVC config files
  * Remove unused qt_application_thread_id variable
  * Remove outdated check for Apple Clang 2.x and 3.x
  * Avoid unnecessary creation of some Q_GLOBAL_STATIC
  * Merge several Q_GLOBAL_STATICs in qresource.cpp into one
  * Add QDataStream streaming operator for QFlags
  * Don't include qfloat.h in the QtCore master include
  * Use QBasicMutex in qthread_win.cpp
  * Revert "Add tests for QCollatorSortKey"
  * Update the __xxx__ macros due to MSVC and ICC not defining them all
  * moc: remember to quote the path to moc_predefs.h
  * Turn QThreadData::threadId into a QAtomicPointer
  * 50 ms isn't enough for the CI, so increase to 100 ms
  * Remove the name cache from QMetaType::typeName
  * Correct \since for QStorageInfo::subvolume()
  * Use Qt::PreciseTimer for the QDeadlineTimers in QTest::qWait*
  * QDir::mkpath: don't try to mkdir in automount filesystems
  * Remove alias options from linux-icc/qmake.conf
  * Disable optimizations for macx-icc debug
  * x86: Add detection of the AES and SHA New Instructions
  * Add CONFIG += no_moc_predefs to allow one to escape problems
  * QDateTime: Fix clearing the ShortData flag in setMSecsSinceEpoch
  * forkfd: use SA_SIGINFO to pass extra information to chained handlers
  * Fix parsing of day-of-week names that start with another name
  * tst_utf8: Fix one of the overlong sequences to be what we meant
  * Remove the last remaining non-SSL use of QMutexPool in Qt
  * Remove use of QMutexPool in Windows code resolving libraries
  * Make new QtCore code conform to the coding style
  * QStaticByteArrayMatcher: enforce alignment
  * forkfd: fix calling the old signal handler when there wasn't one
  * Add -Wfloat-equal to Qt's header clean check
  * Stop trying to discover the system timer resolution on Windows
  * QDateTimeParser: Merge the code to parse names of months and weekdays
  * Reintroduce a directed QMetaType::typeName array
  * Stop using sqlite3_enable_shared_cache: deprecated on macOS
  * uic & rcc: use the public API to set the hash seed
  * Remove a Q_GLOBAL_STATIC with QMutex in favor of QBasicAtomicInt
  * Protect better against timer ID replacement
  * Work around Linux libc overflow in mmap64
  * qmake: Add _CRT_SECURE_NO_WARNINGS to all MSVC-like compilers
  * QHash: unexport the hash seed variable
  * QMetaType & QVariant: "load" and "save" std::nullptr_t
  * headersclean: Move it from MSVC 2013 to all MSVC versions
  * Implement a counted QT_FATAL_WARNINGS
  * gtk3: Fix use of dangling pointers
  * Autotest: make tst_QDir more reliable on tests being run out of order
  * QStorageInfo: Fix warning about unused variable
  * Disable -Werror for QNX's compiler
  * Fix some warnings found by QNX's compiler
  * tst_largefile: fix the mapOffsetOverflow case to match actual behavior
  * Mark to remove const from function parameters in QtCore public headers
  * Detect the (stated) C++ standard edition at build time
  * Simplify QFSFileEngine code: QFile does not require buffering
  * x86: Detect F16C with the Intel compiler too
  * qfloat16: suppress warning caused by Clang macro we used
  * x86: Report the AES and SHA New Instruction detection
  * Fix qReallocAligned for reallocation when alignment > 2*sizeof(void*)
  * Fix build when SCTP is enabled
  * QSysInfo: update the ICC warning that needs to be suppressed
  * Fix GCC warning about dereferencing type-punned pointers
  * f16c: Use the packed intrinsics instead of scalar ones
  * Fix detection of F16C for the Intel compiler (again) and Visual Studio
  * Enable a given SIMD feature if the compiler has enabled it
  * Disable MSVC warning 4577 in headersclean
  * QDataStream: add operator<< and >> for std::nullptr_t
  * Support different job counts also for ICC LTO
  * Fix QDir::mkpath() when the path contains "symlink/../"
  * QMap: fix UB (invalid cast) in QMapData::end()
  * tst_qhashfunctions: Test non-zero seeds too
  * gtk3: Mark the minimum version we support
  * Ask MS runtime to reload the timezone details if they've changed
  * Move Apple-specific -fapplication-extensions option to the mkspec
  * QSysInfo: Bring back suppression of ICC warning #1478
  * Restore compatibility with Qt 5.7.0 and 5.6.1
  * qfloat16: Fix GCC warning about use of old-style cast
  * Update the Clang usual versions for Apple's build
  * Update the Clang support for SIMD code generation
  * Fix build with libdrm >= 2.4.78
  * icc: thread_local in macOS is working since 10.7
  * MSVC: Enable standards-conforming mode
  * Disable precompiled headers for small modules
  * Don't disable Q_REQUIRED_RESULT with Clang and ICC
  * Move Q_REQUIRED_RESULT to its correct position
  * QUrl: fix IDN whitelist checking when the TLD is in Unicode
  * QUrl: fix IDN conversion when the ACE form is invalid
  * Fix ICC build with Q_FALLTHROUGH
  * Fix Clang build: it does not have __attribute__((optimize(x)))
  * Fix warnings about unused private fields we can't remove
  * Fix unused private fields in dbusmenu and dbustray
  * QHash: make it so a zero seed selects a constant algorithm
  * QSysInfo: Make use of the QT_WARNING_DISABLE_DEPRECATED macro
  * Clean up mkspecs from old, unsupported and untested mkspecs
  * Update detection of $DESKTOP_SESSION
  * Fix test build with ICC: QFlags does not auto cast to uint
  * Export QPlatformThemeFactory, for use in qtdiag
  * Include moc of qnamespace.h in qobject.cpp
  * AreArgumentsCompatible: Replace a derived struct with template alias
  * QInternal::unregisterCallback: don't crash on unregistering during exit
  * QtCore: include mocs
  * Add an extra check for qssize_t's size and type
  * Use QNetworkReply::ProtocolFailure in HTTP/2 failures
  * Merge the QDBusMetaType's custom information to QDBusConnectionManager
  * Fix some QtDBus crashes during application destruction
  * Add Q_FALLTHROUGH to QtDBus tests
  * Remove unnecessary FunctionPointer::ChangeClass
  * Revert "Add qt_safe_ftok wrapper for ftok"
  * tst_qudpsocket: Blacklist "utun" interfaces on Darwin
  * QStorageInfo: Pass MNT_NOWAIT to getmntinfo
  * qEnvironmentVariableIntValue: fix the case of a non-numeric value
  * Disable bogus GCC 7 warning about string op overflow
  * MSVC: Enable standard-conformance mode by default
  * Work around uname(2) on Apple mobile OSes not returning the proper arch
  * Continue to blacklist the utun interfaces on macOS
  * Help GCC understand that variable is never used unintialized
  * Re-fix the detection of CPU architecture on an Apple OS
  * Use the C++ [[nodiscard]] attribute
  * Long live QRandomGenerator
  * Move qrand() & qsrand() to qrandom.cpp
  * Use QtPrivate::FunctionPointer to get the type of srand's first arg
  * QTemporaryFile: fix the generation of names from templates
  * QUuid, QHttpMultipart and QHash: use QRandomGenerator
  * Add proper detection of x86 RDRAND instruction
  * QRandomGenerator: add support for hardware-based random generators
  * QRandomGenerator: use arc4random as fallback on BSDs (including Darwin)
  * QRandomGenerator: improve the fallback seeding in emergencies
  * QRandomGenerator: mix the Linux AT_RANDOM random bytes in the fallback
  * JSON doc: update the RFC we link to
  * qsimd_p.h: Don't set the __xxx__ variables with Clang and GCC
  * Move QTextFormatPrivate::Property out of the class
  * Add warning about missing but required CPU features
  * Move Q_REQUIRED_RESULT to its correct position
  * Add QDeadlineTimer to the bootstrap library
  * QRandomGenerator: don't internally rely on QT_HAS_INCLUDE
  * Doc: add a note about QRandomGenerator returning the sign bit set
  * QDate::shortMonthName: remove faulty month test
  * Revert "Add QDeadlineTimer to the bootstrap library"
  * QRandomGenerator: Rework the fallback seeding
  * ATSPI: correct configure warning message when ATSPI is missing
  * Add the MSVC 2013 drop to the 5.9.1 changelog
  * QProcess/Unix: move strerror() up from child to parent
  * qglobal.h: fix build in assembler mode
  * Linux: add a note to the ELF binary what minimum Linux is needed
  * QRandomGenerator: use getentropy on Linux & OpenBSD
  * QFSFileEnginePrivate::map: flags is not unused
  * Fix parsing of 0E+1 and 0E-1 (capital 'E')
  * Disable the -Wstringop-overflow warning from GCC 7
  * Fix build with MSVC 2015 Update 2 if constexpr is enabled
  * Use QMessageLogger context properly in qglobal.cpp redirects
  * Make qt_check_pointer more OOM-safe
  * QWinRTFileEngine: Property ItemDate is not the file's last access
  * QFileSystemEngine::fillMetaData: fix apparent use of dangling pointer
  * QFileSystemEngine/Unix: use fchmod(2) if the file is open
  * QFileSystemEngine::id: use the proper QT_STATBUF/QT_STAT
  * QFSFileEngine: handle refreshing of file times better
  * QFileInfo: use QFile::FileTime instead of our own enum
  * Rewrite QFileInfo::{created,lastModified,lastRead} using fileTime()
  * Rename the "sys_auxv" feature to "getauxval"
  * QLocale: fix handling of milliseconds in string format and document
  * QDeadlineTimer: round milliseconds up instead of down
  * QWizard: Fix null pointer dereference if no pixmap was set
  * Use the namespace-mangled symbol for the qt_version_tag group name
  * QAbstractFileEngine: make setFileTime not a pure virtual
  * Stop using QVector in QFileInfoPrivate
  * QFile::rename: avoid two stat(2)/CreateFile in a row
  * Avoid sharing violation in QFileSystemEngine::id on Windows
  * QLockFile: Move the check for Linux /proc to a central place
  * Move the readlink(2) wrapper to qcore_unix.cpp
  * configure: Remove test for unused feature "mremap"
  * Merge "Merge remote-tracking branch 'origin/5.9' into dev" into refs/staging/dev
  * QNetworkInterface: Remove dynamic finding of Windows Vista functions
  * QFileSystemEngine::id/Windows: Use the volume ID too
  * Merge qt_error_string and QSystemError
  * Convert improper uses of qt_error_string() to QSystemError::stdString()
  * QSystemError: Make it format unknown Windows messages
  * QFile::rename: use the open file's ID, instead of using the file name
  * QFileSystemEngine: a file only exists if its link count is not 0
  * Stop setting FD_CLOEXEC on systems where O_CLOEXEC is honored
  * QFileSystemWatcher/kqueue: make the fd duplication + FD_CLOEXEC atomic
  * Deprecate and remove the unused bearer support in QNetworkProxy
  * QFileSystemEngine::id/Windows: Fix use with directories
  * QFileSystemEngine: remove dynamic finding of Windows XP functions
  * QFileSystemEngine: Remove the remainder of Windows XP functions
  * Blacklist use of [[nodiscard]] with Clang
  * Revert "Make QFile::open fail when using an invalid file name"
  * Fix use of getentropy on larger blocks
  * configure: Add a feature to write tests in the .json file
  * Long live qEnvironmentVariable()
  * QFSFileEngine: make rename() on Unix not overwrite
  * QTemporaryFile: add a simpler rename() (non-virtual) override
  * QTemporaryFile: give the engine access to the template name
  * QTemporaryFile: split the template parsing and generation
  * Long live QTemporaryFileName!
  * QFile::rename: use QTemporaryFileName instead of QTemporaryFile
  * QTemporaryFileName: use the random data more wisely
  * Support Alternate Data Streams in QSaveFile
  * Allow QSettings to synchronize non-atomically
  * QFileSystemEngine::renameFile: use calls that don't overwrite
  * Bump minimum glibc requirement for sys/eventfd.h to glibc 2.8
  * Introduce QFileInfo::birthTime and metadataChangeTime
  * Move platform-specific code from QFSFileEngine to QFileSystemEngine
  * Filesystem: Use "birth time" to avoid confusion with Unix ctime
  * QFileSystemEngine::setFileTime/Unix: remove the fallback to futimesat
  * QFileSystemEngine/Windows: fix setFileTime when input date is UTC
  * Move Unix code from qfilesystemengine.cpp to qfilesystemengine_unix.cpp
  * QFileSystemEngine::fillMetaData: simplify and comment the code
  * QFileSystemEngine/Unix: rework the getting of nsec-precision file times
  * Merge remote-tracking branch 'origin/5.9' into dev
  * Add support for statx(2) on Linux
  * QFileInfo: harmonize QFileInfo() and QFileInfo("")
  * QFileSystemEngine/Unix: support UF_HIDDEN on the other BSDs
  * Autotest: fix blacklisted test about position on non-regular files
  * Fix QAbstractFileEngine::clone misuse
  * Fix write and read-write ioctls on certain 64-bit OS
  * Autotest: Fix test when running on a non-Unicode-capable locale
  * Doc: indicate the QSharedMemory::size() that the size may be bigger
  * XCB: Don't core-dump if we can't connect to the X displayName
  * QFileSystemEngine: verify that the file name isn't empty
  * Move the file-cloning code from QFSFileEngine to QFileSystemEngine
  * QFileSystemEngine::cloneFile: add support for fcopyfile(3) on macOS
  * QFileSystemEngine::cloneFile: expand the Linux cloning process
  * QTemporaryFile: Add support for Linux's O_TMPFILE
  * configure: Disable warnings in configure tests
  * QNetworkInterface: Fold the test for if_nameindex into the config test
  * QHostInfo: Remove Darwin refusal to use getnameinfo(3)
  * Fix crashes with libproxy+webkitgtk: it's not threadsafe
  * QUdpSocket: use faster ways to get datagram size on Linux and macOS
  * QProcess: add docs that the PID from startDetached() may be recycled
  * QHostAddress: remove our own sockaddr_in6
  * tst_QMutex: produce less noise with MSVC
  * Make qAddPostRoutine & family thread-safe
  * QNativeSocketEngine: disable unused methods about OS socket buffer
  * Unbreak the build and add support for Qt 5.12 too
  * Don't call the qAddPreRoutine routines with the mutex lock held
  * QStringView: De-inline the length calculation so we can use SSE2
  * QNativeSocketEngine: reduce memory usage in nativePendingDatagramSize()
  * QNativeSocketEngine: Simplify nativeHasPendingDatagrams()
  * Autotest: when using libproxy, QNetworkProxyFactory isn't generic
  * Autotest: use QUdpSocket instead of QTcpSocket in tst_QNetworkInterface
  * Move the futex implementation to a header
  * Port QSemaphore to use futexes
  * Mark Clang 5.0 as warning-free
  * Restore compatibility with pre-5.9 Keccak calculation
  * XCB: also test for Xinerama's presence
  * QHostInfo: adapt to glibc 2.26 no longer requiring us to res_init
  * QRandomGenerator: update API to better name
  * Fix parsing of tzfile(5) files in QTimeZonePrivate
  * QNetworkInterface: complete removing pre-Vista support
  * QNetworkInterface/Windows: solve 11 year old puzzle about Win32 API
  * Refactor QNetworkAddress not to keep a full QHostAddress
  * Autotest: centralize the detection of IPv6 support
  * Improve qustrlen further by avoiding the alignment prologue
  * Fix build: move Q_REQUIRED_RESULT to the right position
  * Workaround GCC 6 parsing error ("used but never defined")
  * Remove Q_ALWAYS_INLINE from frequently-used functions
  * Mark QCoreApplication::applicationPid() as const function
  * QLockFile/Unix: drop the use of fcntl(F_SETLK)
  * QLockInfo: Centralize the management of the lock file's contents
  * QLockFile: don't use QCoreApplication::applicationName()
  * Doc: Remove unsupported systems out of QNetworkDatagram's list
  * QUrl: re-fix the setPath("//path") case leading to scheme://path
  * QUdpSocket: make sure receiveDatagram() returns empty on error
  * Autotest: use _exit() instead of exit() to simulate an unclean exit
  * Stop including net/if.h from qplatformdefs.h
  * QTest: make toString(QHostAddress) work
  * QNetworkInterface: don't include addresses from inactive interfaces
  * QRandomGenerator: improve internal noexceptness
  * Doc: fix QRandomGenerator missing updates after rename
  * configure: make C++11 <random> a required functionality
  * QHostAddress: add more classification functions
  * QHostInfo: Make getaddrinfo() mandatory
  * QBasicMutex: mark the bootstrap constructor constexpr
  * QRandomGenerator: fix the timing of the closing of the Unix random fd
  * QRandomGenerator: improve floating-point random generation
  * QSemaphore: Improve waking up on 64-bit Linux
  * Fix build on Integrity: the compiler doesn't understand this construct
  * QUrl: make sure setPort(nonnegative) is taken as part of authority
  * Add a comment about the weird refcount for adopted QThreadData
  * Remove failing QVERIFY on bearer management
  * Move the minimum Linux version declarations to a header
  * QRandomGenerator: add system() and global()
  * Mark the previously public qstringalgorithms.h functions private
  * Fix GCC -Wfloat-conversion warnings (available since GCC 4.9)
  * QFileSystemEngine: Fix renameat2() failures on non-local filesystems
  * Fix unused variable warning when compiling in release mode with GCC 7
  * qGlobalQHashSeed: initialize the seed before returning it
  * QNativeSocketEngine/Win: fix getting the datagram destination
  * QSysInfo: add a function that returns a somewhat permanent unique ID
  * QSysInfo: add a function that returns the boot ID
  * QNetworkInterface: add a Linux backend directly using AF_NETLINK
  * QNetworkInterface: Add type()
  * QNetworkInterface: add support for extracting address lifetime
  * QNetworkInterface: Add the DNS eligibility
  * QNetworkInterface: add MTU
  * Change almost all other uses of qrand() to QRandomGenerator
  * QRandomGenerator: remove the per-thread buffer
  * Change QRandomGenerator to have a deterministic mode
  * QRandomGenerator: add securelySeeded(), to ensure appropriate seeding
  * QRandomGenerator: add more of the std Random Engine API
  * QRandomGenerator: optimize the global() and system() storage
  * QTemporaryFile: hide the O_TMPFILE feature behind a check for linkat()
  * Fix QBasicMutex default constructor not constexpr
  * QSemaphore: fix regression when the timeout < 0
  * Make qsimd_p.h compile in C mode too
  * QNetworkInterface/Win: fix MTU of Windows loopback interfaces
  * QAbstractSocket: Add socketOption for the Path MTU
  * QSysInfo: Remove the caches in {boot,machine}UniqueId()
  * QLockFile/Unix: save the boot and machine IDs in the lock file too
  * QDateTime: Move the deprecation marker to Qt 5.10
  * QSemaphoreReleaser: Move private members to the usual position
  * qsimd.cpp: Remove workaround for GCC 4.2
  * QRandomGenerator: Enforce the use of 32-bit integers in the engine
  * QFileSystemEngine/Linux: fix when qt_lstatx() succeeds
  * Add support for C11 static_assert and thread_local
  * QImage: Add the replacement function to byteCount's deprecation msg
  * Fix the build when AVX2 is enabled but __F16C__ isn't defined
  * QTemporaryFile: fix issues with removing a file twice
  * Fix the build if st_atimensec is defined
  * Changelog edit: move the X11 entries from "Linux" to "X11"
  * Merge "Merge remote-tracking branch 'origin/5.9.3' into 5.9" into refs/staging/5.9
  * QUdpSocket: Work around WSARecvMsg quirk relating to no control block
  * Stop depending on test.macieira.org
  * Stop depending on test.macieira.org
  * Merge "Merge remote-tracking branch 'origin/5.10' into dev" into refs/staging/dev
  * QStorageInfo: use Linux's /proc/self/mountinfo to get the subvolume
  * Add support for AVX-512 intrinsics found in MSVC 2017 15.3
  * Add a configure-time check for QT_COMPILER_SUPPORTS_SIMD_ALWAYS
  * Centralize the x86 SIMD testing in one place
  * QSystemError: move inline methods to class body
  * QSystemError: unexport the class and export only some methods
  * Replace qrand() engine with C++11 <random> LCG and deprecate
  * tst_QUdpSocket: Don't test for .bytesAvailable on untrusted platforms
  * tst_QUdpSocket: fix linkLocalIPv4 test
  * QFileSystemEngine: Work around Android bug in rejecting hardlinks
  * tst_QUdpSocket: remove Bearer portions of the test
  * QStandardPaths: fall back to a default if PATH isn't set
  * qfloat16_f16c.c: inline in qfloat16.cpp if F16C is permitted in there
  * Fix build with ICC: it miscompiles the F16C intrinsics
  * Examples: Update multicast sender and receiver examples for IPv6
  * Doc: attempt to fix some qdoc errors for QRandomGenerator
  * Replace a few hardcoded paths with defaults from paths.h
  * tst_QUdpSocket: stop trying to bind to multicast addresses
  * tst_QUdpSocket: Don't use interface-local IPv6 multicast
  * qfloat16: NaN is not infinite
  * QMap: fix another UB (invalid cast) relating to QMap's end
  * qrandom.h: actually #undef min and max instead of using parentheses
  * tst_QUdpSocket: always use an interface when binding to IPv6
  * tst_QUdpSocket: add some tests for link-local IPv6 multicasting
  * Update MSVC versions because 2017 is 19.11 too (and 19.12)
  * Correct "developer-build" in QtTest black list features
  * MySQL: Fix qAddPostRoutine of mysql_server_end() on Windows
  * QMetaObject::invokeMethod: don't leak the slot object
  * Doc: make a note about use of QStringLiteral with non-ASCII chars
  * Update the overflow functions to include qsizetype
  * MSVC: Don't set a DLL base address for 64-bit
  * qsimd_p.h: Reorganize and simplify the x86 intrinsics #includes
  * QVariant: convert QDateTime and QTime to string with milliseconds
  * Create corelib/serialization and move existing file formats into it
  * Doc: explain how QXmlStream{Reader,Writer} deal with encoding in QString
  * Add a few methods to check if a string is US-ASCII or Latin1
  * JSON: use the new isLatin1 function
  * QBitArray: add manipulate a dense bit array directly
  * Revert "QVariant: convert QDateTime and QTime to string with milliseconds"
  * QUuid: add a way to get the string form without the braces
  * QUtf8: Add some UTF-8 text operation functions
  * Silence GCC 8 warning on memcpy of class Value to to class offset
  * Silence GCC 8 warning on memcpy of movable types
  * Suppress GCC 8 warning about realloc() non-trivially-copyable types
  * QString: fix comparisons to null strings in ucstricmp
  * QVariant: convert QDateTime and QTime to string with milliseconds
  * QSaveFile: Check for EINTR in fsync()/fdatasync()
  * Documentation: don't suggest abort() in qInstallMessageHandler()
  * QVariant: Add missing conversion from QJsonValue to double & float
  * tst_QMimeDatabase:  detect executables as shared libraries too
  * Revert "JSON doc: update the RFC we link to"
  * filetest: Make the "ls" command actually list the dirs
  * QJsonValue: use the fully-encoded form of a URL in fromVariant()
  * JSON: remove braces from UUID text representations
  * Port QWaitCondition to QDeadlineTimer
  * Disable statx(2) and renameat2(2) system calls on Android
  * QIpAddress: reject IPv6 addresses with more than 4 hex digits
  * qglobal.h: compile Q_UINT64_C in C mode
  * Merge "Merge remote-tracking branch 'origin/5.11' into dev" into refs/staging/dev
  * Add nullptr comparison to Q{Explicitly,}SharedDataPointer
  * q{,Utf8}Printable: avoid creating a copy of a QString
  * Atomic: silence MSVC warning in the generic fetchAndSub
  * Atomics: remove qatomic_msvc.h
  * Remove src/corelib/arch, merging with src/corelib/thread
  * QSemaphore: fix deadlock when the woken up thread wakes up another
  * QSemaphore: add minor optimization for 64-bit Linux systems
  * QSharedDataPointer: use swap-and-move in the move constructor
  * Make QCOMPARE(-inf, -inf) and QCOMPARE(NaN, NaN) succeed
  * QFile::rename: fix the error message if renaming a file by copy fails
  * QNetworkInterface/Linux: fix support for P-t-P tunnels
  * QSemaphore: attempt to fix again the 64-bit Linux semaphore
  * QSemaphore: Fix 64-bit Linux QSemaphores initialized to non-zero
  * Atomics: remove requirement for alignment equality with plain types
  * QSysInfo: Correct the \since for {machine,boot}UniqueId()
  * Improve padding hole issues in QAbstractPrintDialogPrivate
  * Remove hack that violates ODR
  * tst_QString: remove old HP aCC workaround
  * QProcess: set proper error state if we failed to create a pipe
  * qFatal: Prevent deadlocks on Windows
  * Fix the enabling of AES with ICC and MSVC on some low-end processors
  * Fix Clang 6 warning about comparing different enums
  * QAbstractEventDispatcher: add a note about the timer range for Qt 6
  * Examples: fix network-chat in the presence of an IPv6 stack
  * qsimd: remove support for systems without 64-bit atomics
  * qsimd: add support for new x86 CPU features
  * Fix build with GCC 8: memset/memcpy/memmove of non-trivials
  * QString: fix off-by-one error
  * QByteArray::setNum: use the existing latin1 lowercasing table
  * QFileSystemEngine: don't try to use statx(2) if SYS_statx isn't defined
  * QtTest: compile in C++17 mode: no more std::unary_function
  * qlalr: fix build in C++17
  * ucstrncmp: refactor with 32- and 8-byte loads
  * QString::normalized: Replace the initial US-ASCII loop with SIMD
  * QUrl: use the SIMD ASCII-checking code from the last commit
  * QUtf8: add AVX2 code for isValidUtf8
  * QString: insert a number of 8-character SIMD loops
  * QString: add a method to do a conversion to Latin1 without checking
  * QString::toLatin1: stop using PCMPESTRM
  * QString::toLatin1: make the 32-byte loop to a single 32-btye load
  * Add support for QSharedPointer<cv qualified>::create()
  * qt_is_ascii: improve isAscii a little further (QUrl, QLatin1String)
  * Mark Clang 6 as warning-free
  * QTemporaryFile: Disable O_TMPFILE on Android
  * Import TinyCBOR
  * Long live QCborStreamWriter!
  * Long live QCborStreamReader!
  * Example: add a simple CBOR dumper tool
  * QCborStreamReader: remove the documentation on the validation API
  * Suppress warnings about deprecated QString constructor
  * forkfd: Restore errno on exit from the SIGCHLD handler
  * QCborStreamReader: rewrite read{String,ByteArray}()
  * Fix warning about tautological comparison in 32-bit mode
  * Fix change-of-sign warning found by ICC
  * Examples: change the main network-chat protocol to CBOR
  * Examples: use CBOR in the network-chat broadcast message
  * QCborStreamReader: use QByteArray directly if possible
  * QCborStreamReader: update to the new TinyCBOR zero-copy string API
  * Revert "qsimd: remove support for systems without 64-bit atomics"
  * QFileSystemWatcher/Linux: don't print warnings for benign cases
  * Long live DOM API for CBOR!
  * QCborValue: add support for QVariant and JSON conversions
  * MSVC: Enable the detection of C++14 and 17 in MSVC 2017 15.7
  * Remove extraneous text after #if
  * QUrl: speed up FullyDecoded decoding of data with SIMD
  * Remove unused QString::toLatin1_helper overload
  * Fix build with SSE 4.1 but not AVX2
  * Doc: Point to the SG-10 SD-6 as a requirement for C++14 feature
  * QCborValue: fix warning about shadowing members
  * GCC: Disable the -Wmissing-field-initializers in GCC 4
  * Fix warning that QRegion::rects() is deprecated
  * QToolbar: Un-hide the QLayout::indexOf non-virtual
  * QCborValue: store US-ASCII strings as 8-bit
  * QByteArray: add compare() with case sensitivity options
  * Update the ICC x86 sub-architecture compiler options
  * QMetaType: remove compatibility code for MSVC 2013
  * SIMD: Move the #include for qsimd_x86_p.h a bit lower in qsimd_p.h
  * SIMD: Refactor the constants to be actual bit values
  * SIMD: Remove unused (and unlikely to be ever used) AVX-512 profiles
  * QByteArray: implement qstricmp with SSE 4.1
  * Examples: add an example that converts between different file formats
  * CBOR: Add QDebug operators for the Qt CBOR value-like types
  * Metatype: make the Qt CBOR value-like types built-in meta types
  * CBOR: Complete the conversions between CBOR, JSON and Qt meta types
  * QCborArray & Map: implement efficient take() / extract()
  * QCborValue: implement move semantics for QCbor{Array,Map} constructors
  * Rename qendian.qdoc to qendian.cpp
  * Add qbswap for a memory region
  * Improve the UTF-16 and UTF-32 codecs with <qendian.h>
  * Doc: Fix list of which types are allowed in the endian functions
  * QCborMap: Add reserve() to the QHash conversion
  * Add missing override keyword found by Clang
  * Fix Clang annoying, useless warning about using %llu when it wants %lu
  * QCborValue: refactor extended types so isTag() is true
  * QCborArray & Map: implement move semantics
  * SIMD: Add a haswell sub-architecture selection to our support
  * QLibrary: find AVX2 (Haswell) optimized plugins and libraries
  * SIMD: Change the way we declare constants for x86
  * Plugins: remove unused macro
  * XCB/Xlib: make sure we don't get problems for sys headers using register
  * QFile::copy(): don't trust the old file metadata cache
  * Fix Windows+ICU build
  * QThread: Centralize the creation of the event dispatcher
  * Make sure there's an event dispatcher in QWindowsRemovableDriveListener
  * QCborValue/QDebug: restore decimal state after hex
  * QCborValue: Silence Coverity warning about null-pointer dereference
  * CBOR: Use "noexcept" directly
  * QCborMap: make take() & remove() efficient if the item isn't there
  * QCborArray: add const_iterator overloads for insert/erase/extract
  * QPluginLoader: limit the amount of memory used when scanning plugins
  * ELF parser: fix off-by-one error
  * Merge "Merge remote-tracking branch 'origin/5.11' into dev" into refs/staging/dev
  * Linux: Bypass glibc's broken open() implementation
  * Update TinyCBOR to 1b233087a6e6b6be297e69bfcce5ed36f338c91d
  * Update the Qt version tagging to adapt to expected Qt 5.16
  * Plugins: fix crash if the binary JSON data contains invalid size
  * moc: align and use newlines in the generated staticMetaObjects
  * Fix the fix for mmap() overflow check
  * QCborValue: Disable support for spaceship operator
  * QRandomGenerator: remove unnecessary cast to float in RandomValueFP
  * QLocale: cache the QLocalePrivate for QLocale::system()
  * QCborValue: move the toDiagnosticNotation() function to its own file
  * QCborValue diagnostics: Properly escape strings
  * Add "qt_" prefix to asciiToDouble and doubleToAscii functions
  * Make local symbols of some leaked names
  * Remove member function from CentralFileHeader
  * Move the createUnixEventDispatcher() function to a namespace
  * QUrl: Add qustrchr() and use it to speed up the fast URL full decoding
  * Remove the src/sql/README.module file
  * QObject: do allow setProperty() to change the type of the property
  * tst_QSharedPointer: raise the timeout for running qmake and makespec
  * QTimer: Add const to some singleShot methods
  * QStringLiteral: remove the wchar_t fallback for Windows
  * Fix qmake build with glibc 2.28
  * QSysInfo: fall back to /usr/lib/os-release if the /etc one is missing
  * MSVC: add support for 64-bit POPCNT on 32-bit machines
  * QUrl: Make sure we do reject URLs for which IDNA nameprep failed
  * QGraphicsAnchorLayout: move some private classes to a namespace with Q
  * QPluginLoader: pave the way for Qt 6 plugin meta data
  * Update TinyCBOR
  * Plugins: store the metadata in CBOR instead of binary JSON
  * Plugins: Save some architectural requirement flags
  * CBOR: Add missing clear() methods to the two container classes
  * Moc: use QVector more often
  * moc: Fix compilation of text strings containing non-ASCII
  * Fix integer overflow in very long sections in ELF objects
  * AVX512 test: an intrinsic that GCC forgot to implement prior to GCC8
  * Export qt_open64 from QtCore
  * Add tests for decoding too-short UTF-8 sequences
  * Fix erroneous use of errno with qErrnoWarning
  * Fix QUrl::matches for when removing authority parts (other than host)
  * Linux: Remove our use of syscall() for statx(2) and renameat2(2)
  * Re-disable statx() on Android
  * QWinEventNotifier: fix crash on application shutdown
  * Fix deleting of QSharedPointer internals in case QPointer loses the race
  * Remove unnecessary Q_STATIC_TEMPLATE_FUNCTION macro
  * Update the floppy disk icon (save) to be physically correct
  * QResource: catch signed integer overflow (just in case)
  * Add qHash(QCborTag) and qHash(QCborSimpleType)
  * QCborStreamReader: make sure setDevice() clears the last error
  * Fix warning about missing initializer for a struct member
  * QUtf8Codec: Use one 32-byte load instead of two 16-byte ones on AVX2
  * QTextCodec: update the docs for codecForUtfText
  * Optimize QTextCodec::codecForUtfText a little
  * Correct which codecs QTextStream::autoDetectUnicode detects
  * QImage: merge the size calculations with proper (non-UB) checks
  * QStyleSheet: use the << form of qWarning to get more info
  * Remove QT_MEMFILL_xxx macros
  * Remove unused QT_MEMCPY_REV_UINT macro
  * Remove QT_MEMCPY_USHORT macro and just use memcpy
  * Use regular SSE2 stores instead of non-temporal ones in qt_memfill32
  * Merge the qt_memfill{,_template} functions
  * Use qsizetype for qt_memfill functions
  * Optimize qt_memfill16, with tail jump
  * Move qt_memfill32-based implementation of qt_memfill16 to generic
  * QFile::copy: include the QTemporaryFile's error message if it fails
  * tst_QResourceEngine: store the actual byte contents that we expect
  * tst_QResourceEngine: use QTest::addRow instead of QString concatenation
  * QResourceFileEngine: fix map() for compressed files
  * QResourceFileEngine: fix use of mapped files after close()
  * Unbreak the build with ICC on Windows
  * Optimize QSharedPointer::getAndRef with the three-operand testAndSet
  * Fix calculation of the string tab size in QElfParser
  * Make qDetectCpuFeatures() return the CPU features it detected
  * QTranslator: add initial largefile support
  * Fix build using Windows SDK 10.0.17763
  * Add a note about virtual_hook
  * Doc: update docs for the sleeping functions' accuracy
  * QTest: Make QCOMPARE of QCborError produce output
  * Fix QSettings parsing of spaces after comment lines
  * QSettings: quick refactor for readability
  * Optimize further the loading of 8 Latin 1 characters
  * RCC: Modernize the compression algorithm selection
  * QResource: add support for resources compressed with Zstandard
  * RCC: Add support for Zstandard compression
  * RCC: introduce compression algorithm "best"
  * QResource: de-inline registerSelf for files
  * QResource: quick refactor of registerSelf for files to support LFS
  * Add SSE2 qt_memfill64
  * Add AVX2 versions of qt_memfill32 and qt_memfill64
  * Use Q_DECL_VECTORCALL in a few more places
  * Add an SSSE3 implementation of qt_memfill24
  * Work around GCC bug in generating 64-bit population of SSE register
  * Fix tautological compare in error checking
  * Resources: reject compressed content we can't decompress
  * Add "Mojave" to QSysInfo::prettyProductName()
  * Doc: fix null pointer passing to fprintf
  * Mark ICC 18 & 19 as warning-free
  * Fix build in INTEGRITY: __mulh is not defined
  * Repack some classes in Moc to avoid padding holes
  * Remove "x" that was clearly a typo
  * Merge some code to simplify maintenance
  * Add an AVX2 code path to qustrchr
  * Doc: mark QMetaObject::invokeMethod overloads as threadsafe
  * Fix build with Clang 3.8
  * Fix build with C++20
  * MSVC x86: implement add_overflow for quint64
  * Work around FreeBSD 12.0 breaking source compatibility with IFM_FDDI
  * Add AVX2 version of the ARGB32->RGBA64PM code
  * Add AVX2 version of ARGB->ARGB32PM
  * Fix the AVX2 ARGB->ARGB64 conversion code
  * Fix change-of-sign warnings in ICC 19
  * Use VPMASKMOV in the epilogue ARGB->ARGB{32,64} AVX2 epilogues
  * Fix race condition in getting the system locale data
  * x86: Disable AVX support on 64-bit MinGW
  * Make the qfloat16tables.cpp depend on the executable, not the command
  * Make the QEventDispatcherWin32Private::interrupt flag atomic
  * Use qEnvironmentVariable for QT_PLUGIN_PATHS
  * Doc: update the note about nested deleteLater()
  * XDG Portal: allow the portal not to be running
  * XDG Portal: quick optimization to avoid dup/close of a file descriptor
  * Fix Coverity warning about mixing enums
  * Add a pair of functions to convert to and from Q/CborError
  * Doc: "UTF" -> "UTF-8"
  * qfloat16: suppress the tables if FP16 is supported by the CPU
  * Accept that glibc's statx() falls back for us
  * Examples: properly parse more than one element in maps and lists
  * QMimeDatabase: allow building without our internal copy
  * Update TinyCBOR with bugfixes
  * TinyCBOR: Fix parsing on big-endian machines
  * Make QFile::copy() less likely to create zero-sized
  * Append LTCG arguments properly
  * De-bootstrap the qfloat16 generator tool
  * qfloat16: Check in the tables to Git
  * gen_qfloat16_tables: add a comment explaining what the tool is
  * QCborValue::fromJsonValue: rewrite code to remove UB
  * Fix GCC 9's warning about deprecated violation of Rule of 5
  * RCC: Change the default compression to Zlib
  * Add qmake config for controlling LTCG behavior for static libs
  * Fix Clang warning about applying operator|| to non-boolean
  * QTransposeProxyModel: include the moc in the .cpp
  * Work around Apple Clang's -Wshadow warning
  * Document OOM conditions in the QArrayData-based containers
  * Move the Item typedef to public in the associative Java iterators
  * QTranslator: simplify QString byte-swapping code
  * QRandomGenerator: assert that bounded() calls have correct arguments
  * QPluginLoader: fix failing test comparing the Qt version
  * QDirIterator: don't require NFD normalization on Darwin for validity
  * Fix regression causing QVector::fill w/ same size to not detach
  * Qt6: Fix uninitialized meta objects on Windows
  * Remove useless null pointer checks
  * QResource: deprecate isCompressed()
  * Work around Apple Clang's -Wshadow warning
  * QStandardPaths: update docs to what $HOME is on iOS
  * Fix QStorageInfo inability to parse really long mountinfo lines
  * Fix QCborStreamReader not flushing QIODevices due to internal buffering
  * QTest: add toString(QBitArray)
  * Fix race condition on qt_create_tls() on Windows
  * Mark QDBusError::ErrorType a Q_ENUM
  * QBitArray: fix fromBits() and actually test it
  * QBitArray: change modulo 8 with bitwise-AND 7
  * Fix integer overflow in QCryptographicHash's SHA-3 support
  * QList: fix some integer cast warnings from 64- to 32-bit
  * QChar: add FormFeed (FF) special character
  * QSysInfo: Use the Apple IOKit API to get the machine's UUID
  * Fix qErrnoWarning() printing no error in some conditions
  * forkfd: fix compilation in C mode without precompiled headers
  * forkfd: Add C11 and C++11 atomic support
  * forkfd: move the FreeBSD system implementation to a separate file
  * Use qsizetype for qt_memfill functions
  * qFatal: make it so you cannot disable the message
  * QRandom: retry the use of RDRAND instruction as recommended by manuals
  * Filesystem: avoid crashes on exit in case the locale codec is null
  * Doc: Q_FLAG should be applied to the enum, not the QFlags
  * QFileInfo: clarify documentation about handling of symlink attributes
  * Fix crash when running QtCore: Stack is misaligned on x86-64
  * QRandom: add support for RDSEED
  * Fix build: disable the HWRNG in bootstrapped mode
  * Fix infinite recursion caused by the RDSEED feature
  * Partially revert "qfloat16: suppress the tables if FP16 is supported by the CPU"
  * Be explicit about QDataStream serialization: explicit casts to int
  * Change the QtCore library output to show the plugin path
  * RDRAND test: also disable if RDRAND produced only three samples
  * Add functions for facilitating adding UTF-8 and US-ASCII strings
  * Fix QCborValue::toCbor with non-ASCII URLs
  * QCborValue: Extend the constructor to also create extended types
  * QGb18030Codec: fix out-of-bounds access when decoding surrogate pairs
  * QCborValue: fix replacing of elements with byte data with ones without
  * Tell the compiler that QArrayData returns aligned pointers
  * Tell the compiler that QArrayData::allocate allocates memory
  * Add QArrayData::sharedNullData()
  * Rename QArrayData::AllocateOptions enum and update some flags
  * Replace QArrayData::capacityReserved with a full flags field
  * Introduce QArrayData::allocatedCapacity() and use it instead of d->alloc
  * Introduce flags to indicate the QArrayData type
  * tst_QNetworkInterface: don't force an IPv4 link-local address
  * Make the AllocOptions flag to QVector::reallocData mandatory
  * Introduce the Mutable flag and move QArrayDataPointer::needsDetach
  * Add reference-count manipulation functions to QArrayData and hide ref
  * Stop using the reference counter to store data state
  * Add the QArrayDataOps::parameter_type typedef
  * Add QArrayDataOps::moveAppend()
  * Start moving QArrayData's size and data pointer to the main class
  * Remove bad test in QVector
  * Various cleanups in qarraydataops and qarraydatapointer
  * Inline the size and begin pointer in QVector
  * Inline the size and data pointer members in QString
  * Inline the size and data pointers in QByteArray
  * Final removal of the size and offset members from QArrayData
  * Enlarge QVariant's private to fit the new QString and QByteArray
  * Use <type_traits> to properly have QVector<T>::parameter_type
  * MIME: Make the internal database direct content, not a Qt resource
  * QTest::toString(QBitArray): fix Mismatched free() / delete / delete []
  * Doc: remove the claim that zero timers execute after GUI events
  * qSwap: suppress pedantic warning about noexcept being false
  * forkfd: fix build with GCC 4.8 & 4.9
  * ucstrncmp: Fix UBSan report of array overflowing
  * forkfd: Implement forkfd in terms of Linux 5.2's CLONE_PIDFD
  * forkfd/Linux: remove unused code
  * forkfd: add FFD_USE_FORK to force use of fork()
  * QProcess: use FFD_USE_FORK when the class is not QProcess itself
  * qglobal.h: remove non-ASCII quotes from comment
  * QResource: Add API to get the decompressed content
  * QLibrary/Unix: do not attempt to load a library relative to $PWD
  * Doc: QPluginLoader: remove the claim we search the current dir
  * QLockFile: Disable flock() on QNX
  * qfloat16: include the tables in AVX2 binaries regardless
  * Add new AVX512 extensions found in Intel CLX, ICL and ICX processors
  * QStorageInfo/Linux: resolve non-existent devices via /dev/block
  * QTcpSocket::bind: fix issue found by BLACKLIST
  * Autotest: adapt to certain OSes always allowing binding to low ports
  * QStringView: Fix warning about conversion from qsizetype to int
  * QLinkedListData: Move Q_CORE_EXPORT from class to shared_null
  * QMimeXMLProvider: add missing semi-colon in the #else case
  * QMimeXMLProvider: fix another issue with -no-mimetype-database
  * QPluginLoader: rework the loading and the caching of instance
  * QLibrary: stop setting errorString after resolve()
  * QLibrary: introduce a mutex to protect non-atomic internals
  * Doc: update QJsonObject::operator[] non-const to say it creates key
  * Fix binary compatibility issue in QJson{Array,Object} initializer_list
  * 64-bit atomics: fix bad copy/paste in macro definitions
  * forkfd: introduce forkfd_wait4() that takes options
  * forkfd: fix forkfd_wait when FFD_USE_FORK was active
  * forkfd: add FFD_VFORK_SEMANTICS flag
  * QProcess/Linux: use the FFD_VFORK_SEMANTICS flag
  * QCborValue: create a wrapper to set the QCborStreamReader error state
  * QCborValue::fromCbor: Apply a recursion limit to decoding
  * QCborValue: apply a simple optimization to avoid unnecessary allocations
  * CBOR support: prevent overflowing QByteArray's max allocation
  * tst_QCborValue: Prepare for 64-bit QVectors in Qt 6
  * QLibrary/Android: Correct improper merging
  * QLibrary: fix deadlock caused by fix to QTBUG-39642
  * QTemporaryFile/Linux: don't cut the root dir's slash
  * tst_QSaveFile: skip test that fails when run as root
  * tst_PlatformSocketEngine: Removee SOURCES += of QtNetwork code
  * KMS: fix warning about hex() and dec() being deprecated
  * QFactoryLoader: Fix warning about binary JSON being deprecated
  * QJsonObject: add missing detach2() calls
  * QCborMap: fix assigning elements from the map to itself
  * QCborArray: fix operator[] that extends the array
  * Fix warning about QMetaObject::isEditable() being deprecated
  * tst_QFileInfo: fix running with systems without /etc/passwd
  * Fix warning about deprecated QComboBox::AdjustToMinimumContentsLength
  * Replace Qt's hashing function with SipHash
  * QCborValue: fix the move-assignment operator
  * QCborValue: fix double-accounting of the usedData when decoding strings
  * QCborValue: don't update internal states if decoding a string failed
  * QCborValue: avoid signed integer oveflows when decoding time_t
  * QCborValue: add an extra check against producing invalid ISO dates
  * QCborValue: add tests of parsing invalid ISO date-time strings
  * QCborValue: check parsing of invalid URL
  * Don't compile pcre2 if we will use the system library
  * QCoreApplication: force the process locale codec to UTF-8
  * tst_QResourceEngine: fix the order of arguments to QCOMPARE
  * Fix Mesa warning that MESA_EGL_NO_X11_HEADERS is deprecated
  * Fix Clang 10 warning about LLONG_MAX being inexact in double
  * tst_QProcess: create a more reliable crashing
  * Remove Perforce commands from setupSuite.sh
  * Fix Clang 10 warning about misleading indentation
  * Remove use of std::not1 completely
  * Fix build of rdrand & rdseed with ICC on Linux
  * QCborValue: catch overflow in QByteArray when decoding chunked strings
  * QString: mark qustrlen() as unsuitable for ASan
  * QMimeDatabase/zstd: use -T1 instead of --single-thread
  * Suppress warning of unused function on macOS
  * QMimeDatabase/zlib: fix build with z_const macro empty
  * QCborMap: remove the optimization not to detach from non-const find()
  * Fix conversion of QVariant() in QJsonArrays and Objects (through CBOR)
  * QThread: Fix unnecessary stricter accesses to QThreadData::thread
  * forkfd: remove FFD_VFORK_SEMANTICS
  * Doc: improve documentation about QVariant to JSON lossy conversions
  * Deal with macOS not enabling AVX512 state in XCR0
  * QWindowsServices: ungarble the URL
  * QByteArray::toDouble: fix buffer overflow reads on fromRawData()
  * QLocaleData: remove unused internal function
  * QLocale: fix conversion of "\0" to double
  * QLocale: update qt_asciiToDouble to use qsizetype
  * Fix warning in QStringView::compare(QChar) on qsizetype->int
  * QString::vasprintf: fix 't' modifier for integers on 64-bit
  * QSharedPointer: do allow calling deleters on null pointers
  * Try again to fix Clang's -Wconstant-logical-operand warning
  * Remove no-longer-applicable -Wno-error for GCC
  * QDebug: add operator<<(const char16_t *)
  * Add an AES-based qHash function, inspired on Go's
  * MSVC: remove the extern template
  * Allow use of charXX_t in QUtf8Functions
  * QtPrivate::isLatin1: fix SSE2 non-SSE4.1 code
  * Implement UTF-16 to UTF-8 case-insensitive compare and make public
  * Optimize non-vectorized UTF-8 to UTF-16 comparison to US-ASCII
  * qustrlen: Add #warnings to explain how to deal with GCC 7.x's ASan
  * Add x86 vector implementation of UTF-8 comparison to UTF-16
  * QJsonDocument: fix comparison of valid vs default
  * QCborValue: add support for QCOMPARE string output
  * QStandardPaths/Unix: improve the XDG_RUNTIME_DIR creation/detection
  * QNetworkInterface: disable Netlink-based Linux support on Android
  * Revert "Cleanup QSemaphore and make it always 64bit large"
  * QSemaphore: Make 64-bit wide
  * CMake: add missing RDSEED support
  * CMake: update ARCH_HASWELL flag
  * QProcess/Unix: introduce setChildProcessModifier()
  * Doc: clean up the QProcess::setChildProcessModifier example
  * Compile on QNX after QFlags constructor deprecation
  * forkfd/Linux: ask clone() to use the SIGCHLD as the termination signal
  * QFile::copy: call syncToDisk on destination
  * Add {add,sub,mul}_overflow detection when one operand is a constant
  * QJsonObject: fix sorting after parsing from JSON text
  * tst_QUrl: give the to/fromLocalFile test rows proper names
  * tst_QUrl/Win: test QUrl::fromLocalFile with backslashes
  * QUrl::fromLocalFile: accept invalid hostnames
  * QRandomGenerator: optimize for the common use case
  * QRandomGenerator: add 64-bit bounded() versions
  * CBOR: remove the X11 True and False for good
  * QCoreApplication: add more information to processEvents() docs
  * QCoreApplication: add doc to discourage use of processEvents
  * QString/QByteArray: add missing Q_CHECK_PTR
  * QCborStreamReader: move the readStringChunk code to the Private
  * QCborStreamReader: avoid allocating result if data is insufficient
  * QCborValue: avoid allocating result if data is insufficient
  * QCborStreamReader: remove the lambdas from decodeStringFromCbor()
  * QCborStreamReader: move the UTF-8 decoding into readStringChunk
  * QCborStreamReader::next: don't allocate too much memory in a QBA
  * tst_QCborValue: adjust the size of the minimum string that won't fit
  * QCborValue & QCborStreamReader tests: fix warning about %llx on 32-bit
  * Simplify the detection for the monotonic clock in qelapsedtimer_unix.cpp
  * QDeadlineTimer: optimize when std::chrono::steady_clock is the same
  * Use QDeadlineTimer in qlogging.cpp
  * QStringConverter: add comments marking the BOM checks and emissions
  * QCborStreamReader: move helper function to the only place it's used
  * QUrl: fix parsing of empty IPv6 addresses
  * tst_QFile: add a couple more sequential Unix device files
  * QStringView: add constBegin and constEnd
  * QUrl: update parseIp6 to use QStringView, as the comment requested
  * QUrl: improve parseIp6's use of QStringView
  * Fix build with GCC 11: include <limits>
  * Update TinyCBOR
  * QJsonObject::take: add missing detach() call
  * Implement futexes for Windows
  * QNetworkInterface/Linux: make the IFLA_OPER_STATE set IsRunning
  * QProcess/Unix: remove unnecessary chdir("/") before _exit()
  * QProcess::startDetached/Unix: move up the chdir() and remove qWarning
  * QProcess::startDetached: set the error condition on failure to start
  * QProcess::startDetached/Unix: fix the resetting of SIGPIPE
  * QProcess::startDetached/Unix: remove unnecessary ignoring of SIGPIPE
  * QProcess::startDetached/Unix: simplify handling of the pipes
  * QProcess::startDetached/Unix: report which function failed
  * QProcess/Unix: remove outdated notices about use of posix_spawn() on QNX
  * QProcess/Unix: use a common function to find the target executable
  * QNetworkInterface/Unix: fix DNS eligibility of global addresses
  * Merge "QNetworkInterface/Unix: fix DNS eligibility of global addresses"
  * QProcess/Unix: add a RAII class to hold the argv and envp pointers
  * Merge "QProcess/Unix: add a RAII class to hold the argv and envp pointers"
  * Futex/Windows: add support for notifying TSan
  * Merge "Futex/Windows: add support for notifying TSan"
  * QRandomGenerator: remove dead code previously used by qrand()
  * Remove unnecessary int() casting in QRandomGenerator::bounded
  * Merge "Remove unnecessary int() casting in QRandomGenerator::bounded"
  * QAbstractSocket: fake a bind(QHostAddress::SpecialAddress)
  * QHostAddress: prepare moving NetworkLayerProtocol from QAbstractSocket
  * QGenericAtomicOps: allow pointer-sized non-atomic atomics
  * QThreadPool: let the started thread have the same name as the pool
  * Allow qrandom_p.h to be included by more than one .cpp in QtCore
  * QCoreApplication::exit: make it a slot
  * QCoreApplication: improve docs on exit() and quit() thread-safety
  * QHash: remove the ability to set a non-zero global seed
  * QHash: allow an empty QT_HASH_SEED env variable to reset
  * QUtf8StringView: ensure binary compatibility throughout 6.x
  * QDuplicateTracker: store the current seed in the hasher
  * QThreadPool: obey the docs that say we always use at least 1 thread
  * QLockFile: don't use the local timezone to compare file times
  * QLockFile/Unix: remove the " (deleted)" suffix from kernel-supplied names
  * QCoreApplication::applicationDirPath/Linux: use /proc/self
  * QCoreApplication::applicationFilePath: simplify by merging some code
  * QCoreApplication::applicationFilePath: don't check for existence twice
  * QCoreApplication::applicationFilePath: remove redundant cleanPath
  * QHash: disable the AES based one on the bootstrap library
  * Revert "Include qsimd.cpp in bootstrap build"
  * cmake: FreeBSD has DF_ORIGIN support
  * QCoreApplication::applicationFilePath: add ELF auxval support
  * tst_QProcess: increase wait time and remove ill-advised QCOMPARE
  * QDateTime: fix our oversight in Qt 6.0 not changing the ShortData
  * Make the exit() methods in QEventLoop and QThread be slots
  * tst_QFile: confirm behavior is the same on pipes and socketpairs
  * Introduce QHashSeed and switch to size_t seeds
  * Mark QHashSeed::globalSeed() noexcept
  * Deprecate qGlobalQHashSeed and qSetGlobalQHashSeed in Qt 6.6
  * QHash & QRandomGenerator: cooperate to provide a simpler initial seed
  * QRandomGenerator: let qt_initial_random_value() return 128 bits of data
  * QHash: fix qHash(std::pair)
  * qsimd: Don't force RDRND on if __AVX2__
  * QStringBuilder: fix warning about memcpying onto QChar
  * SCTP: fix qsizetype miss
  * Fix qt_error_string() and QSystemError::string's lack of i18n
  * QUrlQuery/Doc: update the information about encoded vs decoded
  * QCollator/Win: Remove WinRT remnants
  * QString::localeAwareCompare: adapt to QLocale::setDefault() being called
  * QStringLiteral: suppress the clang-tidy warning about const_cast
  * MySQL: remove the version number checks in favor of actual functionality
  * MySQL: don't format QDateTime with timezones
  * MySQL: properly fix setting the character set
  * MySQL: remove left-over charset-setting code
  * MySQL: treat the MYSQL_FIELD as read-only
  * MySQL: don't allocate 1-byte buffers for BLOBs
  * MySQL: implement binding output (SELECT) results to MYSQL_TIME
  * MySQL: pedantism: create and destroy the MYSQL_TIME type
  * qstrnlen: micro-optimize further
  * 3rdparty: Update TinyCBOR to v0.6-rc1
  * JSON parsing: fix incorrect sign-extension for decoding bad escapes
  * tst_QtJson: add matching escape-generating test
  * Q_DECLARE_INTERFACE: add missing const to const qobject_cast
  * Q_DECLARE_INTERFACE: delete unspecialized qobject_interface_iid()
  * Re-enable tst_qplugin on Linux
  * QElfParser: don't use int for the enum
  * QPlugin: remove Q_EXTERN_C macro
  * QPlugin/QFactoryLoader: remove Qt 5 plugin remnants
  * Q_DECLARE_INTERFACE: rework to use more inline functions
  * QElfParser: don't attempt to parse ELF files of the wrong endianness
  * QElfParser: remove one more unnecesary variable from the ELF parser
  * QPlugin: make the macros match the scanning code for ELF systems
  * QElfParser: stop trying to look into the .rodata section
  * QProperty: attempt to fix compilation with GCC 10
  * tst_qplugin{,loader}: make it pass on Macs
  * QPlugin: don't use QFile::read() if map() fails on Unix
  * Q{Elf,Mach}Parser: simplify the return codes
  * QPlugin: reorganize findPatternUnloaded and remove two bool variables
  * QDateTime: fix build with MinGW: need unistd.h very early
  * QByteArrayMatcher: add QByteArrayView overloads
  * QEventLoop: remove unnecessary bits of Qt 5 suggestion
  * src/corelib/plugin: sort #includes
  * QPlugin: change the generic metadata scan to forwards
  * QPlugin: move some of the logic from moc's output to qplugin.h
  * QPlugin: use one global metadata magic string
  * QPlugin: update the arch requirements to match the x86-64 ISA levels
  * Q{Elf,Mach}Parser: harmonize the arguments passed
  * QPlugin: simplify handling of exact results from Q{Elf,Mach}Parser
  * QPlugin: add error messages to the qt_get_metadata()
  * QHash: suppress annoying GCC warning about allocation size too big
  * QPlugin: pass the direct header to qJsonFromRawLibraryMetaData()
  * QElfParser: rewrite using elf.h
  * QtTest: fix build with MinGW/GCC 9: no std::mutex support
  * QUtf32: fix bad assertion in convertFromUnicode
  * QPlugin: suppress the "QTMETADATA !" magic in static plugins
  * QPlugin: add qt_plugin_query_metadata_v2() to dynamic plugins
  * qconfig.cpp: Remove the install date
  * QOffsetStringArray: rewrite in modern C++17
  * QList::iterator: use templates for advancing operators
  * CMake: add support for Intel's LLVM-based compiler
  * CMake: remove support for building Qt with the old Intel compiler
  * qfloat16: re-merge the F16C content into qfloat16.cpp
  * CMake: Make LTO build work
  * QtWidgets: remove set-but-unused variables
  * QFontDatabase: suppress warning about its constructor being deprecated
  * QUtf32: remove set-but-not-used variable
  * QPlugin: Move the plugin metadata to a note in ELF platforms
  * Q_GLOBAL_STATIC: suppress warning about expressions in noexcept()
  * QPluginLoader: use constexpr variables for detecting debug plugins
  * RHI: suppress annoying warning about deprecated copy constructors
  * MySQL: fix the check for the return value of mysql_set_character_set()
  * MySQL: only set the charset if the connection has succeeded
  * QtGui & its plugins: remove set-but-unused variables
  * RHI: use the flags we've just calculated
  * QPlugin: keep the CBOR data as CBOR
  * QFactoryLoader: continue the port from JSON to CBOR
  * Doc: QByteArrayMatcher: add note that the pattern must remain on scope
  * Move the ABI tag from minimum-linux.S to qlibraryinfo.cpp
  * tst_QVariant: suppress warning about memcpying over QVariant
  * QLatin1String: harmonize null byte handling with the rest of QString
  * Doc: QString: formalize that we now include the QBA's nulls
  * Remove old pre-6.0 hooks
  * QHash: double the size of the stored seed
  * QHash: use the shadow seed
  * QLoggingRegistry: add the ability to have environment variable overrides
  * QLoggingRegistry: Disable internal tracking of source file names
  * qconfig.cpp: use qOffsetStringArray
  * 3rdparty: update TinyCBOR links to 0.6.0 final release
  * QCollator: add public, static functions to do comparisons
  * qlibraryinfo.cpp: use qOffsetStringArray for qtConfEntries
  * qlibrary.cpp: avoid the +12 constant in too many places
  * QPluginLoader/ELF: fix Clang ASan builds
  * CMake/qconfig.cpp: use raw strings so we support any input
  * QFactoryLoader: remove the porting hack to complete the port to CBOR
  * Revert "QOperatingSystemVersion: Add support for Win10 sub-versions"
  * QCoreApplication: document the app's bindir is in libraryPaths()
  * QPluginLoader: fix indentation and comments
  * qC{Debug,Info,Warning,Critical}: centralize common parts
  * qC{Debug,Info,Warning,Critical}: Simplify #ifndef QT_NO_xxx_OUTPUT
  * QGuiApplication: properly decode path command-line arguments
  * Q{XcbGl,EglFSDevice}IntegrationFactory: remove unused extra plugin path
  * qmetatype.cpp: provide missing initializer for const variable
  * QLibrary/QPlugin/QFactoryLoader: convert to category logging
  * QDuplicateTracker: add clear()
  * QString::fromUtf16: use qustrlen
  * CMake: reorganize the QT_FEATURE_library portion of CMakeLists.txt
  * QPluginLoader: add COFF PE file parser
  * Q{CoffPe,Elf,MachO}Parser: check that the magic string is present
  * tst_QHashSeed: reset the global seed in each iteration
  * tst_QHashSeed: improve quality of the quality() test
  * QLocale: suppress annoying GCC warning in the bootstrap lib
  * QObject: Q_ASSERT the object type before calling a PMF
  * QList::count(T): remove the &* hack on iterators
  * Enable other integer sizes in the bootstrap library's QAtomicInteger
  * QLockFile/Linux: skip QFileInfo if we're just doing string manipulation
  * Rewrite Q_{GLOBAL,APPLICATION}_STATIC with C++17 goodies
  * QGlobalStatic: don't use a std::aligned_union if we can be a union
  * QThread::idealThreadCount: use the thread affinity set
  * Q_{APPLICATION,GLOBAL}_STATIC: use variadic macros
  * QVariant: use a typedef name when saving user types to QDataStream
  * QString: replace an #if with if
  * QString: don't let the compiler emit unnecessary looping
  * QString: use char16_t in isAscii() instead of QChar
  * QString: reorganize some template functions
  * Doc: QSysInfo::productType: remove the "will be" note about Qt 6
  * QGlobalStatic: invert the order of destruction and setting the guard
  * QByteArray: fix append() with a negative length
  * QVariant: fix incorrect warning about duplicated alias where there isn't
  * QByteArray: remove left-over Q_NEVER_INLINE after we removed the tables
  * QJsonObject: use the UTF-8 string comparator in sorting
  * QString::compare: fix comparing a 4GB string to 1 QChar
  * Add a few explicit conversions back from int
  * convertDoubleTo: move the precision upgrade test up
  * convertDoubleTo: invert the condition so we catch NaNs early
  * QVersionNumber: change int to qsizetype for index and length
  * QLatin1String: perform the comparison to another QL1S using memcmp()
  * CMake: re-enable SIMD on Android
  * QVersionNumber: change int to qsizetype in fromString()
  * QMetaType: add a missing check for null d_ptr
  * QString::toLatin1_helper_inplace: simplify the code
  * QString: remove the old unaligned 4-byte compares in ucstrncmp()
  * QString: add Q_NEVER_INLINE for ucstricmp()
  * QString: make ucstricmp() parameters match the compareStrings'
  * QString: introduce ucstreq() to optimize equalStrings()
  * QString: merge the two ucstrcmp overloads into a template
  * QString: optimize equalStrings() with a template in ucstrncmp()
  * QString: use char16_t in ucstr{n,i,}cmp & ucstreq instead of QChar
  * CMake: Merge QCC with GCC and Clang
  * tst_qmetatype: add a few more row for QMetaType::UknknownType
  * tst_QMetaType: remove the IsInitialized check
  * tst_QMetaType: remove call to pthread_yield()
  * tst_QtJson: fix test for numbers above the limit of qint64
  * convertDoubleTo: add an x86-64 intrinsics version
  * qsimd.h: move the rest of the __xxx__ definitions that MSVC lacks
  * qsimd_p.h: add a hack to allow AVX to work with MinGW
  * QFactoryLoader: separate the updating of each plugin path
  * QFactoryLoader: add setExtraSearchPath() (for QPA plugins' use)
  * QFactoryLoader: there's only one of this, so removeOne(this)
  * QFactoryLoader: remove check-before-use of a directory
  * QFactoryLoader: use QDirIterator instead of QDir
  * QFactoryLoader: use RAII for QLibraryPrivate
  * QFactoryLoader: replace indexed loops with ranged ones
  * QFactoryLoader: merge the global statics into a single struct
  * QHash: improve aeshash's page detection code
  * QHash: fix iteration of x86 AES hash code for len >= 32
  * QHash: rewrite the x86 aeshash function for len >= 16
  * QEventDispatcherWin32: use SetCoalescableTimer for (Very)Coarse timers
  * QUrl: use qsizetype & size_t in place of int & uint
  * QVersionNumber: remove "pure" declaration from fromString()
  * QEvent: initialize the static userEventTypeRegistry constexprly
  * QVersionNumber: remove the "pure" attribute from commonPrefix()
  * qsimd/x86: disable the F16C, FMA, and VAES features if AVX is disabled
  * qfloat16: add missing static
  * qfloat16/F16C: rewrite the F16C conversion with overlapping
  * CMake: fix running of headersclean targets when CMAKE_CXX_FLAGS is set
  * qfloat16: add AVX512VL qfloat16 conversion tail
  * QCborValue: fix incorrect to{Array,Map} when the value is empty
  * QtCore: use C++11 thread_local instead of QThreadStorage
  * QLibraryInfo: remove load-time variable
  * qglobal: Move the export macros further up in the file
  * qglobal: add a way to selectively export in Qt 6 XOR Qt 7
  * QProcess/Unix: ensure we don't accidentally execute something from CWD
  * Fix GCC12 warning about using a pointer after realloc()
  * QFreeList: replace a Q_ASSERT(false) with Q_UNREACHABLE()
  * QStandardPaths/Win: fix build with old MinGW SDK
  * Disable URL support in the CBOR-JSON conversion in bootstrapped mode
  * QHash: mark murmurhash() and siphash() hot and never-inline
  * QLibrary: Suppress GCC 12 warning about dangling pointer access
  * QTimerInfo/Unix: Fix roundToMillisecond when it's already rounded
  * QStringView: add missing constexpr so we can use is_constant_evaluated
  * CMake: remove unused config.tests (atomicfptr, avx512 and stl)
  * qsimd: simplify the code slightly
  * QCborValueRef: add a test to confirm that its methods reflect QCborValue
  * QCborValueRef: fix using operator[] to convert an empty array to map
  * Introduce Q{Json,Cbor}ValueConstRef
  * QCborArray: use QCborValueConstRef
  * QCborMap: use QCborValueConstRef
  * QJsonArray: use QJsonValueConstRef
  * QJsonObject: use QJsonValueConstRef
  * QCborArray: allow large but in-range keys
  * QCborMap: merge the constFind methods into a template
  * QCborMap: merge the operator[] methods into a template
  * QCborValue: merge the non-const operator[] into a template
  * QCborValue: merge the const operator[] into a template
  * QCborValueRef: merge the operator[] into a template
  * QCborValueConstRef: optimize to{Integer,Bool,Double,String,ByteArray}()
  * QCborValue: optimize the array-to-map conversion
  * QCborValue: use assignContainer() in few more places
  * QJsonObject::erase: erase unnecessary and wrong code
  * QJsonValueConcreteRef: optimize concrete()
  * QJsonValueConstRef: optimize to{Int,Integer,Bool,Double,String}()
  * QJsonValueRef: optimize the assignment
  * QJsonObject::removeAt: stop dividing and multiplying by 2
  * QJson{Array,Object}: rewrite & simplify some iterator functions
  * QJsonValueConstRef: prepare for Qt 7
  * QJsonValueRef: don't export the entire class in Qt 7
  * QIODevice::read: don't truncate to int(readBytes)
  * QFile::copy: add the underlying error messages to ours
  * QMetaObjectBuilder: fix addProperty() recording of the property type
  * QPluginParsedMetaData: avoid the indirection through QCborMap
  * CBOR: disable UUID and QRegularExpression support in bootstrapped builds
  * QIODevice::readAll: allow reading from a huge non-sequential devices
  * qsimd: Initialize the current state as soon as QtCore loads
  * qsimd/x86: lower the target architecture for load-time code
  * QDebug: unexport most of the class for Qt 7
  * qsimd: update the generator script from OpenDCDiag
  * QJsonValueRef: add non-const operator[]
  * qsimd: Remove QT_COMPILER_SUPPORTS_SIMD_ALWAYS
  * qtnamespacemacros.h: make Q_MANGLE_NAMESPACE() available in C mode
  * qglobal_p.h: move QT_SUPPORTS_INIT_PRIORITY to outside the C++ section
  * qsimd_p.h: move macros up
  * qsimd_p.h: group the two HWRNG-related functions
  * qsimd_p.h: Restore compatibility with C code
  * qsimd_p.h: disallow building with just -mavx2 instead of full x86-64-v3
  * qsimd_p.h: add x86-64-v4
  * qsimd_p.h: let the generator script generate the ARCH target strings
  * CMake: remove obsolete #FIXME
  * QHash: add support for VAES and AVX512VL
  * QHash: invert the case that is excluded: use VAES and AVX512VL
  * QHash: split the x86 AES hash into three separate functions
  * tst_qlogging (tst_qmessagehandler): use QProcessEnvironment
  * tst_qlogging (tst_qmessagehandler): use one line for output and expected
  * qHash: fix running on CPUs without AVX2
  * Make sure all qtbase private headers include at least one other
  * qedidvendortable.py: include something before using macros
  * QRandomGenerator: find getentropy() on macOS
  * tst_qstring: properly fix the build when LC_MEASUREMENTS is not defined
  * QTextFormat: remove unnecessary namespace-scope stream op declarations
  * qsimd.cpp: fix _FORTIFY_SOURCE=2 builds
  * qsimd.cpp: don't disable SSE FP math
  * Logging: fix encoding of backtrace lines
  * Logging: rejiggle the way we detect the availability of backtrace() API
  * Logging: remove magic constant from backtrace code
  * Logging: reorganize the backtrace code for simplicity and readability
  * Logging: add support for decoding backtraces using dladdr()
  * Logging: cache the last library file name in a backtrace
  * Logging: use GCC #pragma to suppress the frame pointer
  * QWeakPointer: befriend other QWeakPointers
  * CMake: add detection of x86 VAES and AVX512VBMI2 features
  * QText*Format: future-proof by adding own QDataStream stream operators
  * forkfd: sync with OpenDCDiag
  * forkfd: don't attempt to guess EWOULDBLOCK when WNOHANG is active
  * QGlobalStatic: fix Clang warning about expression in unevaluated context
  * Enable -mno-direct-extern-access and ELF protected visibility
  * QProcess/Doc: update the information on how the program is found
  * qversiontagging: Add Windows support
  * qversiontagging: Use C++17 inline variables also on Unix
  * qversiontagging: remove the old inline assembly content
  * qversiontagging: merge the qt_version_tag symbols
  * QString: reorganize the {starts,ends}With implementations
  * Q_DECL_INIT_PRIORITY: make the initializers actually run
  * QHash: Initialize the hash seed as soon as QtCore loads
  * QJsonValueConstRef: fix null pointer dereferences
  * qversiontagging.h: remove the attempt to use the "retain" attribute
  * Doc: QThread: clarify that start() always creates the event dispatcher
  * QObjectPrivate: use ConnectionList's constructor instead of copy-assignment
  * QObjectPrivate: use placement new/delete for SignalVector
  * QObjectPrivate: deinline a bunch of stuff only used in QtCore
  * QObjectPrivate:Connection:: use NSDMI for the ref count
  * QBENCHMARK: Replace the double underscore with something not reserved
  * QtOpenGL: Fix build with GCC 12: qt_imageForBrush is in QtGui
  * qhashfunctions.h: add std::hash specialization for QByteArrayView
  * XCB: fix GCC 12 warning about uninitialized variable use
  * QTextEngine: don't pass empty data to bidiReorder
  * Fix build with GCC12: avoid QCborStreamReader::preparse()
  * Fix build with GCC 12's libstdc++ and Clang
  * QFutureInterface: insert x86 PAUSE in tight CMPXCHG loop
  * QThread: Fix currentThreadId() on FreeBSD
  * CMake: also allow building tools when found elsewhere in host builds
  * QThread: re-fix currentThreadId() on Linux
  * qtestcase.cpp: use #ifdef RLIMIT_CORE to guard RLIMIT_CORE usage
  * qtestcase/Unix: remove fprintf from signal handler
  * QObjectPrivate: mark inline functions not meant to be used elsewhere
  * QObjectPrivate: rename the internal disconnect() to removeConnection()
  * util/x86simdgen: update with the copyright header
  * Atomics: workaround GCC 12 warning about overflowing d->state
  * Remove remnants of the old Intel C++ compiler
  * QLibraryInfo: Use __VERSION__ with Clang too
  * Revert "MySQL: pedantism: create and destroy the MYSQL_TIME type"
  * qglobal.h: #include <stdbool.h> in C mode
  * qtestcase.cpp: fix warning about ignoring the result of writev()
  * qtestcase: make the stack trace generation more signal-safe
  * FatalSignalHandler: remove call to qEnvironmentXxx from handler code
  * Put DebugSymbolResolver and FatalSignalHandler in an unnamed namespace
  * FatalSignalHandler: split the Windows and Unix contents
  * FatalSignalHandler: use std::optional instead of QScopedPointer
  * FatalSignalHandler: simplify the SA_SIGINFO handling
  * FatalSignalHandler: simplify SA_RESETHAND code
  * FatalSignalHandler: remember the previous signal's handler
  * FatalSignalHandler: chain back to the original crash handler
  * StackTraceHandler: simplify the gdb and lldb commands
  * StackTraceHandler: call the debugger directly, instead of via /bin/sh
  * QVector: make sure the forwarding headers for the Java iterators exist
  * QStringConverter: use the QUtf8 codec when Windows is using UTF-8
  * tst_QStringConverter: improve the char-by-char UTF-8 testing
  * tst_QStringConverter: implement the TODO of testing with flags
  * tst_QStringConverter: roll up independent tests to rows in others
  * tst_qpainter: change the FP exception block-list to a pass-list
  * QFileSystemModelPrivate: de-inline ctor and dtor
  * CMake: Test the linker too for -mno-direct-extern-access
  * qglobal.h: remove superfluous C++11 check from Qt 5.6
  * qglobal.h: reorganize and simplify the C++11 keyword macros
  * qglobal.h: use the GCC attribute for nothrow in C mode
  * QFileSystemEngine/Win: fix incorrect buffer size in currentPath()
  * QFileSystemEngine/Win: simplify code
  * FatalSignalHandler: use mmap() to create the alternate stack
  * FatalSignalHandler: expand to more Unix OSes than just Linux and macOS
  * FatalSignalHandler: handle SIGABRT too
  * QTemporaryFile: document rename() differences from QFile
  * QtTest: move the disabling of core dumps from load-time to qInit()
  * qtestcase.cpp: create a common function to print the test runtime
  * qglobal.h: include <stdalign.h> in C mode
  * FatalSignalHandler: print the signal name on crash
  * Cocoa: fix build: add missing include
  * CMake: up the minimum C version to C11
  * Revert "qglobal.h: include <stdalign.h> in C mode"
  * QCoreApplication: Remove app_compile_version
  * Q*ApplicationPrivate: remove unused "flags" arguments
  * QApplication: Remove QApplicationPrivateBase porting macro
  * QStringConverter: fix use-after-free in the stack in the test
  * qHash: pass QByteArrayView to qHash() by value
  * QMetaType: use explicit load/store operations on QBasicAtomicInt
  * qmetatype.h: remove #undef for something that was never #define'd
  * Fix improper moc includes inside the Qt namespace
  * qsimd: don't enforce shstk (CET) feature on launch
  * moc: rename the "offsetsAndSize" member to "offsetsAndSizes"
  * moc: remove unnecessary emission of "#include <qbytearray.h>"
  * QThread:idealThreadCount: fix build with FreeBSD 13.1
  * QJsonValue: fix incorrect to{Array,Object} when the value is empty
  * CMake: fix build with FreeBSD 13.1
  * moc: fix use of escape sequence of more than one character
  * moc: replace offsetof with sizeof
  * moc: add Q_CONSTINIT to the static const variables we emit
  * tst_moc: fix build with GCC 12
  * moc: properly indent the output for the metatype array
  * moc: remove the attempt to create one large string literal
  * moc: put the qt_meta_stringdata_XXXX_t type in an unnamed namespace
  * qmetatype.h: remove unnecessary EXPORT macro
  * qmetatype.h: add QT_FOR_EACH_STATIC_PRIMITIVE_NON_VOID_TYPE
  * QProcess: re-enable pdfork() on FreeBSD
  * QFont: don't detach the families list in family()
  * FatalSignalHandler: print some more information from siginfo_t
  * QDateTime: remove a few hardcoded values in favor of <chrono> constants
  * CMake: disable the attempt to force SIMD on iOS simulator builds
  * CMake: update the x86 intrinsic checks
  * QMetaType: extern-template the built-in Core types' QMetaTypeInterface
  * QMetaType: move the built-in QMetaTypeInterfaces to read-only segments
  * qmetatype.h: remove unnecessary specialization
  * moc: move the qt_static_metacall below the staticMetaObject
  * moc: fix const-init for Windows
  * x86/RDSEED: Work around QNX compiler missing the rdseed intrinsic
  * forkfd: implement vfork(2)-like support on Linux
  * QCborValue: further clamp down on memory allocation for CBOR streams
  * QCborValue: attempt a bit of exception-safety around QList::reserve
  * QCborValue: free container memory in case of parsing failure
  * JNI: match the declaration from jni.h
  * QLocale: #include <QList>
  * QEventDispatcherCoreFoundation: fix #include moc location in the file
  * Fix attempt to use -mno-direct-extern-access with Clang
  * CMake: fix the word order in "no_direct_extern_access"
  * CMake: add one more test for no_direct_extern_access
  * CMake: disable auto-detection of no_direct_extern_access
  * QVariant: add missing const to QMetaTypeInterface pointers
  * Revert "Drop call to setPlatformScreen in QHighDpiScaling::setScreenFactor"
  * QVariant: do allow non-default-constructible types
  * tst_QMetaType: merge flags and flagsStaticless
  * tst_QMetaType: suppress most warnings
  * QMetaType: fix isRegistered()
  * QMetaType: add registerType() and qRegisterMetaType(QMetaType)
  * QMetaType: add is{Default,Copy,Move}Constructible and isDestructible
  * WindowsFaultHandler: print the backtrace to stderr, not stdout
  * QByteArray: inline QByteArray::isNull()
  * QVariant: delegate more to QMetaType
  * QMetaType: don't record trivial construction function pointers
  * QVariant: split the warning from customConstruct()
  * QVariant: move the check for std::nullptr_t a bit up in customConstruct
  * QVariant: use QtMetaTypePrivate directly instead of QMetaType
  * QVariant: optimize copying for trivially copyable payloads
  * QVariant: replace v_construct with a Private template constructor
  * QVariant::Private: replace QMetaType constructor with interface
  * QVariant::Private: remove old typeId() function
  * QVariant::Private: remove unused internalStorage()
  * QVariant::PrivateShared: move create() and free() into the .cpp
  * QVariant: move the privates up
  * QVariant: update constructors for trivially copyable types
  * QVariant: add noexcept to Qt types with noexcept copy constructors
  * Remove qvariant_p.h
  * QMetaType: move is_complete template further up
  * QMetaType: fix QMetaTypes for non-const references
  * QMetaType: re-fix them for pointers
  * QMetaType: prevent memory leak on create() if the constructor throws
  * tst_QMetaObject: change tests to forward-declared-only
  * tst_QMetaObject: add some tests for passing and receiving pointers
  * tst_QMetaObject: make sure we don't mix references with non-refs
  * tst_QMetaObject: add a test for using Q_ARG with a non-const ref
  * QMetaObject: rewrite QMetaMethod::invoke
  * QMetaObject: rewrite invokeMethod()
  * QMetaObject: rewrite newInstance()
  * QMetaObject: move the warning from invokeMethod() to a new function
  * QMetaObject: merge the findMethodCandidates() into the warning function
  * QMetaObject: simplify printMethodNotFoundWarning() a little
  * QMetaObject: move QMetaMethodPrivate into an unnamed namespace
  * QVariant: move d.get() into qNumVariantToHelper
  * QVariant: update the noexcept content for a few types
  * QVariant: make many more QtCore types nothrow-copyable
  * tst_QMetaType: fix warning that buffer may be unused
  * QMetaType: fix void* parameters
  * QMetaObject: improve methodMatch() to include the stored metatypes
  * QMetaObject: fix calling overloaded functions & constructors
  * QMetaObject: fix check for void's metatype in metaType()
  * QVariant: reorganize the constructors in the header
  * QVariant: add noexcept to fromValue when possible
  * QVariant: don't leak PrivateShared if the constructor throws
  * QVariant: pass the size and alignment to PrivateShared::create()
  * QByteArray: delegate more of operator== & !+ to QByteArrayView
  * QLatin1StringView: delegate operator== to QByteArrayView
  * Fix several more improperly placed #include moc
  * moc: move some of the helpers into a header dedicated to it
  * moc: use C++ constexpr to generate the meta object string data
  * QGraphicsScene::render: fix int/qsizetype mismatch
  * QDBusMetaObjectGenerator: use qsizetype for counting things
  * QDBusMetaObjectGenerator: replace a few more int
  * Tests: remove #define COMMA
  * QMetaType: add a test to confirm that types are equal across libraries
  * QMetaType: don't use global relocations to the lambdas and structures
  * qdbusxml2cpp: be consistent in the annotation suggestion
  * qdbusxml2cpp: remove the old "In"-for-signal compatibility code
  * QSemaphore: Fix warnings about shift exceeding size on 32-bit
  * QMetaObject: export the invokeImpl inner method
  * QProcess/docs: add more information about environment variables
  * QMetaObject: add revision 11 for Qt 6.5
  * QMetaObject: fix the consistency check for forward-declared builtins
  * QVariant/Doc: document that you must register types before op>>
  * tst_QMap: avoid tripping MSVC debug-mode iterator assertions
  * QMetaType/Doc: update some wording about type registration
  * findclasslist.pl: add a way to mark lines to be ignored
  * QVariant: fix conversions of string keys to Q_ENUM that are QFlags<>
  * tst_qlibrary.cpp: remove extraneous _data function
  * 3rdparty/zlib: backport the fix to CVE-2022-37434
  * QMetaObject: add a new, variadic invoke/invokeMethod/newInstance
  * RCC: fix zlib compression when --no-zstd was specified
  * QGtk3Dialog: remove the #include for empty moc
  * QMetaObject: pass the QMetaTypes in variadic invoke/newInstance
  * QMetaObject/Doc: document the variadic invoke{,Method} and newInstance
  * 3rdparty: apply a fix to the last zlib fix
  * findclasslist.pl: match unexported classes too
  * findclasslist.pl: do match subclasses in private headers too
  * findclasslist.pl: print the line number of where the occurrence came
  * QObject: attempt to fix a deadlock introduced by an earlier fix
  * QTeamCityLogger: fix build (INT_MAX undefined)
  * QFileDevice: clear cached permissions on setPermission()
  * tst_QFile::setPermissions: add QScopeGuard to remove temporary file
  * tst_QFile::setPermissions/Unix: test both chmod() and fchmod()
  * QSharedMemory: remove QT_NO_QOBJECT
  * QSystemSemaphorePrivate: remove unused semaphoreLock member
  * {QSharedMemory,QSystemSemaphore}Private: use NSDMI for the members
  * Logging: remove const from the lambda calling dladdr
  * tst_QSharedMemory: remove mention of gravlaks.troll.no
  * qsimd: remove the F16C macro in the Haswell sub-arch testing
  * qnumeric_p.h: fix comparison of signed to unsigned in saturation
  * qsimd_p.h: document that AMD Zen4 supports AVX512
  * qsimd_p.h: remove BMI1 feature from the ARCH_HASWELL list
  * QString/doc: correct the record on const char* optimizations
  * syncqt: remove newline before endl
  * QWaitCondition/Doc: add a simple explanation of the time units
  * qpoll: disallow file descriptors bigger than FD_SETSIZE
  * dbus_minimal_p.h: copy the libdbus-1 copyright to the top
  * QSystemSemaphore: make it a Q_GADGET
  * QSharedMemory/doc: update docs to be more modern
  * QVariant/Doc: expand what toList & toMap conversions may succeed
  * tst_QTcpServer: Output useful more useful info for addressReusable
  * tst_QTcpServer: use a random port number in addressReusable
  * Autotest/Unix: request zero-sized core dumps for crashing code
  * QLibrary: merge duplicated setFileName{,AndVersion} code
  * QLibrary::setFileNameAndVersion: reset the tag after findOrCreate
  * tst_QSet: fix flakiness after we removed the fixed, non-zero seed
  * tst_QLibrary: add a cleanup() method to unload left-overs
  * QLibrary: fix load() after a failed load()
  * QBenchlib/Perf: open the perffd with PERF_FLAG_FD_CLOEXEC
  * QLibrary: fix loading multiple versions of a library
  * QBenchlib/Perf: use WalltimeNanoseconds for the task time
  * QBenchlib/Perf: remove ioctl(FD_CLOEXEC)
  * QBenchlib: remove unused repeatCount() virtual
  * QBenchlib: remove unused checkpoint() virtual
  * QBenchlib: stop exporting {begin,end}BenchmarkMeasurement
  * QBenchlib: force the warmup to run a single iteration
  * QBenchlib/Perf: don't try to benchmark the kernel
  * QBenchlib/Perf: remove the handling of attributes in -perfcounter
  * QLocale: merge the code for some system locale queries
  * Tests: fix namespaced build on Windows
  * tst_QFile: remove unused variable on Windows
  * Bootstrap: fix MinGW build with -maes
  * QStringConverter/AVX2: fix build with MSVC 2022
  * QOperatingSystemVersion: fix ABI problem with dllimport on Windows
  * QString::asprintf: fix handling of a present-but-empty precision
  * QOperatingSystemVersion: add tests for the globals
  * QString: skip QLocale::numberToCLocale for C locale inputs
  * QLocale: remove unwise early return in bytearrayTo(Uns)LongLong
  * QByteArray: move the high-memory-using and slot tests away
  * QEventDispatcherUNIX: remove unused include
  * QCryptographicHash: fix build: #include <array> was missing
  * Update the poll-exit-on-error feature to be private
  * Update the poll-exit-on-error code: include the message for everyone
  * QBenchlib: pass the metric type alongside the measurement value
  * QBenchlib: use QBenchmarkMeasurerBase::Measurement in QBenchmarkResult
  * QBenchlib: add support for a measurer reporting multiple results
  * QBenchlib/Perf: parse multiple counters from -perfcounter
  * QBenchlib/Perf: use C++11 range-fors for the event list
  * QBenchlib/Perf: use one system call to enable/disable measurements
  * QPlainTestLogger::formatResult: use QByteArray instead of QString
  * QVariant: get rid of output argument to qConvertTo{Real,}Number
  * QVariant: make a major simplification in the numeric comparison
  * QVariant: merge the equality and ordering compare functions
  * QVariant: use QPartialOrdering for the internal comparison functions
  * QVariant: move the NaN comparison into the spaceShip function
  * QVariant: simplify getting integer contents by using the type size
  * QVariant: fix comparison of enums to numerics
  * QVariant: add support for numeric comparisons for char16_t and char32_t
  * tst_QVariant: convert some test functions to table-driven
  * QPlainTestLogger: simplify printBenchmarkResult()
  * QPlainTestLogger: don't print "RESULT" before each additional result
  * QPlainTestLogger: include extra information in each result
  * QLocale: update the disabling of -Wfree-nonheap-object to GCC 10 only
  * Gtk3: fix stack smashing on mismatch between bool and gboolean
  * QString: mark inline to{U,}LongLong() for inlining in Qt 7
  * QString: merge the two toIntegral_helper() back to a template
  * QLocale: make qstrnto(u)ll not have output arguments
  * QLocale: make qt_doubleToAscii not have output arguments
  * QString: rewrite toDouble() and toFloat() using QStringView
  * QString: skip QLocale::numberToCLocale for floating point
  * QLocale: make qt_asciiToDouble() do case-insensitive comparisons
  * QHostAddress: unexport QIPv6Address
  * CMake: install the metatypes inside Qt's own arch-specific data dir
  * CMake: move the qversiontagging files into the main file listing
  * CMake: add a way to skip trying to set up docker on Linux
  * CMake: add SYSTEM_INCLUDE_DIRECTORIES to qt_internal_extend_target
  * qfloat16: remove the metatype dependency
  * qfloat16: add support for native _Float16 (C2x extended floating point)
  * qfloat16: add a couple faster implementations of qSqrt
  * qfloat16: add QDataStream tests
  * qfloat16: add QTextStream & QDebug streaming operators
  * qfloat16: make it a built-in metatype
  * CMake/syncqt: export the TEST_ld_version_script variable
  * QMutex: remove qmutex_win.cpp
  * QString: replace #if with if constexpr for the x86 ISA extensions
  * QString: reorganize the SSE2 helper functions
  * QString: remove the GCC 7 + ASan warning
  * QString: extract qustrlen's attribute to a macro
  * QString: move the body of qustrlen's SSE2 implementation
  * QString: improve the SSE2 qustrlen to calculate the length as we go
  * QString::toLatin1/SSE: simplify the code to merge question marks
  * QString::{to,from}Latin1: add the ability to do overlapping tails
  * QString::fromLatin1: improve the sub-16-character case
  * QString::toLatin1: do the same as fromLatin1 for sub-16 characters
  * QString: use memcmp() in ucstrncmp() where it's acceptable
  * Q{Latin1,}StringView: invert members so the order is (data,size) in Qt7
  * QAnyStringView: move the tag bits to the LSB for Qt 7
  * QAnyStringView: move the two assertions to a central place
  * QFutureInterfaceBasePrivate: pack to remove padding
  * QString: merge and optimize the two overloads of SSE2's ustrncmp()
  * tst_qdbusmetatype: fix build with Clang (and probably MSVC)
  * XCB: use qOffsetStringArray
  * QUuid: use NSDMI to initialize the members
  * QUuid: add a trivial structure to support exactly 128 bits
  * QUuid: add the ability to specify the byte order for 128-bit IDs
  * tst_qlogging: fix preprocessor directives
  * tst_qlogging: don't skip all tests under static builds
  * tst_qlogging: Skip backtrace tests under ASan
  * Fix improper ELF versions of certain symbols
  * syncqt: add some debugging to the ELF version script parsing
  * Fix improper ELF versions of two more classes
  * QUrl/doc: explain that the scheme-less URL is probably not intended
  * tst_QAlgorithms: don't use random numbers in the test row names
  * QtGui: fix build with GCC 13's support for FP16
  * QRgbaFloat: add support for multiplying & comparing as FP16
  * QCryptographicHashPrivate: standardize on quint8
  * QCryptographicHash: add a mutex to writing to the results
  * QCryptographicHashPrivate: repack, by moving the enum to the end
  * qglobal.h: centralize the __ASSEMBLER__ check
  * Move duplicated code between two headers to include qconfig.h
  * Use the real qconfig.h in the bootstrapped config
  * tst_Selftests: rewrite this with templates instead of macro
  * QCborValue: fix build with GCC 13: extended FP support
  * tst_QHostInfo: use python3
  * Suppress GCC 13's -Wmaybe-uninitialized in q_uninitialized_relocate_n
  * QUrl: restore empty-but-not-null for components that are present
  * CMake: make qt_config_compile_test verbosely indicate missing deps
  * Fix build with GCC 13: target specific option mismatch
  * QUrlQuery: fix operator== for emptied object case
  * QUrlQuery: add missing move constructor
  * tst_QUrlQuery: replace a few QVERIFY(~~ != ~~) with QCOMPARE_NE
  * IPC: Move QSharedMemory and QSystemSemaphore from kernel/ to ipc/
  * IPC: move the feature check to the ipc/ dir for tst_qsharedmemory
  * IPC: move createUnixKeyFile to a common, private header
  * IPC: move makePlatformSafeKey to qtipccommon.cpp
  * IPC: split the semaphore and shared memory CMake tests
  * IPC: split the backend implementations of QSystemSemaphore...
  * IPC: split the backend implementations of QSharedMemory...
  * IPC: move the *_unix.cpp contents to the main files
  * IPC: handle EMFILE as an OutOfResources error
  * IPC: include the error text instead of errno code in errorString
  * IPC: Long live QNativeIpcKey key
  * IPC: use QNativeIpcKey for QtIpcCommon::legacyPlatformSafeKey()
  * IPC: add QtIpcCommon::platformSafeKey()
  * IPC: add a function to check runtime support
  * IPC: add native key support to QSystemSemaphore
  * IPC: add native key support to QSharedMemory
  * IPC/QSharedMemory: call QSystemSemaphore::setKey only once (not 3)
  * IPC: remove the rekeying optimization for System V semaphores
  * IPC: clean up #ifdef in tst_qsharedmemory.cpp
  * IPC: fix cleaning up after tst_QSharedMemory tests
  * IPC: allow QSystemSemaphorePosix to build on Windows
  * IPC: add support for multiple backends to QSystemSemaphore
  * IPC: add support for multiple backends to QSharedMemory
  * IPC: switch the default key type on Unix to POSIX realtime
  * QSystemLocale/Win: use LOCALE_RETURN_NUMBER to get numbers
  * QVarLengthArray: implement ### Qt 7 remarks
  * QRegularExpression: fix count() when the RE matches a surrogate
  * IPC: move the removal of the file and shm to cleanHandle()
  * IPC: rationalize use of O_CLOEXEC
  * IPC: don't close(-1)
  * IPC/QSharedMemory: include the QSystemSemaphore error message in ours
  * IPC/QSharedMemory: make the enums Q_ENUM
  * tst_QMimeDatabase: rename test to indicate what it really is
  * QMimeDatabase: don't stat() something that isn't a local file
  * QMimeDatabase: add a test to ensure we can detect Unix specials
  * tst_qdbusxml2cpp: test the old-style QDBusReply interface output too
  * qdbusxml2cpp: invert Q_DECL_DEPRECATED and inline in the output
  * qdbusxml2cpp: don't emit Q_DECL_DEPRECATED for the adaptor
  * QFileSystemWatcher/Win: remove the pre-QFileInfo path normalization
  * QLocale: modernize ascii_isspace() to C++17
  * IPC: don't check for the file's existence before ftok()
  * qmath: add qNextPowerOfTwo(unsigned long) - for size_t
  * qalgorithms.h: fix mistake that MSVC has constexpr bitops in C++17 mode
  * Logging: fix crash when decoding a symbol that isn't a function
  * tst_qmessagehandler: fix QtTest warnings about duplicate row names
  * QHash: fix GrowthPolicy::bucketsForCapacity
  * Revert "QLocale: update the disabling of -Wfree-nonheap-object to GCC 10 only"
  * QString: make insert_helper take the insertee by const-ref
  * QThread/Unix: move qt_nanosleep to qthread_unix.cpp
  * QElapsedTimer & QDeadlineTimer: use NSDMI for their two fields
  * QDeadlineTimer: add a few missing default template parameters
  * tst_QTimer: suppress the cross-thread timer stopping warnings
  * QRegion: upgrade Q_ASSUME to Q_ASSERT
  * QNetworkInterface/Unix: replace one Q_ASSERT with static_asserts
  * qsimd_p.h: remove LZCNT feature from the ARCH_HASWELL list
  * QCborValue: add missing Q_DECLARE_OPERATORS_FOR_FLAGS
  * configure: remove -c++ entry from the -help output
  * QProcess/Linux: fix file descriptor leak in case of failed child start
  * QProcess: reimplement systemEnvironment() using QProcessEnvironment
  * CMake: remove tests for C++17 and C11 and earlier
  * QTimer: fix new-style slot invocation for receiver in another thread
  * QVariant: ensure the type custom is registered on construction
  * QPluginLoader: modernize static plugin instance code
  * QElapsedTimer: remove the runtime check for the monotonic clock
  * QMultiHash: fix missing update to m_size
  * QPluginLoader: don't instantiante multiple, identical instances
  * QElapsedTimer/Darwin: merge with the Unix implementation
  * QWaitCondition/Unix: Modernize the call to pthread_condattr_setclock
  * QWaitCondition/Android: remove support for relative time waits
  * QWaitCondition/Unix: use QDeadlineTimer's <chrono> support
  * QWaitCondition/Unix: sort and organize includes
  * QElapsedTimer: rewrite using std::chrono::steady_clock everywhere
  * tst_QDeadlineTimer: use the new QCOMPARE_xx() macros
  * tst_QDeadlineTimer: use std::chrono_literals
  * QDeadlineTimer: use std::chrono::steady_clock everywhere
  * QDeadlineTimer: use if constexpr instead of function specializations
  * QDeadlineTimer: remove internal TimeReference class
  * QDeadlineTimer: stop using the t2 member and mark for removal in Qt 7
  * QTimerInfoList: remove code that attempted to repair time on clock jumps
  * Revert "Exclude files from unity build"
  * QMutex/Unix: remove the pthread_mutex_t-based content
  * QProcess/Unix: don't overwrite openChannels() error message
  * tst_QProcess: don't link non-Qt helpers to QtCore
  * tst_QCoreApplication: ensure that theMainThread has expected states
  * QString::insert: replace duplicated code with a recursion
  * QApplicationStatic: enforce acquire-release semantics on creation
  * QApplicationStatic: document the thread-safety guarantees
  * QReadWriteLock: don't mark fully-inline classes as exported
  * QCoreApplication: fix use-after-free of nl_langinfo() result
  * IPC: tst_QNativeIpcKey: rename duplicate row in test
  * IPC: QSharedMemory: use q20::construct_at
  * IPC: QSystemSemaphore/SystemV: move up the check for handle
  * moc: Use a much, much shorter structure name for the StringData
  * QMutex & QReadWriteLock: do a memory read before CAS
  * QProcess: remove the note that it freezes threads on QNX
  * QMutex: remove unused tst_QMutex forward declaration
  * Deprecate Q_ASSUME
  * headerscheck: enable exceptions for MSVC
  * QPrinterInfo: fix mismatching types to ternary operator
  * Q{Plugin,Factory}Loader: downgrade warnings to debug messages
  * QTestEventLoop: don't stop the test fails outside the main thread
  * Move the formatting of <chrono> durations to QDebug & QtTest
  * QSlotObjectBase: move the m_ref after m_impl for Qt 7
  * tst_QDeadlineTimer: remove the testing of the different timer types
  * QDeadlineTimer: use std::chrono::ceil() in setRemainingTime()
  * QDeadlineTimer: make it so any negative millisecond count is "forever"
  * QDeadlineTimer: avoid a system call for timeout == 0
  * QReadWriteLock: remove the private function from the symbol table
  * QReadWriteLock: force the loop to exist in a separate function
  * QReadWriteLock: remove the untimed tryLockForXxxx functions
  * QReadWriteLock: inline the lockForXxx functions
  * QReadWriteLock: add tryLockForXxx overloads taking QDeadlineTimer
  * QMutex: add QDeadlineTimer-based tryLocks
  * tst_QDnsLookup: create a dedicated test for IDN
  * tst_QDnsLookup: don't fail if the server refused to answer
  * QDnsLookup: treat NOTIMP replies as server failures
  * QReadWriteLock: inline the constructor and destructor
  * QLatin1StringView: un-inline Latin1-UTF8 compare_helper
  * IPC: QNativeIpcKey: fix big-endian builds
  * QSlotObjectBase: move the `which` parameter to the 4th position
  * tst_QAnyStringView: fix warning of unused variable by using it
  * QNativeSocketEngine: move some code from the _p_p.h to _p.h file
  * QProcessPrivate: remove the member variable "crashed"
  * Network: Remove Q_DECL_METATYPE_EXTERN for single-.cpp metatypes
  * QDnsLookup: remove the explicit metatype registration for the Reply type
  * QDnsLookup: remove the #if QT_CONFIG(thread) check
  * QDnsLookup/Unix: make sure we don't overflow the buffer
  * QProcessPrivate: repack and reorganize the members
  * Revert commit "don't ever force fork() instead of forkfd()"
  * QProcess/Unix: use pid_t for the pid
  * QProcess/Unix: use open() + fchdir() to change directories
  * tst_QProcess: move setChildProcessModifier test to a Q_OS_UNIX section
  * QDnsLookup/Unix: modernize the setting of IPv6 server addresses
  * QDnsLookup/Unix: add support for res_setservers()
  * QDnsLookup/Windows: use DnsQueryEx so IPv6 servers are supported
  * QProcess/Unix: protect against stack unwinding in the child process stub
  * QProcess/Unix: improve the error message if the child modifier throws
  * QProcess/Unix: enable setChildProcessModifier for startDetached
  * QDnsLookup/Unix: do skip DNS records that aren't of class IN
  * QDnsLookup/Unix: modernize with qFromBigEndian
  * QHash: centralize the span allocation
  * QHash: suppress GCC 12 & 13 warning that QHash could overflow
  * QDnsLookup/Unix: rework the buffer-size check code
  * QDnsLookup/Windows: don't append domain search suffixes
  * QDnsLookup: make the query() function non-static
  * QModelIndex: improve qHash
  * QSemaphore: add QDeadlineTimer API
  * QDnsLookup: reject looking up domain names that are too long
  * IPC: QNativeIpcKey: use actual QUrl to format and parse the string form
  * IPC: QNativeIpcKey: enable the slow path
  * QTypes: add q{u,}int128 as a first-class, integer type
  * QUuid: add support for 128-bit integers
  * QCallableObject: work around VS2022 compiler bug
  * QProcess/Unix: add setUnixProcessParameters()
  * QProcess/Linux: add a flag to re-enable the vfork()-like semantics
  * QProcess/Darwin: disable use of vfork() on this OS
  * QProcess/Unix: allow startDetached() to also use vfork()
  * QDnsLookup: add a number of functions to simply setting error conditions
  * QDnsLookup: add support for setting the port number of the server
  * tst_QDnsLookup: add a test for setNameserver
  * QDnsLookup: simplify the processing of the runnable and reply
  * QDnsLookup: replace Q_GLOBAL_STATIC with Q_APPLICATION_STATIC
  * QDnsLookup: centralize printing of warnings
  * Enable QT7_ONLY for bootstrapped mode too
  * QDeadlineTimer: make the ForeverConstant an enum class
  * QDnsLookup/Unix large replies: use res_nmkquery & res_nsend [1/3]
  * QDnsLookup/Unix large replies: use EDNS0 [2/3]
  * QDnsLookup/Unix large replies: manually handle VC [3/3]
  * QDnsLookup: add TimeoutError for timeouts
  * x86simdgen: update the Makefile to include the copyright in the .cpp
  * qsimd_x86: update from upstream and enable a few more features
  * CMake: remove "res_ninit" feature and collapse to just "libresolv"
  * QNativeSocketEngine: fix warning about uninitialized variables
  * QSemaphore: add a note to update to noexcept in Qt 7
  * Remove the mandatory x86-64 features from its feature list
  * tst_QProcess: put the tests in the right order
  * QDnsLookup: merge some of the domain label expansion code
  * QDnsLookup: allow looking up the root domain
  * QDnsLookup/Windows: add a simple decoded domain cache
  * QDnsLookup/Unix: cache previously decoded domain names
  * Moc: remove GCC 9 ban for using QtMocHelpers::stringData()
  * Fix GCC 13 warning about freeing the global static
  * tst_QTimer: ensure that timer activation respects start order
  * tst_QProcess: move the crasher code to a header
  * CMake: apply OpenBSD patch to enable $ORIGIN
  * QElfParser: fix build if EM_S390 is not defined
  * QElfParser: use ELFOSABI_LINUX instead of ELFOSABI_GNU
  * forkfd: Add support for eventfd(2) in FreeBSD
  * QSemaphore: emit waking on the same word size as we wait on
  * Q{Semaphore,ReadWriteLock}Private: reorganize the members
  * QProcess/Unix: reset the signal block if ResetSignalHandlers requested
  * QProcess/Unix: call the internal version of sigaction()
  * QProcess/Unix: update the close-file-descriptors feature with a minimum
  * QProcess/Unix: add failChildProcessModifier()
  * QProcess/Unix: capture the child process modifier exception's what()
  * tst_QFile: fix unixPipe() and socketPair() closing already-closed fd
  * tst_QFile: replicate the unixPipe test using FIFOs
  * Q{Any,}StringView: remove the GCC-specific compile-time content
  * Short-live qIsConstantEvaluated()
  * Q{Any,}StringView: optimize lengthHelperContainer for the runtime
  * QtCore: Remove std::mutex and std::condition_variable fallbacks
  * tst_QAnyStringView: test some longer strings and some containing nulls
  * Split qfutex_p.h per OS
  * Switch futex support to QDeadlineTimer
  * Long live futexes for FreeBSD!
  * QProcess/FreeBSD: remove the workaround allowing undefined symbols
  * Q*ValueRef: suppress MSVC warning on deriving from non-exported base
  * Long live futexes for Darwin!
  * QProcess/Unix: fix setting SIGPIPE to SIG_IGN where SIG_DFL was intended
  * QProcess/Unix: disable vfork() under ASan
  * QProcess/Unix: merge some code from startProcess() and startDetached()
  * QProcess/Unix: don't set the SIGPIPE signal handler twice
  * tst_QFile: remove the timer in unixPipe and socketPair
  * QMetaContainer: add missing #include <iterator>
  * QProcess/Unix: block all Unix signals between vfork() and exec()
  * qC{Debug,Info,Warning,Critical}: move the function call to the macro
  * Remove QGenericAtomicOps
  * QProcess/Unix: add a few, basic session & terminal management flags
  * QProcess/Unix: add a simple way to reset the UID and GID for the child
  * QBasicAtomicXXX: remove the comment about them being "New atomics"
  * QLibrary: make isLoaded() report whether this object has load()ed
  * QNetworkInterface/Linux: fix mismatch of pointer and pointee
  * QSocketNotifier: firm up the ordering in unexpectedDisconnection()
  * tst_QAtomicInteger: remove macros to force C++11 atomics
  * QEventDispatcherUNIX: convert "eventfd" feature to proper QT_CONFIG
  * QEventDispatcherUNIX: clean up old cruft
  * QEventDispatcherUNIX: remove the fallback to pipes on eventfd systems
  * QThreadPipe & QEvent: use a simpler atomic operation
  * tst_QLocale: add testing of the extremes for doubleToString
  * Make qYieldCpu() public API
  * Revert "Fix signed integer overflows in tst_QAtomicInteger"
  * QMetaType: fix recursive detection of std::optional operators
  * QDBusXmlParser: downgrade property name mismatches to warnings
  * CMake: remove test for cxx11_random
  * CMake: remove check for cxx11_future
  * CMake: remove TEST_glibc
  * CMake: remove check for statx() and replace with STATX_BASIC_STATS
  * CMake: remove TEST_syslog but not FEATURE_syslog
  * tst_QFile: restrict to running on Linux
  * QEXTRACTTESTDATA: include the errorString() in case of failure
  * QString: mark qustrchr() and qustrlen() Q_NEVER_INLINE
  * Deprecate Q_ASSUME()
  * tests/tools: only run qdbus{cpp2xml,xml2cpp} tests if D-Bus is available
  * Fix registration of QtDBus types' metatypes
  * QCollator: clarify the POSIX backend limitations
  * QTimer: fix regression on singleShot-invoking non-mormalized SLOT()s
  * QString: use equalStrings in operator== and operator!=
  * Doc: add missing docs for QFileInfo::filesystemReadSymLink()
  * CMake: modernize ipv6ifname and getifaddrs config checks with QT_CONFIG
  * tst_QFile: update virtualFile() to check if readLine() reads all
  * tst_QFile: extend virtualFile() to test in unbuffered mode too
  * tst_qdnslookup: fix the location of the opcode in the header
  * tst_QNetworkInterface: enable IPv6 detection for Windows
  * tst_QUdpSocket: move up the search for IPv6-capable interfaces
  * QtNetworkSettings: narrow down hasIPv6 to specific OSes
  * QVariant: de-duplicate customConstructShared()
  * QString: use qustrlen() in the QChar* constructor
  * CMake: remove test for eventfd, replace with __has_include
  * Doc: update QTimer::start() to say that it sets the interval
  * CMake/Network: limit the testing for some network iface features
  * tst_selftests: deduplicate the Unix/Linux conditions
  * tst_selftests: add a way to run a subset of all subprograms
  * QArrayData: change calculateBlockSize() to not have an in/out parameter
  * CMake/ELF: hide all Standard Library symbols
  * QSettings/Doc: make the two WASM enumerators in Format visible
  * tst_QFileInfo::stdfilesystem: add extra Unicode string tests
  * QList/Doc: document the resize() overload taking a parameter_type
  * tst_QFileInfo: replace a portion of a macro with a lambda
  * CMake: remove TEST_xlocalescanprint
  * tst_QFileInfo: don't trigger libstdc++ std::filesystem bug
  * QArrayData: make calculateBlockSize() account for the extra null element
  * Doc: remove erroneous statement that signals can't have return types
  * Revert "Dodge qFatal() so as to get coverage results despite it"
  * tst_selftests: split the qFatal() test away from tst_Silent
  * QElfParser: handle the case of PN_XNUM program headers
  * QLogging: deduplicate calling of isFatal()/qt_message_fatal()
  * QNetworkInterface: replace CMake check for ifr_index with SFINAE
  * QLogging: attempt to free memory in qt_message() before abort()
  * qsimd_p.h: rework the check for x86-64-v3 features
  * IPC: make the two platformSafeKey functions return QNativeIpcKey
  * IPC: Remove the "small" object optimization in QNativeIpcKey
  * IPC: disallow unknown queries in QNativeIpcKey string form
  * IPC: Move the legacy key to the QNativeIpcKey
  * QOperatingSystemVersion: Move the new OSes into a non-exported class
  * CMake/ELF: replace 'extern "C++"' with exhaustive mangled expansions
  * Q{Temporary,}File: make QStandardPaths use test mode
  * moveToTrash/Unix: avoid mkdir/chmod race condition for the trash dir
  * moveToTrash/Unix: use Qt::ISODate to format the current date
  * tst_QFile::moveToTrash: include the test name in the tempfile templates
  * moveToTrash/Unix: rename 'infoPath' variable to 'pathForInfo'
  * moveToTrash/Unix: remove unnecessary targetPath variable
  * moveToTrash/Unix: use lstat() to confirm $root/.Trash is suitable
  * QFuture: fix headercheck warning with Clang 17: member shadowing
  * QNativeSocketEngine: fix build with FreeBSD: sockaddr_dl wasn't declared
  * QStorageInfo: add qstorageinfo_linux_p.h to the file listing
  * QStorageInfo/Linux: remove unnecessary isSymlink() call
  * QStorageInfo/Linux: don't copy the mount info's contents until the end
  * QStorageInfo/Linux: move from MountInfo's contents
  * QStorageInfo/Unix: check the mount point length before isParentOf()
  * QtTest: block almost all Unix signals in the WatchDog thread
  * tst_QFile: extend virtualFile() to find QtCore and QtTest
  * qcompilerdetection: Add missing qtconfiginclude.h
  * tst_QFile: extend moveToTrash tests to exercise more corner cases
  * moveToTrash/Unix: reorganize the #ifdef
  * moveToTrash/Unix: avoid QFileInfo to get an absolute file name
  * QString/QByteArray: avoid data() handling _empty in sliced()
  * QByteArray: Remove unnecessary <stdarg.h> header
  * Fix the static_assert for 128-bit integer types
  * QArrayData: remove contradicting const qualifier from needsDetach()
  * QStorageInfo/Linux: remove const to enable moving from MountInfo
  * qC{Debug,Info,Warning,Critical}: add parentheses around macro argument
  * Remove Qt_6_PRIVATE_API ELF version from a symbol used by QFuture::then()
  * qTzName: suppress warning that tzname is deprecated with UCRT
  * Work around GCC 13's bogus "out of bounds" check to QByteArray::_empty
  * tst_QFile::moveToTrash: avoid QSKIP+FAIL condition
  * tst_QFile::moveToTrash: use QDir::tempPath() for the rows w/ "temporary"
  * tst_QFile::moveToTrash: add tests for /var/tmp
  * tst_QStorageInfo: align the columns without newlines
  * QStorageInfo/Linux: avoid parsing /proc/self/mountinfo N+1 times
  * QStorageInfo/Linux: simplify the code to deal with skipped entries
  * QStorageInfo/Linux: include QDir::Hidden in the search for labels
  * QThread/Unix: don't hardcode OSes for PThread cancellation support
  * moveToTrash/Unix: trust freeDesktopTrashLocation() to find the directory
  * moveToTrash/Unix: avoid TOCTOU in creating the unique file name
  * moveToTrash/Unix: avoid creating too many QStorageInfo
  * moveToTrash/Unix: use lower-level API to write the info file
  * moveToTrash/Unix: use the file's inode number as collision avoidance
  * moveToTrash/Unix: refactor to use openat()/mkdirat()/renameat()
  * tst_QStorageInfo::{tempFile,caching}: try a to find a non-btrfs storage
  * tst_QStorageInfo::{tempFile,caching}: change APFS from XFAIL to SKIP
  * tst_QProcess::startStopStartStopBuffers: depend less on OS configuration
  * Remove Qt_6_PRIVATE_API ELF version from a symbol used by ~QReadWriteLock()
  * qt_safe_poll: round up when converting to milliseconds for poll(2)
  * tst_QStorageInfo: make storageList() test table-driven
  * QStorageInfo/Linux: fix setPath() for paths mounted over
  * QStorageInfo/Linux: fix mountedVolumes() for paths mounted over
  * QStorageInfo/Linux: rewrite the label retriever to use device IDs
  * QStorageInfo/Linux: avoid parsing /dev/disks/by-label for every entry
  * QStorageInfo/Linux: decode the names encoded by udev in-place
  * QStorageInfo/Unix: exclude invalid volumes from mountedVolumes()
  * QLogging: simplify qDefaultMessageHandler() with a global constant
  * QLogging: deduplicate the calls to qFormatLogMessage()
  * QLogging: use stderr_message_handler() if we fail to grab the handler
  * QMessagePattern: use the system message sinks for parsing errors
  * QLogging: call a non-exported message-formatting function
  * QLogging: disable the message pattern functionality for bootstrap
  * tst_QHashFunctions: suppress warning about casting from float to _Float16
  * QArrayDataPointer: add an allocating constructor
  * QString/QBA: add lvalue and rvalue overloads to first/last/sliced/chopped
  * QString/QByteArray: make the sliced(pos) overload call the other sliced
  * QString/QByteArray: add lvalue and rvalue overloads of left/mid/right
  * QTemporaryFile(Name): don't make the path absolute on generation
  * moveToTrash/Unix: use linkat() to check early for cross-device renames
  * QProcess/Unix: also ban vfork() under TSan
  * QBitArray: fix GCC 13 warnings by improving code
  * QBitArray: move a few methods more into the class body
  * QStorageInfo: change private blockSize member to int
  * QStorageInfo/Linux: switch the non-Android version to also use statfs()
  * QPodArrayOps: don't set the new size in eraseIf() until after copying
  * IPC: Un-deprecate the "legacy" key API
  * QCborStreamReader: refactor readStringChunk_unicode() to append
  * QCborStreamReader: fix API mistake: lastError() wasn't const
  * QCborStreamReader: add toString() and toByteArray()
  * QCborStreamReader: add UTF-8 reading API
  * QCborStreamWriter: correct the QCbor{Array,Map} size limitations
  * QFactoryLoader::instance(): don't fully parse static plugins' data
  * QFactoryLoader: rewrite parse() using the new iterateInPluginMetaData()
  * QFactoryLoader: add metaDataKeys() to return just the "Keys" entry
  * QFactoryLoader: use the new UTF-8 QCborStreamReader API for performance
  * Remove the DBusMessage* members from QDBusMessagePrivate
  * qsimd_p.h: fix build with Clang 17 & -Werror,-Wconstant-logical-operand
  * Re-do the namespace fix for the linker scripts
  * QBitArray: refactor operator~() to write to an uninitialized buffer
  * QBitArray: replace the member operator~ with a hidden friend
  * QMetaType: fix typenameHelper() for types in the QtPrivate namespace
  * QArrayData: add allocate1 and allocate2 for 1- and 2-byte types
  * QArrayData: move AlignedQArrayData to the public header
  * qYieldCpu: ensure we don't use asm statement with MSVC on ARM
  * QStringBuilder: use data_ptr().data() instead of constData()
  * QBitArray: improve memory allocation in the binary bitwise operators
  * QBitArray: un-export QBitRef for Qt 7
  * QBitArray: add rvalue binary bitwise operators
  * Suppress clang-tidy mem leak warning on QMetaObject::invokeMethod
  * QObject: remove the operator comma hack
  * QBitArray: add mutation operators taking rvalue QBitArrays
  * QDataStream & QResource: document their lack of security-hardening
  * QObject: re-add the nameless qt_qFindChildren_helper to restore BC
  * QString: inline indexOf() and use a QChar overload
  * QByteArray: inline QByteArray::indexOf() and use a char overload
  * QString/QByteArray: further inline the most common indexOf operations
  * QByteArray: allow begin() to return nullptr, like QString
  * qTo*ViewIgnoringNull: further ignore nulls
  * QDataStream: add missing #include <iterator>
  * QString::arg: don't pass nullptr to memcpy()
  * QSemaphore::release: Revert "Optimize cond var notification"
  * QUrlQuery/Doc: fix resulting query with ( and ) delimiters
  * QProcess/Unix: detect ASan and TSan dynamically
  * tst_QStringView: don't go through the QString constructor
  * QNetworkRequest: export the static constexpr (inline) member variables
  * filetest: add moveToTrash() operation
  * QUuid: Fix Id128Bytes alignment on some architectures
  * QProcess/Doc: clarify that started() may be emitted very early
  * QProcess/Doc: clarify that early crashes happen after started()
  * QStorageInfo/Linux: fix getting information on unmounted btrfs subvols
  * QMimeBinaryProvider: move CacheFile up in the file
  * QStorageInfo/Linux: move retrieveVolumeInfo() up because it won't fail
  * QStorageInfo/Linux: merge doStat() and initRootPath()
  * QStorageInfo/Linux: use FS_IOC_GETFSLABEL to get the labels
  * QProcess: align treatment of early start errors
  * QString & QByteArray: ensure QT_NO_CAST_* are not defined on Windows
  * QChar: unexport the class and export only the helper members
  * QFile::moveToTrash: add documentation about run time and fail conditions
  * QT_C_STYLE_CAST: move the parentheses to the macro, in C mode
  * tst_QHostInfo: reorganize the #includes
  * tst_QHostInfo: remove QProcess dependency
  * tst_QHostInfo: enable the IPv6 reverse lookups in more systems
  * qHash: provide the long double overload on Darwin systems
  * QDBusAbstractInterface/Doc: fix example to match the description
  * QtSql: #include mocs
  * QDBusAdaptors/Doc: fix missing preposition "in" in documentation
  * qHash: force inlining of the hash16bytes() helper
  * qsimd_p.h: move the ARM Crypto (AES) disabling on Linux
  * tst_QHashFunctions: make the consistency check table-driven
  * qHash: backport the q(u)int128-to-quint64 reduction trick to 32-bit
  * QFileSystemIterator/Darwin: enforce NFC encoding in QString
  * QThread::currentThreadId: fix build on x32 (ILP32) ABI
  * QPainterPath: detach and reset before streaming in
  * QStringView: stop instantiating std::char_traits<QChar> and <uchar>
  * tst_qmessagehandler: disable the backtrace tests outside of x86
  * QProcess: set the error message and state if qt_create_pipe() fails
  * Split the siphash algorithm into init, main loop, and finalize
  * qfloat16: make native std::numeric_limits<qfloat16> constexpr
  * qfloat16: use std::numeric_limits<std::float16> if available
  * QProcess/Doc: remove the note that about FailedToStart after started()
  * Move QLocaleData::convertDoubleToFloat to qnumeric_p.h
  * Replace some QString::fromUtf16() with QStringView::toString()
  * Remove unnecessary #undef about q{Debug,Info,Warning,Critical,Fatal}
  * tst_toolsupport: make the i386 case really about i386
  * QLibrary: remove the unnecessary parentheses around dlerror()
  * QtPrivate::equalStrings(): enforce matching size where applicable
  * Move qAbort from qglobal.cpp to qassert.cpp
  * Doc: fix warning "class Qt::TimerId' specified with '\enum'"
  * QProcess/Unix: fix improper restoration of signal mask and cancel state
  * QDataStream: inline floatingPointPrecision()
  * QDataStream: Move trasactionDepth to the main class
  * QDataStream: use NSDMI
  * QDataStream: don't store the byteorder member in Qt 7
  * QDataStream: make the public-ish private members smaller in Qt 7
  * tst_QStorageInfo: try harder to make the free space change
  * QString/QByteArray: add explicit constructors for Q{String,ByteArray}View
  * QHash/QMultiHash: further simplify the key() and value() overloads
  * QHash: merge the two equal_range() overloads
  * QHash: add the ability to detect whether qHash(t) == qHash(K(t))
  * QHash: add support for heterogeneous key lookups
  * QHash: implement the heterogeneous non-const operator[]
  * qHash: implement chunked hashing of QLatin1StringView
  * qHash: implement an AES hasher for QLatin1StringView
  * qHash: update the pre-AVX512 mask to use the cacheline size
  * qHash: make hashing of QLatin1StringView be the same as QString
  * convertDoubleTo<FP>: add support for x86 intrinsics
  * convertDoubleTo: add FP16 support
  * QProcess/Unix: fix close() on invalid file descriptor
  * Bootstrap: remove QDataStream
  * Bootstrap: remove QVariant
  * Bootstrap: remove QRandomGenerator
  * Bootstrap: remove QTemporaryFile
  * tst_QHostInfo: don't use the test class to store results
  * tst_QHostInfo: increase the timeout to 15s
  * Short-live QAbstractEventDispatcherV2
  * QAbstractEventDispatcher: add an adaptation layer to use V2 methods
  * QTimerInfo: correct CoarseTimer beyond the [20ms,20s] range earlier
  * QAbstractEventDispatcher: port timer uses to the V2 API
  * QTimerInfo: store nanoseconds instead of milliseconds
  * QEventDispatcher*: port the Unix dispatchers to V2
  * QSingleShotTimer: use the Duration alias from the event dispatcher
  * Port two tests' QAbstractEventDispatcher overrides to V2
  * Bootstrap: remove QDirListing/QDirIterator
  * Bootstrap: remove qnumeric.cpp by using qnumeric_p.h
  * Bootstrap: remove the UTF-16 and UTF-32 codecs
  * Bootstrap: remove unused sources
  * QFutureInterface: fix build with GCC14/C++20: template-id not allowed
  * SQL/MySQL: merge toMySqlDate (which returned MYSQL_TIME) into exec()
  * SQL/MySQL: pass UTC date/time stamps to the server
  * qfloat16: further disable the -Wfloat-conversion warning
  * QDBusArgument: disambiguate between QMap on std::pair and std::map
  * CMake/ELF: allow using Qt's full version number in the private tags
  * QPolygonF: delegate QDataStream marshalling to QList
  * QString::arg: apply the Qt 7 Unicode digit semantics to the bootstrap
  * QCborMap: add missing comparator to QCborValueConstRef
  * qHash: fix compilation of SipHash64 on 32-bit: shift >= 32
  * QLibrary/Unix: remove two unused, exported private functions
  * Logging: introduce QInternalMessageLogContext to hold current context
  * Logging: capture the backtrace closer to the user's entry point
  * QLibrary: fake RLTD_NODELETE by not calling dlclose()
  * XCB: remove dependency on QtOpenGLPrivate
  * QObject: add check for Q_OBJECT macro to findChild(ren)
  * QStorageInfo/Linux: remove dependency on linux/mount.h
  * QCborValue: fix sorting of UTF8-to-UTF16 strings
  * tst_QCborValue: merge sorting() and comparison() tests
  * CBOR: de-inline some comparesEqual() and compareThreeWay() functions
  * CBOR: inline the contents of compare() into comparesEqual/ThreeWay()
  * CBOR: add QtCbor::Comparison and pass it to the comparing functions
  * QProcess: build forkfd as C code
  * qt_int_sqrt: update doc of where it is used
  * CBOR: implement faster comparison for equality in strings
  * CBOR: fix sorting of UTF16-to-UTF16 strings
  * tst_QVariant: fix copy & paste error in double-float comparisons
  * tst_QVariant: remove duplicate rows from compareNumerics
  * tst_QVariant: fix stringification of char16_t and char32_t
  * CBOR: fix the UTF8-and-UTF16 detection
  * CBOR: implement UTF16-to-UTF8 comparison without memory alloc
  * CBOR: Remove dead code: len[12] are not used with UTF-16
  * QMetaType: add conversion from charXX_t to QString
  * QMetaType: allow converting to/from QChar and char16_t
  * QXmlStreamWriter: decode UTF-8 into code points
  * QXmlStreamWriter: fix attempts to write bad QStrings
  * QStringConverter/Doc: add more details about additional codecs
  * QStringBuilder: DRY: simplify the if constexpr conditionals a bit
  * QStringBuilder: DRY: use the Concatenable typedef
  * QProcess: fix startCommand() with whitespace-only strings
  * QString: ensure multi-arg arg() parses replacement like single-arg arg()
  * QMimeData: fix setData on URI list without ending CRLF
  * QDnsLookup/Unix: handle more error conditions from res_nsend()
  * tst_QDnsLookup: fix MSVC 'truncation of constant value' warning
  * tst_QDnsLookup: use the 4-argument writeDatagram() overload
  * tst_QDnsLookup refactor: split the NXDOMAIN tests from lookup()
  * tst_QDnsLookup refactor: rewrite lookup() function
  * tst_QDnsLookup refactor: use the new helpers in other test functions
  * tst_QDnsLookup: also use the nameservers behind systemd-resolved
  * tst_QDnsLookup: add testing of PTR records on global names
  * CMake: fix cross-compilation build: ${CMAKE_SYSTEM_PROCESSOR} is empty
  * qdnslookup tool: add the ability to resolve hostnames
  * QTest: add removed_api.cpp and move deprecated functions to it
  * QTest: group all the toString() functionality in a single header
  * QTest: rip out qxp::function_ref from reportResult()
  * QTest: rip out qxp::function_ref from compare_helper()
  * QTest: replace the majority of the ugly QCOMPARE_xx macro
  * QResource: remove unnecessary mutable markers
  * QResource: use qint64 for lastModified
  * QTimer/QObject::startTimer: improve the detection of overflow
  * QString{En,De}coder: add constructors with QString parameters
  * QTest::test*Operators: test reverse order too
  * QThread: relax memory semantics from seq_cst on interruptionRequested
  * qtconfigmacros.h: add missing include: we use QT_VERSION_CHECK
  * QResource: simplify map() to rely on the uncompressed data being there
  * QResource: obey the MapPrivateOption option to provide RW memory
  * QResource: move the internal classes to unnamed namespaces
  * QResource: re-factor the memory-mapping code into two helper functions
  * QResource: add support for memory mapping on Windows
  * tst_QResourceEngine: move the resource path to the end in the row label
  * SOCKS5: remove '###' from the error message
  * QNetworkProxy/libproxy: don't overwrite the user-provided protocol tag
  * tst_QResourceEngine: use both ways of registering dynamic resources
  * QResource: add support for duplicating mapped memory on Linux
  * QResource: add support for duplicating mapped memory on macOS
  * QCoreApplication: make removeNativeEventFilter() remove from main thread
  * QThread/Doc: update the docs on setStackSize()
  * QThread/Unix: make QThreadPrivate::finish() be called much later
  * QDnsLookup: add initial support for DNS-over-TLS (DoT)
  * QDnsLookup: implement DNS-over-TLS
  * QDnsLookup: add the ability to tell if the reply was authenticated
  * QDnsLookup: add support for TLSA records
  * tst_QDnsLookup: add debugging information with the query time
  * QDnsLookup/Unix: check size in parsing of SRV records
  * QThreadPool: wrap the #include <functional> in QT_CORE_REMOVED_SINCE
  * QThreadPool: add waitForDone() based on QDeadlineTimer
  * QThreadPool: store the expiryTimeout in a std::chrono type
  * QDnsLookup: add the TLSA records to allAreEmpty()
  * QDnsLookup/Unix: fix off-by-one error in parsing the reply
  * QDBusSignature: accept empty strings as valid
  * QUrl: distinguish empty and null host/authority
  * QByteArray: de-duplicate the find-one-char function
  * QByteArray: deduplicate QtPrivate::findByteArray() and qFindByteArray()
  * QByteArrayView: move up the call to 1-char findByteArray()
  * QByteArray: inline the REHASH macro into the code
  * QByteArray/QString: use qregisteruint for storing the moving hash
  * Q_APPLICATION_STATIC: provide QApplicationStatic header
  * QVariant: do reset is_null after setValue()
  * QFileSystemEngine::canonicalName: don't use malloc()'ing realpath()
  * QByteArray: use qulltoString_helper() to make strings
  * QByteArray::setNum: use assign() instead of clear()+append()
  * tst_qfloat16: don't cause UB in converting from float to ints
  * QByteArrayView: inline the char overload of lastIndexOf()
  * Remove QT_TERMINATE_ON_EXCEPTION: no longer needed
  * QStorageInfo/Linux: re-work the mountedVolumes() check for mounted-overs
  * QStorageInfo/Linux: use the mount ID to match paths to mountinfo lines
  * QStorageInfo/Linux: reuse the file descriptor
  * rcc: add the ability to output copyrights in the output
  * uic: recognize <legal> tag as an alias for <comment>
  * QByteArrayView: use memmem() to search for substrings
  * Entrypoint/Win32: just use __argc and __argv if available
  * tst_QStringConverter: compare pointer distances, not pointers
  * QBitArray: fix read of uninitialized terminating null
  * QLibrary/Unix: fix mojibake of dlerror()
  * Strings: get rid of the last std::char_traits use
  * CMake: disable the GCC -Wstringop-overread warning-error everywhere
  * QFile::moveToTrash/Unix: ensure we try to remove the proper source
  * QUuid: simplify the three-way comparison functions to make them constexpr
  * QPluginLoader: set an errorString if resolving qt_plugin_instance fails
  * QFileSystemEngine::canonicalName: skip QDir::cleanPath()
  * QLibrary/Unix: update the x86-64-v3 prefix path in our search
  * QDnsLookup/Unix: fix buffer size on sending DNS queries
  * QOffsetStringArray: fix off-by-one error for the past-the-end elements
  * QFile::moveFileToTrash/Darwin: do set the error on iOS
  * QUrl::resolved: rewrite to fix some corner cases for relative URLs
  * QAnyStringView: remove direct #include <compare>
  * QFile::moveFileToTrash: explicitly disable Android support
  * QDebug: cast the QFlags value to the right-sized unsigned type (1/2)
  * QDebug: cast the QFlags value to the right-sized unsigned type (2/2)
  * tst_moc: fix the order of arguments in QCOMPARE in checkEnum
  * tst_moc: check the enum's own metatype, not its underlying metatype
  * QH2Connection: store the BitPatterns as constexpr
  * QByteArray/QString: don't unnecessarily use QArrayDataPointer::operator->
  * QMimeData/Docs: include the fact that some functions may convert
  * QHash: adapt to C++20 ranges not offering operator->()
  * tst_QStringApiSymmetry: disable for WASM
  * Switch tools and apps to non-strict C++ builds too
  * tst_QByteArrayView: remove use of std::char_traits
  * CMake/macOS: don't conclude x86_64h is a cross-compilation on x86_64
  * Fix users of static max_size()
  * Containers: add a static constexpr maxSize()
  * tst_QPluginLoader: use qCpuHasFeature instead of __builtin_cpu_supports
  * Don't mark Q{Explicitly.}SharedDataPointer as Qt_6_PRIVATE_API
  * QProcess/Unix: restore the signal mask before re-enabling cancellations
  * QUrl::toString: fix using of NormalizePathSegments and RemoveFilename
  * QProcess/Unix: open the working directory before changing the thread state
  * QProcess/Unix: clean up QChildProcess before calling setErrorAndEmit()
  * QUrl::resolved: avoid detaching from paths that don't have dot segments
  * QUrl::resolved: remove the lambda in removeDotsFromPath()
  * Replace qt_normalizePathSegments algorithm with QUrl's removeDotsFromPath
  * QUrl::resolved: switch to using qt_normalizePathSegments
  * QDir: change qt_{cleanPath,normalizePathSegments} to returning bool
  * QFileSystemEngine/Win: only .lnk files that exist can be symlinks
  * tst_QTypeRevision: rewrite using if constexpr and direct calls
  * QTypeRevision: fix support for 8-bit signed segments
  * moc: indent the if () statements in qt_{static_,}metacall correctly
  * moc: improve control of Q_UNUSED / (void) in qt_static_metacall()
  * moc: rename qt_meta_stringdata_%s_t to qt_meta_tag_%s_t
  * moc: change the mangling of class names to closer to the IA-64 ABI
  * moc: move the static_cast<ObjectType *> to the top of qt_static_metacall
  * QCommonStyle: work around apparent MSVC bug in using QFlag
  * moc: add a test for Q_FLAG getter/setter on integers
  * QTest::CrashHandler: add missing #includes
  * qtestcase.cpp: remove unused macros and includes
  * qsimd_x86: disable the requirement that CPUs must have RNGs
  * QTest::CrashHandler: allow debugging crashed tests on Linux+YAMA
  * QMetaProperty: fix type-punning of QFlags in write() from QString
  * tst_QDnsLookup: don't require "localhost" to resolve
  * tst_QDnsLookup: check for DNS server sanity
  * tst_QDnsLookup: add the ability to specify an alternate default server
  * tst_QDnsLookup: don't add duplicate 'nameserver' lines
  * Remove dead code in checkRdrndWorks() if __RDRND__ is defined
  * QStorageInfo/Unix: reset the valid state when doStat()ing again
  * QFileInfoGatherer: Fix internal build (with Q_AUTOTEST_EXPORT)
  * QtTest: add missing newline to -throwonfail/skip lines
  * QBenchmarkPerfEventsMeasurer: move the perf_event_attr data to the stack
  * Benchlib: remove unused init() virtual function
  * QMeta{Property,Method}: document that revision() is encoded since 6.0
  * Darwin: Capture 'this' via '&' instead of '=' to fix build with C++20
  * QThread: use load/store operations with explicit ordering
  * QFactoryLoader: fix the ability to load symlinks to plugins
  * QThread: use load/store operations with explicit ordering
  * QDBusUtil::isValidBusName: implement "contains at least two such elements"
  * QtDBus: disallow sending method calls without destinations on a bus
  * QUuid: restore sorting order of Qt < 6.8
  * QMetaMethodBuilder: limit the bits of attribute()/setAttribute()
  * tst_selftests: disable Valgrind tests with AVX512/AVX10
  * moc: handle nested structs with meta content
  * QWaitCondition/Unix: fix execution with negative deadlines
  * tst_QThread: add a test for multiple threads wait()ing for one
  * tst_QObject: don't leak QtDeclarative::theData
  * QThread/Unix: refactor to split QThreadPrivate::finish() in two phases
  * QThread: make finish() and cleanup() non-static members
  * QThread: avoid unlock/lock/unlock in ~QThread if state is Finishing
  * QThread/Unix: replace some uses of pthread_self() with our code
  * Add a way to access QCoreApplication's instance atomically
  * QCoreApplication: remove now-unnecessary thread affinity check
  * QCoreApplication: use QThread::isMainThread() more
  * QThread/Unix: do clean up the QAdoptedThread for the main thread
  * QPostEventList: use qsizetype to count posted events
  * QThreadData: inline ref() and deref()
  * selftests/silent_fatal: disable core dumps and MSVC debug dialogs
  * QObjectData: relax accesses to postedEvents
  * QString: update docs to prefer "UTF-32" over "UCS-4"
  * QString::fromUcs4: use std::char_traits or wcslen() to find the size
  * QMutex/FreeBSD: mark the functions as noexcept as it always has futex
  * QSharedMemorySystemV: fix shm vs sem typo
  * QCommandLineParser: include the positional arguments' sizes in --help
  * QSaveFile: make it so flush() errors imply commit() failed
  * 3rdparty: patch BLAKE2 sources to not export anything in static builds
  * qEnvironmentVariable: avoid a temporary QByteArray
  * Revert "Add categorized logging of delete later machinery"
  * QThread/Unix: revert to pthread destruction instead of thread_local
  * QThread/Unix: move the pthread_key to a file-scope static
  * QMutex: mark the out-of-line, *Internal() methods Q_NEVER_INLINE
  * QLocale: try to survive being created during application shut down
  * QSystemLocale: bail out if accessed post-destruction
  * QLibraryInfo: speed up checking if ":/qt/etc/qt.conf" resource exists

  [ David Redondo ]
  * Ensure that QMenu is polished before setting the screen in popup()
  * Send parent_window handle to desktop portal
  * Add QNativeInterface::QWaylandApplication
  * Add QNativeInterface::Private::QWaylandScreen
  * Add QNativeInterface::Private::QWaylandWindow
  * Handle device loss for texture widgets
  * Use platform drags for drags of docks and toolbars on wayland
  * Add support for setting the initial directory in portal file dialog
  * Introduce a configure feature for Wayland
  * Make some QScreen native interfaces public
  * Do not create icon engine multiple times
  * Handle drag leave when performing platform drag of docks or toolbars
  * Map drag event positions to global during dock/toolbar drag
  * QOpenGlContext: Always unset current context in doneCurrent()

  [ Pino Toscano ]
  * Massively update the hurd-g++ mkspec.
  * QFileSystemEngine::currentPath(): use QFileSystemEntry() also for the no-PATH_MAX case
  * QElfParser: fix type of sh_size
  * Unconditionally enable Q_OF_ELF for any ELF platform
  * small improvements to the hurd-g++ mkspec
  * Complete MIPS atomic support on pre-MIPS32 architectures
  * Enable ELF .interp section on Hurd
  * Hurd: Implement QStorageInfo for Hurd
  * QStorageInfo: limit Linux-only code with Q_OS_LINUX
  * QProcess/Unix: fallback on _POSIX_PIPE_BUF w/ missing PIPE_BUF
  * CMake: add support for GNU/Hurd
  * Hurd: enable XOPEN largefile APIs
  * CMake: enable machine_tuple also on GNU/Hurd
  * Avoid a stack buffer when not needed
  * Add HPPA detection
  * Add M68k detection
  * Add/enable Alpha detection
  * IPC: add PATH_MAX-less fallback definition for MAX_PATH
  * QStorageInfo/Unix: fix declaration of 'mnt' on Hurd

  [ Morten Sørvig ]
  * iOS: Use new QPlatformInputContext geometry API
  * Make setSelectionOnFocusObject() take native pixels
  * Android: Use new QPlatformInputContext geometry API
  * WASM: Don’t set “-g4” by default for qmake builds
  * Fix “unused variable” warning
  * Fix “unused variable” warning
  * Add missing case for ResizeNone
  * Exclude unused functions from WASM build
  * iOS: Implement QIOSScreen::logicalBaseDpi()
  * Make resizeMaximizedWindows() preserve native geometry
  * wasm: disable the canvas resize observer
  * wasm: map named key attribute “Meta” to Qt::Key_Meta
  * wasm: don’t leak QWasmScreen member variables
  * wasm: remove event listeners
  * wasm: use module_property instead of global(“Module”)
  * wasm: enable MODULARIZE option and set EXPORT_NAME
  * wasm: don’t set exit_runtime
  * wasm: do not quit() on beforeunload()
  * wasm: remove QEventLoop workarounds
  * wasm: add DialogExec hack back with warning
  * Check for correct "Access Denied" error
  * Port to QImage and QPixmap deviceIndependentSize()
  * Use QHighDpi::toNativeWindowGeometry()
  * wasm: remove SAFE_HEAP=1
  * wasm: propagate QWindow format to backing store
  * wasm: add fps counter to the rasterwindow test
  * wasm: initialize htmlCursorName to "default"
  * wasm: don't show the resize cursor for fullscreen windows
  * wasm: destroy compositor and screen in order
  * Windows QPA: Send screen change before geometry change
  * wasm: set ASSERTIONS level to default (1)
  * wasm: enable WASM_BIGINT
  * wasm: always call destroy() before deleting a screen
  * wasm: remove window from requestUpdate queue on removeWindow()
  * wasm: fix specialHtmlTargets code
  * qtloader.js: forward stdErr to console.warn()
  * qtloader.js: remove "getProcAddress" error filtering
  * windows: make native styles support QT_SCALE_FACTOR
  * wasm: update m_normalGeometry on setGeometry()
  * wasm: use correct geometry when drawing window decorations
  * wasm: remove debug code
  * wasm: Improve wheel event handling
  * wasm: move CTRL <-> META comment into right place
  * wasm: don't enable specialHTMLTargets by default
  * wasm: refactor event dispatcher wait logic
  * Make rhiFlush() support custom source DPR
  * Add support for painting at integer DPR with downscale
  * Windows QPA: Update screen on child window DPI change
  * wasm: improve the specialHtmlTargets test
  * wasm: delete unused requestUpdate() code path
  * wasm: don't access deleted settings objects
  * wasm: begin work on accessibility backend
  * wasm: remove message handler lock
  * wasm: use simpler syntax for EXPORTED_RUNTIME_METHODS
  * Reset highDpiScaleFactorRoundingPolicy in QGuiApplication destructor
  * High-dpi: Add test for setting the scale factor rounding policy
  * Apply ScaleFactorRoundingPolicy to QT_SCREEN_SCALE_FACTORS
  * Revert "Apply ScaleFactorRoundingPolicy to QT_SCREEN_SCALE_FACTORS"
  * wasm: remove egl header includes
  * wasm: add event loop auto test
  * wasm: remove dead qt_asyncify_yield() code
  * wasm: include asyncify support unconditionally
  * wasm: streamline the exec warning
  * wasm: add "skip" support to qtwasmtestlib
  * wasm: always build asyncify tests for eventloop_auto
  * wasm: disable asyncify for non-static builds
  * wasm: add echo_server test TCP server
  * wasm: add manual auto-test for websockify-tunneled sockets
  * wasm: use matchView() instead of match()
  * QThread: add empty functions for the no-thread build
  * wasm: add support for building Qt as shared libraries
  * wasm: set ALLOW_MEMORY_GROWTH for multi-threaded builds
  * wasm: suppress pthreads-mem-growth warning
  * wasm: don't set GL_DEBUG
  * wasm: add Window.localStorage settings backend
  * wasm: use standard clang optimization options
  * wasm: remove QWasmClipboard::isPaste
  * wasm: remove QWasmClipboard::m_isListener
  * wasm: add wasm_simd configure feature
  * wasm: disable run-time check for specialHTMLTargets
  * Port default font resolve to SystemParametersInfoForDpi
  * wasm: add support for enabling wasm excptions
  * wasm: include what you use
  * wasm: disable asyncify
  * wasm: tidy up qwasmcclipboard.cpp/h
  * wasm: add accessibility logging category
  * win: resolve theme fonts at 96 dpi
  * wasm: add native QByteArray conversion functions
  * wasm: Fix qmake build
  * wasm: disable x.y.z suffix versioning
  * wasm: add accessibility container to QWasmWindow
  * wasm: add end-user accessibillty opt-in
  * wasm: align QWasmLocalFileAccess API with 6.4
  * wasm: update emscripten to 3.1.25
  * wasm: use public API for converting from Uint8Array
  * wasm: fix up new configure options
  * wasm: avoid LocalStorage past-the-end access on clear()
  * wasm: support setting Emscripten configuration
  * wasm: Fix secondary thread event processing
  * wasm: sync pointer button state on pointer down
  * wasm: make qtloader print stack trace on exception
  * wasm: move Q_AUTOTEST_EXPORT to correct location
  * wasm: set contenteditable on canvas
  * wasm: fix accessibility crash on null parent
  * wasm: convert a11y coordinates to window coordinates
  * wasm: don't set window states for child windows
  * wasm: don't call dlopen() on static builds
  * wasm: fix to/from Uint8Array documentaton
  * wasm: use emscripten::ProxyingQueue
  * wasm: set stack size to 5MB again
  * wasm: restore windowCursor nullptr check
  * wasm: export qstdweb::readDataTransfer()
  * Fix QT_WIDGETS_HIGHDPI_DOWNSCALE
  * Apply ScaleFactorRoundingPolicy to QT_SCREEN_SCALE_FACTORS
  * Add DPI change tests
  * QWindow: Cache the devicePixelRatio value
  * Update QWindow DPR on screen DPI change
  * Use QHighDpiScaling when determining scale factor
  * wasm: rework local font support
  * wasm: build with -no-feature-accessibility
  * QGuiApplication: Propagate wheel event accepted state
  * wasm: fix qtloader.js container element regression
  * wasm: add INSTALL_LIBDIR as library search path
  * Make QOpenGLWidget work with QT_WIDGETS_HIGHDPI_DOWNSCALE
  * wasm: log stack traces for exceptions
  * wasm: expose windows before delivering updates
  * wasm: add "FS" to EXPORTED_METHODS
  * wasm: Document (and rename) config.qt.module
  * wasm: enable asyncify for batched tests only
  * QWizard: Support fractional DPR on Windows
  * wasm: fix touch -> mouse event synth on Safari
  * wasm: don't use on qGlobalPostedEventsCount()
  * wasm: add shared library preload scripts
  * wasm: introduce virtual processPostedEvents()
  * wasm: add "qtdir" qtloader config property
  * wasm: add "preload" qtloader config property
  * wasm: add preload config for shared libraries build
  * wasm: Add qtloader compatibility API
  * wasm: clarify qtloader onExit behavior
  * wasm: handle missing qconfig.h
  * Reduce nesting in processWindowScreenChangedEvent()
  * wasm: rename JsString -> EcmaString
  * Set QSettings::Format enum associated values
  * wasm: don't crash if app is deleteLater()ed
  * Always run screen change side effects
  * wasm: make all val() accessors const
  * wasm: Mark switch case as unreachable
  * wasm: fix "'QString' is deprecated" warnings
  * wasm: simplify calling runOnMainThread()
  * wasm: include qunixnativeinterface.cpp in build
  * wasm: Improve screen cleanup
  * wasm: make haveAsyncify() return true for any asyncify
  * Add catch-all DPR update to expose event handling
  * wasm: Don't assert on empty getRelocatablePrefix()
  * wasm: add QIODevices for accessing JS data
  * wasm: Add QLocale backend
  * wasm: fix null-argument warning
  * no-thread: don't build macdeployqt
  * no-thread: add QProcess config check
  * Windows: Improve hidpi style drawing and metrics
  * Don't update DPR on de-expose events
  * highdpi: fix map to/from global for "off-primary-screen" windows
  * QPainter: support painting at DPR < 1
  * Fix off-by-one surface pixel size on Android
  * Avoid rounding errors for fullscreen window geometry
  * wasm: manage wakeUp state correctly
  * wasm: fix qtloader.js preRun usage
  * wasm: add qtloader font loading documentation
  * wasm: Add FontData class
  * wasm: delay "qtLoaded" qtloader.js event
  * wasm: add config API for controlling local font loading
  * wasm: call onExit once and only once on exit
  * wasm: Don't suppress exceptions during main()
  * wasm: set MAXIMUM_MEMORY to 4GB
  * wasm: remove 'Vera' font
  * wasm: implement async drag-and-drop
  * highdpi: Update high-DPI in QWSI::handleScreenLogicalDotsPerInchChange
  * wasm: update manual test to handle dropped files
  * wasm: actually save dropped files to /qt/tmp
  * wasm: finish comment and remove debug output
  * Compile with getOpenGileContent() API changes
  * Fix stub qt_jspi_resume_js() return value
  * wasm: remove onLanguageChanged event handler
  * wasm: make EventCallback use addEventListener()
  * wasm: fix onLoaded delay functionality
  * qfreetype: Fix caching of memory fonts
  * wasm: fix copy/paste error in FS export check
  * wasm: make preload_qml_imports take a source path
  * wasm: add local font loading manual test
  * wasm: don't set DISABLE_EXCEPTION_CATCHING
  * wasm: remove DISABLE_EXCEPTION_CATCHING workaround
  * wasm: make preload_qml_imports take a source path
  * wasm: remove DISABLE_EXCEPTION_CATCHING workaround
  * wasm: send DPR change event on window update
  * Fix multiscreen menu popup positioning corner case
  * macdeployqt: wait forever for otool
  * macdeployqt: wait forever for otool
  * wasm: move wasm tests to own subdirectories
  * wasm: introduce QT_BUILD_WASM_BATCHED_TESTS
  * Warn on setHighDpiScaleFactorRoundingPolicy misuse
  * wasm: log using emscripten_log() by default
  * Fix feature dependencies for sharedmemory
  * Update the cached DPR on QWindow update request
  * wasm: back out of calling onLoaded at first frame
  * wasm: handle unable to determine emcc versiopn
  * wasm: move MODULARIZE to EXPORT_NAME finalizer
  * wasm: remove DEMANGLE_SUPPORT
  * wasm: set embind option in executable finalizer
  * wasm: refactor cmake finalizers
  * wasm: prepend underscore for invalid EXPORT_NAMEs
  * wasm: don't make normal-state windows StaysOnBottom
  * wasm: print error message on missing preload file
  * wasm: saveFile(): copy data before returning
  * wasm: fix handling of invalid EXPORT_NAMEs
  * wasm: make the "a11y enable" button cover window
  * wasm: set input element position on startup
  * Enable WIDGETS_RHI when HIGHDPI_DOWNSCALE is set
  * wasm: fix compile error due to EM_BOOL type change
  * wams: disable delayed onload/first frame features
  * wasm: simplify QWasmWindow constructor
  * macOS: send DPR change on BackingPropertiesChange
  * wasm: fix drop of small files
  * wasm: disable network examples
  * no-thread: add QThread::isMainThread() definition

  [ Eskil Abrahamsen Blomfeldt ]
  * Make QtQuick2 compile on QPA
  * doc: Simplify language in QGlyphs docs
  * doc: Minor cleanup in QGlyphs docs
  * Fix crash in raster on X11 when text contains unsupported characters
  * Make sure QFont's resolve mask is copied on compilers with C++0x support
  * Make pixel size a qreal in QRawFont
  * Support gamma correction of text on GL
  * Compile on Windows
  * Include pixel size of font in exported HTML from QTextDocument
  * Remove misspelled comment in tst_qtextdocument.cpp
  * Fix QPainter::drawGlyphs() with non-affine transformation
  * Fix QRawFont::setPixelSize() on Mac
  * Rename QGlyphs -> QGlyphRun
  * Compile on Mac
  * Fix broken drawing with large fonts using QStaticText and FreeType
  * Fall back to using paths for large fonts in drawStaticText()
  * Enablers for TextInput
  * Add function QGlyphRun::setRawData()
  * Fix missing empty lines in Qt HTML when displayed in compliant browsers
  * Make it possible to set color of QStaticText with pixel size >= 64
  * Fix bug which caused repeated characters in a QML Text
  * Fix empty lines in Qt HTML when displayed in external browsers (again)
  * Fix text color in some cases of QML and QStaticText
  * Fix transformations on DirectWrite rasterized text
  * Fix resource leak in QFontEngineDirectWrite
  * Don't issue GL calls when the geometry is empty
  * Fix bidi reordering when part of text is rendered by fallback font
  * Fix potential crash when clicking in a text edit
  * Fix bidi reordering of RTL text with embedded images
  * Enablers for using QGlyphRun in SceneGraph
  * Support QRawFont from raw data with basic unix font db
  * Mark QNetworkReply test as unstable
  * Fix justification of RTL text
  * Fix crash when fallback font is not #0 in multi font engine
  * Compile with host architecture armv5tel
  * Properly register preedit text in QLineControl
  * doc: Fix incorrect enum name in QRawFont::alphaMapForGlyph docs
  * Enable glyph caching on QPA
  * Support synthesized oblique and bold in SceneGraph
  * Fix regression causing synthesized oblique glyphs to clip
  * Avoid double caching glyphs in raster/QPA/FreeType
  * Export QTextImageHandler and add accessor for image
  * Fix preedit text on XCB
  * Fix possible crash in QFontEngineFT
  * Add some enablers to QTextDocumentLayout
  * Fix possible assert in QFontEngineFT
  * Register whether a glyph run goes from RTL or LTR
  * Add QGlyphRun::SplitLigature flag
  * Introducing QPlatformSharedGraphicsCache
  * Optimize memory consumption for simple GPOS tables
  * Avoid loading and keeping unused fallback font engines
  * Remove historical +1 from font height calculation
  * Update tst_QTextEdit::fullWidthSelection
  * Make cache of opentype tables in Harfbuzz face lazy
  * Fix support for scripts that require OpenType
  * Optimize HB memory consumption of PairPos1 in GPOS tables
  * Fix GPOS positioning for some fonts
  * Remove dummy impl. of shared graphics cache in XCB plugin
  * Calculate correct bounding rect for glyph runs in QTextLayout
  * Make API in QPlatformSharedGraphicsCache a little more generic
  * Minor clean up in QTextOption API
  * Fix memory leak when drawing text in non-common script
  * Retain bidirectional marks when eliding text
  * Revert "Harfbuzz-shaper - fix incorrect logClusters being set in HB_OpenTypePosition"
  * Avoid assert in QTextLayout for certain strings
  * Don't ignore default font's font capitalization in QTextDocument
  * Support specifying fallbacks in font request on QPA
  * Disable GSUB feature when text contains surrogates
  * Add some batching functions to QPlatformSharedGraphicsCache iface
  * Compile when -directwrite is passed to configure
  * Remove platform specific DirectWrite font engine from QtGui
  * Clean up attribute arrays flags in OpenGL glyph cache
  * Fix bounding box of DirectWrite font engine
  * Fix glyph positions with DirectWrite font engine
  * Support fallback fonts in DirectWrite font engine
  * Get font's underline position in DirectWrite font engine
  * Use DirectWrite font engine for non-ttf fonts as well
  * Fix crash when column is inserted before rowspanned cell
  * Avoid crash when getting bearings from fallback font engine
  * doc: Remove documentation for removed function
  * doc: Fix some qdoc warnings
  * doc: Fix several text-related qdoc warnings
  * doc: Fix doc warnings for qtextlayout.cpp
  * Make letter spacing APIs in QTextFormat more consistent
  * doc: Clean up QAbstractItemModel documentation
  * Fix rounding error when drawing scaled text on OS X
  * Fix printing with OS X platform plugin
  * Avoid duplicate setPen() in PDF when reusing QPrinter
  * Stabilize qprinter test
  * Fix regression in QTextDocument::toHtml() with font pixel size
  * Fix issue with mispositioned family name i QFontComboBox
  * doc: Update Q*PaintDevice docs
  * doc: Brush up QPaintEngine documentation for Qt 5
  * Revert hacks in text rendering code path
  * Pixel-align vertical metrics in QTextLayout again
  * Fix native RGB text on OpenGL ES 2 without BGRA extension
  * Merge branch 'newdocs'
  * Fix transformed text on Mac OS X
  * doc: Remove references to Qt 4 in QMainWindow introduction
  * doc: Add touch input examples to correct group
  * doc: Fix snippets in threading docs
  * Move Network Examples from qtdoc to qtbase
  * doc: Fix Graphics View example docs
  * doc: Add missing images in richtext example docs
  * doc: Avoid duplicate widget example entries
  * doc: Add changes to dnd docs from qtdoc repository
  * Mark QGlyphRun and QStaticText tests as insignificant on Linux
  * Mark QAbstractTextDocumentLayout test as insignificant
  * Mark QGlyphRun and QStaticText tests as insignificant on Linux
  * Mark QAbstractTextDocumentLayout test as insignificant
  * Make distance fields rendering work with Opentype CFF fonts
  * Fix possible crash in QTextDocument
  * Fix regression in perspective-transformed text
  * Add enablers for Android port in QPlatformMenu
  * Enablers in fbconvenience for Android port
  * Remove extra $ in default libexec directory
  * EGLFS: Enablers for Android plugin
  * Allow flushing window system events from other thread
  * Fix multi-touch input on Android
  * Fix missing glyphs for large fonts
  * Android: Fix use_local_libs when running from launcher
  * Fix crosscompiling for Android on Mac
  * Recommit b7b858595e6e2d8dcc9debeb45eb8b9b294b9be6
  * Fix installation of Android java files
  * Remove QtWidgets dependency from Android platform plugin
  * Remove dependency on QPlatformSupport in fontdatabase test
  * FontConfig: Correctly report Symbol writing system support
  * Android: Remove qdevice.pri warning in configure step
  * Remove dead code
  * Remove code for Android API level < 9
  * Make surface and window accessible to subclasses
  * eglfs: Make sure virtual functions are not called from ctor
  * Android: Don't crash when displaying multiple top-levels
  * Don't bootstrap QT_EVAL code
  * Read correct font hinting config on Gnome/Unity
  * Make sure window is updated on resize event
  * Make it possible to bundle Qt libraries in Android apk
  * Enable bundling Qt in Android package in build system
  * Fix compilation for Android ARMv5
  * Android: Change default Ministro download location
  * Fix transformed raster fonts on Windows
  * Never show EGLFS mouse cursor in Qt for Android platform plugin
  * Fix Qt for Android build with recent SDK bundle
  * Android: Compile jar file on Windows
  * Android: Fix Windows build with recent SDK
  * Update native functions to match signature in platform plugin
  * Make sure main application library is loaded
  * Make sure activity is closed
  * Make sure libgnustl_shared.so is deployed along with Qt libs
  * Implement system locale for Android
  * REG: Fix character size when exporting PDF on Windows
  * REG: Fix crash when mixing projected/unprojected text painting
  * Fix compilation of run-time-resolved SSL on Android
  * Add workaround for GL on Android emulator
  * eglfs: Fix updates when resizing backing store
  * Android: Fix crash when setting WA_NativeWindow
  * Android: Enable script to run single autotest
  * Ensure that output is world readable on Android
  * Fix clean-up code in Android autotest script
  * Android: Fix crash when compiling release mode for armv5
  * Enable qsrand() on builds without thread-safe posix
  * Android: Fix QCoreApplication::applicationDirPath()
  * Android: Fix orientation change on Android 4.3
  * Android: Add default values for min and target SDKs
  * Android: Remove EGL_BAD_SURFACE warning on suspension
  * Android: Fix crash when hitting Back button to quit
  * Revert "Fix compilation for Android ARMv5"
  * Android: Make qmake.conf usable for getting arch in Qt Creator
  * Android: Fix QString(char*) warnings in qlogging.cpp
  * Fix unused static function randTLS() warning
  * Fix unsigned/signed comparison warning in qnativesocketengine_unix
  * Android: Fix unused variable/argument warnings
  * Fix cross-compiling V4 for Android on Windows
  * Don't depend on QtQuick plugin in QtWidgets
  * Add qmake generation of Android deployment settings
  * Android: Add tokens for androiddeployqt in template files
  * Android: Let ANDROID_API_VERSION env var take precedence
  * Android: Never error out on literal-suffix warning
  * Support logcat output from tests on Android
  * Fix setting android minimum/target version
  * Remove logic which changes install rules inside Qt dir
  * Disable JavaScriptCore JIT for Android when building on Windows
  * Android: Build against new build tools revisions
  * Android: Default to toolchain version 4.8 on Windows as well
  * Android: Fix black screen when changing orientation
  * Fix broken text layout with ShowLineAndParagraphSeparators
  * Android: Correctly escape backslashes in deployment settings
  * Android: Build autotest service against android-10
  * Android: Make it possible to pass arguments via intent extras
  * Android: Add test script based on androiddeployqt
  * Output prefix for tools on x86
  * Android: Remove support for QMAKE_SUPPORTED_ORIENTATIONS
  * Android: Fix repaint on rotation
  * Re-enable NonFullScreenWindows on Android
  * Mention androiddeployqt in changes-5.2.0
  * Android: Differ between ShowMaximized and ShowFullScreen
  * Add note about fullscreen on Android to changes-5.2.0
  * Android: Allow modules to specify permissions/features
  * REG: Fix changing input method parameters on Android
  * Android: Support popup menus
  * Fix mkdir command in Windows shell for paths with forward-slashes
  * Revert "Android: Use native platform menus."
  * Android: Remove invalid error message
  * Add a few notes to changes-5.2.0
  * Report hardware acceleration in default manifest
  * Android: Overwrite plugin cache when APK is updated
  * REG: Fix support for strings spanning multiple font engines
  * REG: Fix make install on library projects on Android
  * Remove unimplemented constructor in QTextEngine
  * Android: Don't register main thread on loading library
  * Use non-threaded render loop on Samsung Galaxy Tab 3
  * Android: Don't crash on 100+ combo box items
  * Work around FBO readback bug on Samsung Galaxy Tab 3
  * Android: Remove debug output from platform window
  * REG: Fix font matching in FontConfig
  * Android: Don't skip first file in assets entry list
  * Remove some left-over +1 in font height calculation
  * Support empty inline elements in block tags in QTextDocument
  * Android: Add enablers for listening to activity results
  * Make unicode ranges in font take precedence over codepage
  * Fix compilation on armv5
  * Revert "Fix application font removal when using FontConfig"
  * Android: Support pregenerated cache in assets file engine
  * Android: Make default permissions less confusing
  * Android: Add commercial license to BSD-licensed files
  * Revert "Propagate synthesized mouse events in parallel (lock-step) with touch"
  * Android: Support double click event
  * Android: Turn off thumb for armv5 again
  * Android: Fix another "QApplication not on main() thread" crash
  * Android: Re-enable threaded rendering
  * REG: Android: Fix freeze when accessing assets
  * REG: Fix compilation with old AndroidManifest.xml
  * Android: Fix font merging
  * Android: Fix missing data from some autotests
  * Android: REG: Fix launching intents
  * HB-NG on Mac: Fix PDF in end of string
  * Android: Fix compilation on Windows
  * HB-NG w/CoreText backend: Fix clustering of neutral characters
  * Android: Add "unversioned_libname" configuration
  * Fix assert on justification of QTextLine with only spaces
  * Respect fixed pitch request when font family is not available
  * Mac OS X: Fix crash in Harfbuzz-NG
  * Fix crash when loading invalid font data in QRawFont
  * Android: Support QFont::Courier style hint
  * Windows: Fix another crash when creating QRawFont from invalid data
  * Android: Fix flashing on startup/shutdown
  * Android: Support offscreen surfaces on pbuffers
  * Android: Repaint affected areas when window moves
  * Android: Report something sensible for screen geometry
  * Doc: Fix docs for QFontMetrics::height() to match code
  * Android: Fix compilation of qpluginloader test
  * Android: Fix compilation of qhostaddress test
  * Android: Fix compilation of qtcpsocket test
  * Android: [REG] Fix QScreen::physicalSize()
  * Support getting test data from qrc
  * REG: Fix nbsp in QTextLayout
  * Android: Fix compiling targets with space in name
  * Fix fallbacks for adapted common script
  * Fix fallbacks for adapted common script
  * Android: Prefer "Droid Serif" as default serif font
  * Android: Fix tests in gui/text requiring test data
  * Windows: Default to MS Shell Dlg 2
  * Android: Output QML import and root paths for qmlimportscanner
  * Windows: Fix stored family name of fallback fonts
  * Android: Also support android style for debug deployment
  * Harfbuzz-NG: Compile on WinRT
  * Fix several regressions in font selection
  * Revert "Make unicode ranges in font take precedence over codepage"
  * OSX: Properly detect language support in fonts
  * Fix possible divide by zero in QPlainTextEdit
  * Cocoa: Always add Arial Unicode MS to fallback list
  * Fix default implementations of raster ops
  * OS X: Fix menu item shortcuts without modifiers
  * QPlainTextEdit: Fix crash on complex undo w/full width selection
  * Remove existence test for LICENSE.LGPL3
  * Android: Don't include Apache code under LGPLv2 license
  * Android: Hide vkb when IM disabled for focus object
  * Windows DirectWrite: Fix off-by-one in font descent
  * Add text ranges to QGlyphRunPrivate
  * Android: Support QClipboard::clear()
  * Android: Fix memory leak in QClipboard::setMimeData()
  * Android: Support QSysInfo::productVersion()
  * Android: Return empty mime data instead of 0 from empty clipboard
  * Fix memory leak in QClipboard::setMimeData()
  * Android: Make memory handling in QClipboard consistent with iOS
  * Make QStringRef::right() consistent with QString::right()
  * Item view: Update item positions when delegate changes
  * Correctly update QComboBox appearance on editable change
  * Android: Default to newest toolchain
  * Android: Enable 64-bit configuration on Windows host platform
  * Windows: Remove font size hack
  * Revert "Fix fallbacks for adapted common script"
  * Make it possible to disable font embedding
  * Android: Compile for MIPS
  * Enable transformations for Qt Quick in FT engine
  * Android: Make old manifests work on Android 5
  * Get rid of some duplicate code in QFontEngineFT
  * Android: Report error when OpenSSL is on and headers are missing
  * Android: Fix broken system palette
  * Android: Enable -fno-builtin-memmove in arm builds
  * Fix possibly corrupted log clusters when using custom tab stops
  * Fix PDF when embedding fonts with large internal leading
  * Build Android style on Windows host
  * Android: Fix QResourceEngine tests
  * Android: Fix QStandardPaths test
  * Also search current directory in QFINDTESTDATA
  * Android: Stabilize QPauseAnimation test
  * Android: Fix QDir tests
  * Android: Fix QDirIterator tests
  * Android: Fix QFileInfo tests
  * Android: Fix test failure for test QFileInfo::lastRead()
  * Android: Fix QFileSystemWatcher test failures
  * Android: Fix QIODevice tests
  * Android: Disable QLockFile test
  * Android: Fix QLoggingRegistry test
  * Android: Fix QTemporaryDir/File::nonWritableCurrentDir() tests
  * Android: Fix QTranslator tests
  * Android: Fix QByteArray test
  * Android: Fix QChar test
  * Android: Fix QCollator test
  * Android: Fix QCommandLineParser test
  * Android: Fix QCryptographicHash test
  * Android: Fix QPainter autotest
  * Android: Fix QTemporaryFile tests
  * Make sure widget is polished before checking its font
  * Android: Fix some QStyle tests
  * Android: Fix QTextBoundaryFinder test
  * Android: Fix QDataStream test
  * Skip incompatible QTextLayout tests when dpi-scaling is used
  * Android: XFAIL a few tests in QDnsLookup
  * Android: Fix QImageReader test
  * Fix QRawFont test when used with bundled FreeType
  * Android: Skip QProcess_and_GuiEventLoop test
  * Android: Fix QSideBar test
  * Android: Fix QDirModel tests
  * Android: Fix QLayout tests
  * Android: Fix canonical form of nonexistent paths
  * Make harfbuzz-old fallback available at run-time
  * QTemporaryDir: Remove directories on failure
  * OS X/iOS: Fix stretched font rendering
  * Android: Don't force-include android-9 headers in qpa plugin
  * Android: Fix name of header in .pro file
  * Android: Fix some tests for QCompleter
  * Android: Fix crash in QCompleter test
  * Android: Don't open assets files in read/write mode
  * REG: Fix misplaced outline drawn text with native rendering
  * Windows: Remove "experimental" sticker for DirectWrite engine
  * Fix QTextDocument test when default font is pixel-sized
  * Android: Fix tst_QDir::cdBelowRoot()
  * Android: Fix tst_QFileInfo::isExecutable()
  * Use qrc for test data in QFileInfo test on all platforms
  * Fix underline for centered text
  * Android: Don't include Qt D-Bus by default
  * Android: Fix compilation for x86
  * OS X: Fix mixing writing systems, ligatures and text formatting
  * Fix design metrics for text on Windows
  * Android: Don't show translucent system UI on top of Qt
  * Android: Also populate database with otf fonts
  * Android: Fix compilation on armv5 with 4.9 toolchain
  * Revert "Android: Don't show translucent system UI on top of Qt"
  * Android: Fix resuming app after locale change
  * doc: Fix error in QOpenGLShaderProgram example
  * DirectWrite: Fix crash when loading QRawFont from data
  * Better handling of invalid font tables
  * Windows: Include DirectWrite support by default if available
  * Support overlapping contours in glyph rasterizer fallback
  * Remove historical +4 padding in QFontEngine::alphaMapForGlyph()
  * Windows: Default to vertical hinting when high-dpi scaling is enabled
  * Fix falsely reported style for fallback font
  * Fix kerned advances in QRawFont on OS X and Windows
  * DirectWrite: Inherit synthesized properties for fallback fonts
  * Differ between vertical and no hinting on Windows
  * Round advances if subpixel position not supported
  * DirectWrite: Fix clipping bug with grayscale AA rendering
  * DirectWrite: Implement transforms for grayscale aa
  * Fix transformed text with DirectWrite engine
  * Android: Fix some QGraphicsScene tests
  * Fix artihmetic exception when using non-scalable fonts
  * Fix bounding rect of glyph runs in multi-line QTextLayout
  * Don't force antialiasing when it is turned off
  * Account for hinting preference in alpha map bounding box
  * Disable unneeded ligatures when letter spacing is set
  * Qt Quick: Fix selection when mixing line breaks and line wraps
  * doc: Clean up old references to QApplication for GUI application
  * Disable ligatures using existing mechanism in HB, not workaround
  * Fix font dialog with missing font family and pixel sizes
  * Use correct decoration for fallback font engines
  * Use correct underline thickness on OS X
  * Report correct font underline position on OS X
  * DirectWrite: Output correct error code on failure
  * Fix application fonts with DirectWrite font engine
  * Allow overriding Android NDK host on Windows
  * Deobfuscate SFNT tag creation on Windows
  * Fix possible crash in QImage::pixel()
  * Fix possible out-of-bounds access when making distance fields
  * Qt Quick: Fix bug for selections with line wraps and breaks
  * Add flag for showing document terminator in text
  * Android: Support build with latest available SDK version
  * Add color font support on Windows
  * Interpret fixed CSS line-height as minimum rather than absolute
  * Android: Make SDK detection its own qmake feature
  * Disable Directwrite 2 when Directwrite is disabled
  * doc: Clarify how to remove a QTextFrame
  * Android: Force use of system zlib on Windows host
  * QFont::exactMatch() should return false for aliases
  * Remove dead code from tst_QFont::exactMatch()
  * Work around QFont bug in QFontDialog test
  * Add line feed and carriage return to blacklisted characters
  * Don't alter input string in QTextLayout with ShowLineAndParagraphSeparators
  * Make it possible to create distance fields with any height
  * Fix crash when creating distance field for large glyph
  * Remove unused macro: QT_DISTANCEFIELD_DEFAULT_TILESIZE
  * Fix performance regression when changing fonts
  * Revert "Emit updateBlock signal in QTextDocumentLayout"
  * Android: Fix CJK text with Android 7.0
  * REG: Fix unwanted cache flush in Freetype engine
  * Windows: Fix Adobe/Mozilla format color fonts after Windows update
  * Remove special case for color fonts from Freetype font engine
  * Support stretch when using DirectWrite font engine
  * DirectWrite: Fix calculating bounding box of glyphs
  * DirectWrite: Fix crash when embedding empty glyphs in PDF
  * DirectWrite: Fix embedding fonts in PDF
  * Return color bitmap from QRawFont for color fonts
  * Windows/freetype: Fix loading non-regular fonts
  * Fix DirectWrite engine when loading from data through QRawFont
  * Fix Myanmar text with some fonts
  * Windows: Fix crash when loading color fonts from data
  * Fix crash when doing many text layouts with superscript/subscript
  * Freetype: Fix wrong line spacing for Courier New
  * Fix plain text QStaticText with line breaks
  * Android: Re-enable asset extraction for styling
  * Add QTextDocument::toRawText() function
  * Windows: Fix rendering of MingLiU fonts at some scales
  * Fix decorated text in extra-selections
  * Don't claim all fonts are smoothly scalable on Windows
  * Android: Fix synthesized oblique for non-latin scripts
  * Windows: Fix high-dpi text rendering
  * Windows: Don't claim bitmap fonts support all standard sizes
  * Don't count no-break spaces as trailing spaces
  * Freetype: Fix device pixel ratio with large fonts
  * Freetype: Disable outline drawing when drawing to pixmap cache
  * REG: Fix missing glyphs with DirectWrite and stretch == QFont::AnyStretch
  * Accept ZWNJ, ZWJ and PUA characters in input widgets
  * Fix compilation with -no-pch
  * doc: Specify which characters are replaced by toPlainText()
  * Fix license header of QInputControl
  * Accept all formatting characters as valid input
  * Fix clipping error on some RTL text
  * Fix tst_QTextScriptEngine::thaiWithZWJ() on OpenSUSE
  * Fix tst_QFontMetrics::elidedMultiLengthF with some fonts
  * Accept error margin in QGlyphRun/QStaticText test for decorations
  * Fix compilation on iOS
  * Android: Fix OpenGL shader compilation on updated emulator
  * Fix crash for glyphs with height > 128
  * Fix char format of preedit text in empty text block
  * Implement maxCharWidth() for DirectWrite engine
  * doc: Add warning about QTextLayout::beginLayout() and clearLayout()
  * Remove mention of reverted fix
  * Add API to disable text shaping on fonts
  * Windows: Stop considering Calibri as bitmap font
  * Android: Fix push button label duplication with stylesheets
  * Add QTextOption/QTextEdit/QPlainTextEdit::tabStopDistance property
  * macOS: Fix matching of font weights for application fonts
  * macOS: Fix padding around tab label with icon
  * macOS: Reset composition when focus object changes inside window
  * Fix synchronization error when matching font with empty family
  * Add QFontMetrics(F)::horizontalAdvance() function
  * Android: Fix note for host architecture mismatch
  * macOS/iOS: Fix garbled text under some conditions
  * Update usage of QFontMetrics::width() to new API
  * Windows: Add font fallback for EUDC glyphs
  * Windows: Support application fonts as fallbacks
  * Update font when text format's letter spacing type is changed
  * Hide EUDC font better when it is available
  * Fix fallback fonts for non-common writing system
  * CoreText: Order fallback fonts based on writing system support
  * Fix ZWJ and ZWNJ when fallback font is in use
  * Android: Fix compilation with warnings-are-errors
  * Android: Don't kill app when SIM card or density changes
  * macOS: Document availability of freetype font engine
  * macOS: Fix stretch of condensed fonts with NoFontMerging
  * Don't position cursor inside complex graphemes when clicking outside line
  * Fix potential crash when showing line/paragraph separators
  * Fix crash when combining QOpenGLWidget, QStaticText and Qt Quick
  * Silence warning in gcc 4.9 for Android
  * Android: Default to android-21 NDK for arm64-v8a
  * Android: Compile with NDK r18 + clang
  * Remove DirectWrite warning when loading bitmap fonts
  * Fix font weights on macOS 10.14
  * Fix crash when detaching dangling QTextCursor
  * doc: Document version of bundled Freetype in qt_attribution
  * Deprecate QFont::lastResortFamily() and QFont::lastResortFont()
  * Remove QEXPECT_FAIL from test on macOS
  * WebAssembly: Fix compilation of application on Windows host
  * Support style name property in QTextCharFormat
  * Remove specialized multi font engine on Windows
  * Fix text shifting vertically when elided
  * Don't dither antialiasing on glyphs when converting to mono
  * Draw ShowTabsAndSpaces symbols with the correct font
  * Android: Set minimum supported version to android-21
  * Fix default font properties when using raw fonts for text layouts
  * Update bundled Freetype to 2.9.1
  * Don't wrongly detect fonts as oblique
  * [Windows] Fixed regression when creating fallback fonts
  * Wasm: Add workaround for Emscripten compiler again
  * Remove broken code from unicode generator
  * Wasm: Build with Qt's freetype, png and zlib
  * X11PaintEngine: Don't use system clip for non-system painting
  * Android: Support for separate landscape/portrait splash screens
  * macOS: Don't scale advances to 0 when stretch is AnyStretch
  * Add a clarification about "characters" to QTextCursor docs
  * Fix font matching of typographic families on Windows
  * Allow word break wrapping in Korean text
  * Revert "Fix font matching of typographic families on Windows"
  * Don't count all engines as "in use" in cache
  * Revert "macOS: disable threaded OpenGL (unconditionally)"
  * Fix font matching of typographic families on Windows
  * Support copy-pasting foreground images within same document
  * Improve performance when loading application fonts
  * Support pen color with color fonts
  * Support pen color in QOpenGLTextureGlyphCache
  * Revert "Fontconfig font database: Short-circuit matching by filename"
  * Android: Fix QMenu on 64 bit
  * Fix crash in QTextDocument::clearUndoRedoStacks()
  * Add attribution for AGLFN
  * iOS: Fix fallback fonts on iOS 13+
  * iOS: Fix showing emoji characters
  * macOS: Fix regression with some characters in non-bundle apps
  * Remove mapping from CJK/Latin to Common script in Harfbuzz NG
  * Enable cursor in ligature test on Windows
  * Revert "Release left button before showing the popup context menu"
  * no-thread: Add dummy implementations for stackSize functions in QThread
  * Support MaximizeUsingFullscreenGeometryHint in resizeMaximizedWindows()
  * Android: Implement MaximizeUsingFullscreenGeometryHint
  * Fix kerning with fractional pixel size
  * CoreText: Fix getting system fonts on recent macOS/iOS versions
  * Windows: Fix offset of glyphs with DirectWrite font engine
  * Freetype: Don't embolden bold fonts
  * Revert "Android: Implement MaximizeUsingFullscreenGeometryHint"
  * Deprecate QFont::ForceIntegerMetrics and QFont::OpenGLCompatible
  * Fix rendering offset when using DirectWrite engine
  * Suppress deprecation warnings for QFont::ForceIntegerMetrics
  * Experimental DirectWrite font database
  * DirectWrite font db: Fix unstretched font selection
  * Make text decorations consistent between ways of drawing text
  * Fix compilation with -no-directwrite
  * Remove work-around from thaiWithZWJ test
  * Make it possible to enable DirectWrite font database
  * DirectWrite font db: Fix writing system detection
  * DirectWrite font db: Fix fallback fonts
  * Android: Increase minimum API level to Android-23 / Android 6
  * Remove references to QTextDocumentPrivate from public API
  * Update to Harfbuzz 2.6.4
  * Enabler: Store more properties of application fonts
  * Fix distribution of font properties in QTextFormat
  * Hide default-invisible characters when shaping is disabled
  * Fix compilation with -no-feature-regularexpression
  * macOS: Disable CoreText shaper in Harfbuzz-NG
  * Android: Fix deployment on Windows host
  * Expect failure in QLabel test for certain condition
  * Android: Implement MaximizeUsingFullscreenGeometryHint
  * Android: Update minimum version to 23 again
  * RHI: Fix running with Vulkan on Wayland
  * Fix irrelevant error case in QSplitter test
  * Minor tidying for header guard in qopenglversionfunctions_p.h
  * Get rid of QT_OPENGL_ES*
  * Resolve OpenGL version functions in thread-safe manner
  * Use consistent vertical metrics on all platforms
  * Fix font height metrics with embedded bitmaps
  * Fix QTextDocumentLayout test with certain fonts
  * MSVC: Fix build with -developer-build
  * RHI: Store texture handle as 64-bit int
  * Fix various offset issues with DirectWrite font engine
  * Make tst_QTextLayout::textWidthVsWIdth() more robust
  * Windows: Fix QPainter warnings when using some fonts
  * Fix build for Android on macOS
  * Fix compilation of lance tool
  * Move some flaky text tests into Lancelot
  * Win: Choose a suitable font in tst_QTextLayout::textWidthVsWIdth
  * Remove deprecated text-related enums
  * Add RHI feature check for screen space derivatives
  * Remove confusing comment in CoreText font engine
  * Support glyphs larger than 255x255 with Freetype engine
  * Make QFontDatabase member functions static
  * Remove the QPF2 font engine
  * Fix text issues when using typographic names
  * Ignore weight in .ui files instead of converting it
  * Fix running with placeholder screen and high-dpi enabled
  * Use valid glyph index for box font engine
  * Fix output with box font engine
  * Fix delay first time a font is used
  * Add deprecated accessors for legacy font weight
  * Update Qt OpenGL docs and add porting docs
  * Fix weight when reading old serialized QFonts
  * Fix tst_QFontDatabase::aliases failure with ambiguous font
  * Use design metrics when adding text to QPainterPath
  * macOS: Fix assert with Freetype engine
  * Remove debug output
  * Implement vertical subpixel positioning where available
  * Remove false Q_UNREACHABLE from shaping code
  * Fix flakiness in tst_QGlyphRun::drawRightToLeft
  * Fix crash when requesting A32 glyph on Wayland
  * Fix testlib/tst_selftests::keyboard on Wayland
  * Merge "Fix testlib/tst_selftests::keyboard on Wayland"
  * wayland: Remove bogus warning about ignoring WAYLAND_DISPLAY
  * Merge "wayland: Remove bogus warning about ignoring WAYLAND_DISPLAY"
  * Fix tst_qgraphicseffect on Wayland
  * Merge "Fix tst_qgraphicseffect on Wayland"
  * Support family names that end/start with space
  * Skip tst_QOpenGL::glxContext test on Wayland
  * Fix tst_QDialog::keepPositionOnClose on Wayland
  * Make tst_shortcut pass on Wayland
  * Merge "Support family names that end/start with space"
  * Fix QVulkanWindow on Wayland
  * Merge "Fix QVulkanWindow on Wayland"
  * Make tst_qwidget pass on Wayland
  * Fix tst_qwidget_window::mouseMoveWithPopup on Wayland
  * Skip tst_qwindow test when running on Wayland
  * Fix tsts_QShortcut::keys on Wayland
  * Merge "Fix tsts_QShortcut::keys on Wayland"
  * Skip tst_QDockWidget::restoreDockWidget on Wayland
  * Fix tst_QPushButton tests on Wayland
  * Disable two tests in tst_QAccessibility on Wayland
  * Fix compilation with experimental x11 paint engine feature
  * Update to Harfbuzz 2.8.0
  * Adapt to Harfbuzz 2.8.0 update
  * doc: Warn about kerning in QRawFont::advancesForGlyphIndexes()
  * Windows: Work-around misreporting of Script and Roman
  * macOS: Fix synthesized bold
  * Windows: Add synthesized fonts also when there is a style name
  * Fix memory leak when using small caps font
  * minor: Clean up areMetricsTooLarge() conditions
  * codechecker: Add assert for implicit condition
  * Fix right-to-left text with DirectWrite engine + QPainterPath
  * fc: Clean up current config on shutdown
  * Revert "Windows: Add synthesized fonts also when there is a style name"
  * Fix printing with unhinted fonts
  * Fix bug with NoFontMerging when font does not support script
  * Update Harfbuzz to version 2.9.0
  * Fix default line thickness for fonts
  * Fix querying font aliases that share name with other fonts
  * Use Yu Gothic UI as the main fallback font for Japanese
  * Revert "Support family names that end/start with space"
  * RHI: Don't retain texture operations after frame is done
  * freetype/no-fc: Disambiguate fonts with different widths
  * Fix tst_qfontdatabase on Windows with Freetype
  * Fix deserializing Qt 5.x fonts through QDataStream
  * Fix assert in QFontComboBox when setting empty font
  * Properly fix QFontDatabase test on Freetype
  * Fix gaps between lines of selection
  * Fix missing characters or assert with certain font sizes
  * Fix overlapping text for Osaka font on macOS
  * Callbacks for begin/end of a frame on OpenGL
  * Trust CoreText-provided vertical metrics on macOS
  * Fix crash when text shaping fails
  * Windows: Change default hinting preference for high-dpi
  * DirectWrite: Turn off grid-fitting for unhinted text
  * Fix infinite loop in dash stroker
  * Fix regression when displaying emojis on Windows
  * Fix integer overflow for broken QPainterPaths
  * Flush font cache when we load new application fonts
  * Remove last traces of old Harfbuzz
  * Fix -no-freetype build on Windows
  * Fix crash in tst_qquicktext::implicitSize
  * Update Harfbuzz to version 4.2.1
  * Update qt_attribution for harfbuzz
  * Fix font rendering when Qt is configured with -no-harfbuzz
  * CoreText: Fix fonts with synthetic stretch
  * Enabler for fractional scaling of text in Qt Quick
  * Skip test which depends on window activations on Wayland
  * Try re-enabling test on Wayland
  * Relayout QStaticText when dpi changes
  * Freetype: Fix underline thickness for bitmap fonts
  * Wayland: Remove XFAIL after underlying bug was fixed
  * Fix QFontDatabase::hasFamily() for ambiguous families
  * Wayland: Skip test that queries window position
  * directfb: Fix compilation
  * Fix tst_QWindow::requestUpdate on Wayland
  * Fix crash when setting override cursor on multiple clients
  * doc: Clarify the term advance width
  * Revert "QTextLayout: fix maximumWidth() for a text containing line separator"
  * Introduce QGlyphRun::stringIndexes()
  * Freetype: Fix transforming bitmap fonts
  * Fix generating PDFs with DirectWrite engine
  * macOS: Fix synthetic bold on scaled painters
  * macOS: Fix less common writing systems on Catalina and later
  * Fix crash when resetting a QShader
  * Don't return a visual glyph for ignorable characters
  * Don't return empty glyph runs from QTextLine
  * Fix missing text when Harfbuzz fails to shape a substring
  * Try to match variant-selector font to preceding character
  * Don't hide object replacement char except in rich text
  * windows: Fix vertical metrics with GDI engine
  * Fix assert when resizing text table with percentage widths
  * Fix infinite layout loop with negative line width
  * Explicit type for new enum type
  * Remove redundant scope for glyphRuns() default parameter
  * Update Harfbuzz to version 6.0.0
  * Don't do font merging for PUA characters
  * Update Harfbuzz to 7.0.1
  * Update to Freetype 2.13.0
  * doc: Add note about platform support for window positions
  * win: Fix default fallback font for some languages
  * Update harfbuzz to version 7.2.0
  * Update download location for Harfbuzz as well
  * Implement API for enabling / disabling OpenType features
  * Change QFont::fontFeatures() -> QFont::features()
  * Upgrade Harfbuzz to 7.3.0
  * Freetype: Don't do image transform for translations
  * Avoid infinite loop when loading huge files
  * doc: Remove bogus step in font resolution algorithm
  * API update: Don't expose QHash storage in API
  * doc: Make docs for ElideNone a bit more precise
  * Update to Harfbuzz 8.1.1
  * Update version of FreeType attribution
  * Mark feature API in QFont as preliminary
  * Fix crash when reading corrupt font data
  * Upgrade to Freetype 2.13.2
  * Upgrade Harfbuzz to version 8.2.0
  * Support loading variable fonts as application fonts in Freetype
  * DirectWrite: Fetch correct style name in font info
  * Support variable applications fonts with DirectWrite
  * coretext: Support variable application fonts
  * Update Harfbuzz to version 8.2.2
  * Skip mixedScript test on platforms with no Hangul font
  * Fix memory leak when resolving named instances in fonts
  * Upgrade to Harfbuzz 8.3.0
  * Fix cache cost on DirectWrite font engines
  * doc: Remove outdated comment about DirectWrite
  * Add missing detach when clearing font features
  * Support arbitrary variable axis values
  * Fix setting variable axes on Freetype
  * Fix regression when selecting emojis using VS-16
  * Fix synthesized bold on Windows
  * Fix race condition when destroying Freetype font engines
  * Fix build with -no-directwrite
  * Fix clipped text when combining multiple writing systems
  * windows: Avoid infinite recursion with certain fonts
  * Fix infinite loop in QTextLayout with setNumColumns()
  * freetype: Fix scaling layouts with bitmap fonts
  * Implement missing features in DirectWrite font backend
  * Windows: Default to DirectWrite font backend
  * Fix memory leak in DirectWrite backend
  * Fix kerning errors when using DirectWrite backend
  * Fix color fonts with DirectWrite backend
  * Revert "Don't do font merging for PUA characters"
  * Fix default hinting with dpr scaling on Wayland
  * Implement support for stroke color and width in CSS parser
  * Support foreground gradient in CSS parser and HTML generator
  * Implement aliased text rendering with DirectWrite
  * Add API to provide user-defined fallback fonts
  * Update Harfbuzz to 8.4.0
  * Introduce optional smarter font merging with ContextFontMerging
  * test: Don't crash when focusWidget() is null
  * doc: Update note about variable axes on Windows
  * Support application fallbacks for common script
  * Update to Harfbuzz 8.5.0
  * Introduce flag to use typographical line metrics for fonts
  * Make it possible to create distance field with specific size
  * Fix tst_QTextLayout::softHyphens failure with some fonts
  * Respect QTextDocument::defaultFont() in ODF writer
  * Update Freetype to 2.13.3
  * Update to Harfbuzz 9.0.0
  * Windows: Use correct default font when desktopSettingsAware is false
  * Windows: Fix memory leak in DirectWrite font database
  * Windows: Release old references when invalidating DirectWrite db
  * Update to Harfbuzz 10.0.1
  * Replace "OpenType missing" warnings with qCInfo()
  * Windows: Fix missing glyphs for very large font
  * Freetype: Fix artificial oblique combined with other transforms
  * Revert "freetype: Fix scaling layouts with bitmap fonts"
  * Freetype: Fix transformed text when subpixel AA is on
  * Remove assert in QImageTextureGlyphCache::fillTexture()
  * Upgrade to Harfbuzz 10.1.0
  * Don't count overflowing inline image height to previous line
  * test: Fix test for oblique/italic equivalence
  * Don't support subpixel positioning for color fonts
  * Windows: Fix arbitrary outline on emojis
  * Fix assert in certain cases of missing glyph in a string
  * doc: Clarify usage of QFontMetricsF instead of QFontMetrics
  * Include right bearing in width of layouts wrapping on spaces
  * Fix DirectWrite subpixel antialiasing on BGR screens
  * Implement COLRv0 support in Freetype engine
  * Don't include bearing of mid-string characters in max width
  * DirectWrite: Remove ad hoc font resolution through GDI
  * Support COLRv1 fonts in Freetype backend
  * Update Harfbuzz to version 10.2.0

  [ Jonas Kvinge ]
  * QDBusMenuConnection: Close open D-Bus connection
  * Change since for QNativeInterface::QX11Application to 6.2
  * Fix compile with MinGW-W64 9.0.0: Redefinition of 'struct _FILE_ID_INFO'
  * Fix inserting node entry in QNetworkAccessCache::linkEntry
  * xml: Fix typos in source code comments
  * tls: Fix typos in source code comments
  * network: Fix typos in documentation
  * styles: Fix typos in source code comments
  * qwindowsxpstyle: Fix typos in documentation
  * qcocoa: Fix typos in documentation
  * qcocoa: Fix typos in source code comments
  * cocoa: Fix typo in debug messages
  * tools: Fix typos in source code comments
  * xml: Fix typos in documentation
  * gui: Fix typos in source code comments
  * corelib: Fix typos in source code comments
  * corelib: Fix typos in documentation
  * QWindowsWindow: Fix typo in documentation
  * network: Fix typos in messages
  * network: Fix typos in source code comments
  * gui: Fix typo in CMake feature
  * QEventDispatcherWasm: Fix typo in debug message
  * widgets: Fix typos in documentation
  * gui: Fix typos in documentation
  * concurrent: Fix namespace typo
  * concurrent: Fix typo in documentation
  * wasm: Fix source code comment typos
  * windows: Fix typos in source code comments
  * qwindowsdrag: Fix typo in documentation
  * openglblacklists: Fix typo in description
  * qxcbscreen: Fix typo in documentation
  * Fix typos in SQL driver documentation
  * qwindowsdialoghelpers: Fix typo in documentation
  * xcb: Fix typos in source code comments
  * dbus: Fix typos
  * widgets: Fix typos in source code comments
  * sqldrivers: Fix typo in error message
  * android: Fix typo in source code comment
  * qnx: Fix typos in source code comments
  * qmetatype: Fix incorrect more than one typedef warning
  * Fix check for pcre2 using cmake
  * QAbstractItemModel: Fix Qt::TextAlignmentRole when metatype is uint
  * macdeployqt: Fix deploying libraries with `reexport`
  * Qt6DBusMacros: Fix regression after moc filename changes
  * QFileSystemEngine: URL encode path in trash info, use relative path
  * macdeployqt: Also look for app libraries with .so extension
  * macdeployqt: Fix codesigning with @loader_path
  * Generator: Fix shadowing using declaration
  * QXRenderGlyphCache: Add QColor parameter for QFontEngineFT::loadGlyphFor

  [ Allan Sandfeld Jensen ]
  * Update the lastPosition with the full current position
  * Check for GLX_ARB_create_context extension before using it.
  * QImage plugins should report supported mime types
  * QTextEngine capitalization doesn't work with QRawFont
  * Perform kerning in QRawFont::advancesForGlyphIndexes
  * RecalcAdvances and DoKerning should agree on when to use design metrics
  * Android Mute and FastForward keys mapped wrong
  * Key mappings for more remote-control keys
  * DirectFB: Improve mapping of multimedia keys
  * Support RGBA image format
  * EGLFS and MinimalEGL windows are not marked as OpenGL surfaces
  * Fix fillRect on RGBA8888 images
  * QRawFont::fromFont does not get antialias setting from fontconfig
  * HTTP authentication fails if QUrl contains password with %
  * OAuth over XMLHttpRequest fails
  * Memory leak with Small-caps QRawFont
  * Use QAtomicInt ref/deref pattern
  * Make QSystemTrayIcon::showMessage invokable
  * Update keycode mappings of multimedia keys
  * Fix Q_ASSERT(!channels[0].isSocketBusy());
  * Do not byteswap RGBA8888 formats
  * Keep web fontdata alive as long as CG uses it
  * Assert in QImage conversion from rgba8888pm -> rgba8888
  * Fix major performance regression in QGLWidget on texture bind
  * Remove now redundant argb to rgba function
  * Fix ARGB image glyphs on Open GL ES2 or big endian
  * Make drawing to and from RGBA8888 images faster
  * Missing entry in QImage inplace_converter_map
  * Fix race condition between destruction of QObjects
  * Evdev keyboard handler emits keyevents with QString(0xffff)
  * Update ChangeLog with new QImage formats
  * Automatically create QPainterPathStroke based on QPen
  * Extend multimedia keys
  * RValue ref version of QPixmap::fromImage()
  * Avoid duplicate emulated mouse events with XInput2
  * Move no-pch extra compiler to common features
  * Inplace versions of QImage rgbSwapped() and mirrored() for rvalue refs
  * Use XInput2 scrolling events to enable smoother scrolling
  * Clean up qimage.cpp by moving all the conversions methods out
  * Avoid unnecessary double conversion over ARGB32 and ARGB32PM
  * Fix build with precompile headers
  * Optimize INV_PREMUL
  * Add generic inplace converter
  * Make conversion of semi-transparency to opaque formats consistent
  * Ref qualified version of QImage::convertToFormat
  * Fix performance regression in mirroring QBitmap
  * Tests for semi transparent blend on opaque formats
  * Document Qt::NoFormatConversion
  * Round evenly in INV_PREMUL
  * Ensure QImage::pixel() on RGB32 images returns valid QRgb values
  * Optimize drawing to and from generic formats
  * Fix access after delete with Harfbuzz NG code path.
  * Emit ScreenChanged events on X11
  * Export optimized premultiply and unpremultiply methods
  * Fix assert when converting RGBx8888 to ARGB32_PM
  * Fix drawing vertical gradients in RGBA8888 formats
  * Optimize generic bilinear interpolation using SSE2
  * Fix drawCachedGlyphs on RGBA8888
  * Handle multiple header values in SPDY
  * Do not assume nice behavior in error handling
  * Protect against malicious SPDY messages
  * Do not upload on closed SPDY streams
  * Remove deleted QNetworkReplies from SPDY queues
  * SPDY must handle destoyed QNetworkReply
  * Cleanup SPDY stream closing
  * Add optimize_full qmake config option
  * Fix casting and overallocation in qregion.cpp
  * Fix rendering of grayscale antialiased FT fonts on QGLWidget
  * Revert "Make OpenGL texture glyph cache use the right freetype glyphs"
  * Recognize RGBA8888 formats when converting to CGImage
  * Cleanup and refactor QFontconfigDatabase::fontEngine
  * Apply fontconfig settings to custom fonts
  * Fix drawing paths with constant opacity onto PDF
  * Unite the documentation for qmath.h functions
  * Reload lastScrollPosition on window enter
  * Use runtime detection of XInput 2.1 to disable legacy wheel events
  * Don't use GL_REPEAT for image-brush drawing on OpenGL ES2
  * Avoid a double memory copy during bindTexture
  * Use XI2 event detail to determine changed mouse button
  * Vectorize bilinear rotating transforms
  * Document returned format of QOpenGLFramebufferObject::toImage()
  * Assume unlabelled mouse buttons are default buttons
  * Scrolling devices should not override touch or tablet devices
  * Fix fast painting of clipped text on non RGB32 formats
  * Remove unfinished NEON version of vectorized rotate sampling
  * Support hotplugging of input devices with XInput2
  * Correct QImage::fill(uint) on RGBA8888 formats
  * Introduce std::string conversion to QByteArray
  * Unduplicate the implementations of next power of two
  * Fix pixel noise in X11 systray icons that are not 22x22
  * Improve QOpenGLFramebufferObject::toImage()
  * QImage support for RGB30 formats
  * Make QOpenGLTextureCache::bindTexture upload efficiently
  * QPixmap::fromImage() should detach when changing QImage format
  * Introduce qmake feature use_gold_linker
  * Don't convert signed to unsigned when we need all 32bit
  * Support RGB30 formats in OpenGL framebuffers and paint engine
  * Ensure valid data after QImage::invertPixels
  * Fix high DPI icons in menu items
  * Support multimedia keys on Windows
  * Add QFont strategy to disable subpixel antialiasing
  * Remove specific maemo/meego codepaths
  * Be consistent in GrayScale vs Grayscale naming
  * Move SubpixelAntialiasingType from QFontEngineFT to QFontEngine
  * Fix documentation and memrotate of new RGB30 QImage formats
  * QFusionStyle paints sliders outside of clip
  * Fix selection of fonts based on styleName
  * Fix rendering of fonts matched based on stretch
  * Fix mistake in function extraTryFontsForFamily
  * Compile on Android without statfs.f_flags
  * Handle 10-bit per color formats in qt_mac_toCGImage
  * Support autohint and lcdfilter fontconfig configuration
  * GTK2 theme should use GTK configured font variant
  * Support antialias and rgba Xft settings as used by GNOME and UNITY
  * Make QWindowContainer handle drag'n'drop
  * Detect wrongly labelled wheel buttons
  * Fix invalid memcpy(dst, src) calls where dst == src
  * Outline drawing should not override the default freetype loadflags
  * Add operator-> to QJson iterators
  * Avoid crash if querying device that has gone away
  * Avoid crash if querying device that has gone away
  * Code cleaning in qt_gl_resolve_extensions
  * Fix advance of zero-width spaces in fonts that omits the glyph
  * QVariant::compare shouldn't return match when QVariant::cmp does not
  * Read and use WheelScrollLines configuration on KDE
  * Add Grayscale8 and Alpha8 formats to QImage and drawing
  * Fix menu mnemonic inside ligatures
  * Restore -qt-block-indent on <li> elements
  * QPaintBuffer paints drawGlyphRun with wrong font
  * Use NonPremultipliedImageSrc shader when painting non-premuled images
  * Fix spin box with fine grained wheel events
  * Fix too fast zooming in QTextEdit with smooth scrolling events
  * Fix QPixelFormat values
  * Balloon tip must follow systemtray icon
  * Clean up QImage::Format switches
  * Extend QOpenGLVertexArrayObjectHelper to support glIsVertexArrays
  * Fix regression in metric calculation of text with mnemonics
  * Remove wrong unneeded definition in qopenglextensions_p.h
  * Fix access of non-existing color table
  * Fix printing of semitransparent images to PDF
  * Respect NoSubpixelAntialias in QCoreTextFontEngine::imageForGlyph
  * Update QSsl::SecureProtocols to not include Sslv3
  * Support Alpha8 and Grayscale8 natively in the OpenGL paint engine
  * Fix justification in multi fontengine glyphruns
  * Fix QWidget::scroll during painting
  * Add conversion between QVariantHash and QJsonObject
  * Handle mounts under /run
  * Update credentials on cached http-connections
  * Do not apply subpixel gamma-correction on XCB
  * Save a detach if QBrush::setColor does not change the brush color
  * Do not force a content-type on POST request with no content
  * Remove unnecessary indirect access
  * Clarify QGuiApplication::primaryScreen
  * Clarify QString::clear()
  * Add DeepBind option to QLibrary
  * Fix loading of web fonts with broken hinting bytecode
  * Make no_debug_info also strip out -gstabs
  * Revert "Fix printing of semitransparent images to PDF"
  * Fix authenticated POST/PUT http requests with buffering disabled
  * Fix glyph runs painted badly with perspective transform
  * Improve performance of path clipping in rasterizer
  * Remove duplicated NAN/INF logic from tst_qstring
  * Add conversion functions for C++11 u16string and u32string
  * Only use Xft font settings as defaults, and let fontconfig override
  * Fix Qt over VNC with broken VisualInfo
  * Only use 32bit version of qPremultiply
  * Avoid unneeded QBrush::texture() calls
  * Correct inplace conversion methods from RGBA8888 formats
  * Remove unnecessary math.h and limits.h includes
  * Remove unused qdrawhelper_sse_p.h header
  * Generate SSE4.1 versions of premultiplying methods where convenient
  * Correct QPainter's is_brush_transparent
  * Avoid creating a QPixmap on QBrush comparisons
  * Don't replace IntersectClip with ReplaceClip on a QPicture
  * Optimize unpremultiply on SSE4.1
  * Listen to XI2 deviceChanged events to reset last position
  * Improve conversion of QVariants with QJsonValues
  * Optimize generic conversion and remove now obsolete direct conversions
  * Configure MSVC builds as C++11
  * Remove support for some very old compilers
  * Use C++ <cmath> instead of <math.h>
  * Do not attempt to unregister an unregistered dbus service
  * Remove PREMUL and INV_PREMUL macros
  * Remove unused CGImage in qcocoabackingstore
  * Minor optimization in SSE4 unpremultiply
  * Remove unused private definitions and function
  * Remove some uses of the private Q_PI constant
  * Optimize fallback RGB888 to RGB32 conversion
  * Fix leaking ISA extensions in LTCG builds
  * Remove non-templated pixellayout methods
  * Fix building tests on QNX
  * Introduce QRgba64 structure for 64bit RGBA values
  * Add AVX2 autovectorized versions of premultiply
  * Improve rounding in QCosmeticStroker
  * Fix installation of separate debug info
  * Fix warning and improve the signature of parseRedirectResponse
  * Fix separate_debug_info silent builds
  * Please valgrind by not accessing uninitialized memory
  * Do not colorizing images to invalid premultiplied colors
  * Avoid using the current frame as the previous in layout
  * Fix a few clang warning
  * Fix clang release with debuginfo builds
  * Optimize fetching pixel values for SSE2 bilinear sampling
  * Remove table of mostly null pointers
  * Solid and gradients in high color accuracy
  * Fix RGB30 painting tests
  * Add support for more composition modes in rgb64 rendering
  * Extend high color rendering to image rendering
  * Cleanup and optimization of qimage smoothscale
  * Implement radial and conical gradients for rgb64 rendering
  * Optimize non-native bilinear transforms
  * Move composition out of qdrawhelper.c
  * Map X11 AudioPause button
  * Remove separate SSE4 unpremultiply function
  * Revert "Remove separate SSE4 unpremultiply function"
  * Fix inplace double mirroring on odd sized images
  * Fix overflow in rgb30 gradient tests
  * Short-cut SSE4 unpremultiply
  * Preserve QImage metadata in image transforms
  * Convert opaque indexed images over RGB32
  * Fix two errors in RGB30 conversions
  * Fix QImage format after inplace conversion
  * Add missing RGB32 <-> RGB30 convertions
  * Add noexcept to move constructors and assignment operators
  * Revert change of NOTHROW to NOEXCEPT
  * Blacklist task256322_highlight on OS X
  * Merge remote-tracking branch 'origin/5.4.2' into 5.4
  * Merge "Merge remote-tracking branch 'origin/5.4.2' into 5.4" into refs/staging/5.4
  * Merge remote-tracking branch 'origin/5.4' into merge5.5
  * Merge "Merge remote-tracking branch 'origin/5.4' into merge5.5" into refs/staging/5.5
  * Optionally apply orientation on QImage read
  * Better match thin font styles
  * Do not modify decoder when determining image-format
  * Adjust curveThreshold based on strokeWidth
  * Remove unused call indirection
  * Combine x and y oriented sample helpers
  * Fix combobox regression 5.4 -> 5.5
  * Fix subpixel rendered text in QGLWidget
  * Fix wrong method name in QColor documentation
  * Syntax clean up in qimagescale
  * Fix premul conversion from ARGB32 to A2RGB30 formats.
  * Font definitions with different style names are not equal
  * Make logicalDpi consistent in relation to device pixel ratio
  * Remove unused and unneeded subimage scaling
  * Extend generated style strings to include new font weights
  * Export gamma setting and metadata in QImageReader
  * Fix decoding of JPEGs with invalid EXIF headers
  * Fix simple semi-transparent blending of RGB32 on RGB30
  * Fix A2RGB30 compositing tests
  * Fix compile error on big endian
  * Fix separate_debug_info with unversioned_libname
  * Always return grayscale indexed8 from QImage::alphaChannel()
  * Fix out-of-buffer read on image upscale
  * Fix repremultiply from RGB64 to RGB30
  * Fix double initialization of QRgba64 with C++14
  * Optimize set color component in RGBA64
  * Update KDE theme defaults for Plasma 5.
  * Use a power of two division factor
  * Set private inline QRgba64 methods always inline
  * Fix QT_CPU_FEATURES
  * Fix inplaceRgbConversion test on non-x86
  * Detect NEON on AArch64
  * Add AArch64 ASM to qimage_neon.cpp
  * Detect alpha8 as having alpha-pixels
  * Enable AArch64 versions of ARGB32 NEON drawhelpers
  * QImage pixelColor and setPixelColor must use unpremultiplied QColor
  * NEON optimized qimagescale
  * Initialize function tables without QGuiApplication
  * NEON optimized bilinear sampling
  * Use Q_CONSTRUCTOR_FUNCTION instead of doing the same manually
  * Default to OpenGLES when building with -opengl es2
  * Use backing store formats with alpha
  * Optimize OpenGL binding of ARGB32PM backing store
  * Handle RGB30 formats in OpenGL backing-store integration
  * Lock qfontdatabase mutex in qt_fallbacksForFamily
  * Remove dead code from QOpenGLPaintEngine
  * Fix rounding error in fetchTransformedBilinear
  * Improve QCOMPARE output of char comparisons
  * SSSE3 optimized store of 24-bit formats
  * Merge convert from routines
  * Avoid qMin in format conversions when possible
  * Optimized fetchUntransformed RGB888
  * Fix MIPS DSP optimized fetchUntransformed
  * Xft antialias settings must not override requested NoAntialias
  * Enable most of tst_qstatictext on non-developer builds
  * Correct qt_defaultDpi X/Y with just a QCoreApplication
  * Accept partial line scrolls
  * Do not clip or rasterize paths completely outside the device rect
  * Cleanup conversion parameters
  * Implement ordered dithering for image format conversions
  * Use QTransform instead of doing transforms manually
  * Skip old benchmark that doesn't build automatically
  * Avoid conversion warnings in qrgba64.h
  * Fix perspective clipping regression
  * Avoid processing bezier curves that will be clipped anyway
  * Fix clipping of wave underline decoration on certain fonts
  * Optimize convert_Indexed8_to_X32
  * Add missing indentation
  * Fix scroll regression near scroll-view ends
  * Fix underline position on Liberation Mono
  * Fix building with -qreal float
  * Optimize QImage checkForAlphaPixels
  * Correct compositionMode documentation
  * Do an actual toString conversion for QVariant test failures
  * Fix font-weight regression
  * Fix zero-as-null-pointer-constant in wayland compositor api
  * Remove QWidgetBackingStore::fullUpdatePending
  * Fix QWidgetBackingStore::isDirty() for render-to-texture widgets
  * Fix regression in simple RGB16->RGB16 scaling
  * Correct framework config options to remain as they used to
  * Handle QVariantHash in QJsonDocument::fromVariant
  * Remove unused NativeImage
  * Improve accuracy in fast path bilinear sampling
  * Update qcssscanner so it can parse our normal offline documentation CSS
  * Fix regression in rotated bilinear sampling
  * Handle indirect sibling selector
  * Register sub-families as separate fonts
  * Cleanup canonical font name lookup
  * Fix registered style name of sub-families
  * Fix grayscale painting regression in 64-bit raster engine
  * Fix 64-bit bilinear scaled image sampling
  * Improve vectorized bound calculations
  * Avoid synthesizing stretch on condensed font families
  * Fix alpha from qfontengine_ft to fit qdrawhelper expectations
  * Protect QImage::convertToFormat against null QImage
  * Register fonts with their given style name
  * Do not disable subpixel rendering on compile time
  * Remove type-punned unions
  * Add NEON optimization of rotated bilinear sampling
  * Support C++17 fallthrough attribute
  * Fix reading of font names
  * Correct use of qt_div_255
  * Optimize the simple QImage flip used by OpenGL
  * Ensure the fontdatabase is initialized when requesting fallbacks
  * Fix crash when rendering to grayscale8 images
  * Do not force the default fontconfig configuration
  * Minor improvements to bilinear filtering
  * Make blendPixel function general
  * Fix Linux build without XINPUT2
  * Minimize register conversions in NEON optimization
  * Add AVX2 versions of the fast blending functions
  * Simplify source fetch qdrawhelper tables
  * Save memcpy when converting to 32bit formats
  * Fix linear RGB16 gradients
  * Deduplication fetchTransformed
  * Extend tested formats in lancelot
  * Fix qt_blend_rgb32_on_rgb32_avx2
  * Fix PrintScreen mapping on macOS and more
  * Fix multimedia print key mapping
  * Fix QPixelFormat::typeInterpretation() for Format_RGB888
  * Avoid auto-vectorization of epilogues of manual vectorization
  * Fix crash in QPainter benchmark test
  * Fix gradient race condition / read-after-free
  * Blacklist tst_MacNativeEvents::testMouseEnter
  * Fix illegal memory access on simple image rotates
  * Make self-contained test of condensed font matching and width
  * Fix tiling on a width over 2048
  * QVariant to QJsonValue::Null conversion
  * Remove a few unnecessary recalculations of hash
  * Improve use of QHash to minimize double hashing
  * Disable PCH for qdrawhelper.cpp with GCC 5
  * Improve error offset in JSON parsing
  * Improve QMake JSON error
  * Speculative fix for tst_QThread::wait2() flakiness
  * Register fonts with preferred names on Windows
  * Revert "Revert "Deduplication fetchTransformed""
  * Optimize fontdatabase fallbacksForFamily
  * Replace QDrawHelperGammaTables with QColorProfile
  * Fix bilinear sampling of more than 8x rotated transforms
  * Fix clipping of fetchTransformed
  * Optimize RGBA64 toArgb32
  * Optimized LCD text blending
  * Fix blending of RGB32 on RGB32 with partial opacity
  * Cleanup  convert_ARGB_to_ARGB_PM_inplace_sse2
  * Fix qdrawhelper function toRGB64
  * Fix inconsistent alpha masking in qConvertARGB32PMToARGB64PM_sse2
  * Cleanup memrotate functions
  * Use RGB64 qdrawhelper routines for unpremultiplied formats
  * Fix gcc 6.4 builds
  * Lower timeout on tst_QSemaphore::tryAcquireWithTimeout
  * Silence implicit-fallthough warnings
  * Avoid using QRgba64 for buffers
  * Add generic device for general cross-building
  * Silence maybe_uninitialized warning with gcc -Og
  * Fix GCC 7 developer build
  * Split fetchTransformedBilinearARGB32PM
  * Fix regression in handling Chinese system default font
  * Fix toArgb32 on NEON
  * Introduce QImage::reinterpretAsFormat
  * Fix registration of system default font
  * Fix MIPS32 processor detection
  * Enable gamma-correction on a face-by-face basis
  * Improve QTest::qWait() precision and switch to QDeadlineTimer
  * QVariant of nullptr should always be null
  * Make wheelScrollLines a QStyleHint
  * Use QImage::reinterpretAsFormat in QPixmap
  * Optimize debug builds when -Og is available
  * Fix MIPS DSP configuration
  * Manually vectorize ARGB32toARGB32PM for SSE4.1 and NEON
  * Implement clip part of qt_alphamapblit_quint16
  * Implement generic text blend routines
  * Update qtgrayraster.c
  * Use native support for fp16 where available
  * Don't fetch destination in RGB64 mode when not necessary
  * Fix QRgba64 rgbBlend
  * Fix wrong access to qMemRotateFunctions
  * Do not include qfloat16 tables in arm64 builds
  * Add AVX2 optimized bilinear texture transform
  * Avoid QRgba64 arrays in the generic text-rendering routines
  * Clean-up QRgba64 constructors
  * Add lancelot test to exercise tiled non-ARGB32PM bilinear filtering
  * Include missing errno.h
  * Split fetchTransformedBilinear and fetchTransformedBilinear64
  * Annotate more implicit fallthroughs
  * Fix stretch of QRawFonts
  * Copy stretch to multifont fontDef
  * Fix PNGs saved from QImage transform of 8-bit images
  * Fix return of empty paths with multiple points on intersections
  * Add configure flag to optimize Qt for size
  * Cleanup rgb32 text-blending code path
  * Handle implicit close in QDashedStrokeProcessor
  * Revert gamma-corrected handling of transparent destination buffer
  * Add test-case for intersection equality
  * Fix painterpath rect intersections with points on the rect
  * Add QPolygon::intersects() methods
  * Optimize conversion from unpremultiplied to opaque formats
  * Claim alpha8 is premultiplied
  * Do not use FT_LOAD_TARGET_LCD when full hinting is requested
  * Do not always use argb32pm for subsurfaces
  * Fix semi-opaque linear gradient on ARGB32
  * Implement remaining porter-duff compositions for rgb64
  * Translate the adjusted deviceWindowRect with an adjusted offset
  * Follow KDE settings for menu and toolbar fonts
  * Fix reading qle_signedbitfield as int
  * Fix tst_QImageReader::imageFormatBeforeRead
  * Mark bswap and related methods constexpr
  * Move endian integers to qendian_p.h
  * Improve rounding of QRect::toRect
  * Move qle_bitfield to qendian_p.h
  * Switch QSemaphore::tryAcquire to using QDeadlineTimer
  * Fix BMP ImageFormat for semi-transparent files
  * Fix polygon stroking with cosmetic pen
  * Allow QImage with more than 2GByte of image data
  * Move endian-specific integer types to public qtendian header
  * Fix buffer overflow in text blending
  * Fix deprecation warnings
  * Handle conversion and comparison between qvarianthash and qvariantmap
  * Allow fusion style to follow platform theme on button icons
  * Read more KDE configuration in the KDE platform theme
  * Improve symmetry of variant json conversions
  * Fix composition on xcb with misconfigured ibus
  * Fix precisions check for using fast transforms
  * Allow conversion of QVariants with real null values
  * Fix RGBA64 interpolation when x remainder equals zero
  * QVariants of null pointers should be null
  * Implement conversion from nullptr QVariant to QString and QByteArray
  * Fix handling of mirroring upscaling in simple bilinear upscaler
  * Avoid assert on large clips in qt_alphamapblit_generic
  * Fix convertToFormat with color-tables
  * Hide ibus IM on password fields
  * Fix saving QImage with longer than necessary bytes-per-line
  * Fix crash with clips entirely outside glyph map
  * Handle endian mismatch between X11 client and server
  * Fix zero-length lines with scaling
  * xcb: Unify visual to QImage::Format logic
  * Enable patent-free LCD rendering with FreeType 2.8.1
  * Revert "Do not include qfloat16 tables in arm64 builds"
  * Merge remote-tracking branch 'origin/5.10' into dev
  * Cleanup of qcompositionfunctions
  * Fix memory corruption on scaled emojis
  * Fix narrowing warning on MSVC
  * Expand ARGB32ToARGB32PM to also work on 32-bit ARM neon
  * Document interaction of style name and other style properties
  * Add functions for fast bulk conversion of qfloat16
  * Fix qFloatFromFloat16_fast on NEON
  * Fix search-replaced broken comment
  * Fix regression in painted emoji offset
  * Fix namespaced linux builds
  * Use dependencies instead of CONFIG+=ordered
  * Paint text decoration where the text is
  * Mask potentially undefined alpha in blend_transformed_argb
  * Generate gdb indexing for faster debugging on Linux
  * Fix drawing color fonts with shear and perspective transforms
  * Add AVX2 optimized versions of the most basic RGB64 compositions
  * Update qurltlds_p.h
  * Avoid providing bad pixelDeltas on X11
  * Fix regression in painted emoji offset
  * Let XFCE use Xft settings
  * Fix gcc 8 string-op-truncation warning
  * Fix cast-function-type gcc 8 warning
  * Add rvalue overload of insert/prepend to QVarLengthArray and QVector
  * Correct since value of QNetworkRequest::Http2DirectAttribute
  * Document the new qfloat16 functions with the other qfloat16 functions
  * Add support for converting from std::variant
  * Fix broken rendering of RGB30 and ARGB32 on machines with AVX2
  * Add documentation entries for new qvector/qvarlength methods
  * Unalias some core drawhelper loops
  * Add drawTexture benchmark
  * simd.prf: Add support for compiling .c sources with the C compiler
  * Fix missing override warning
  * Fix compiling qfloat16_f16c.c with C89 compiler
  * Fix of flaky qFutureAssignmentLeak test
  * Fix QXcbScreen::format() when rgb-swap is needed
  * Add support for advanced blend equations to our OpenGL QPainter
  * Use simple scaling for downscaling less than 2x
  * Fix scaling precision with large zooms
  * Remove RGB16 specific bilinear transform
  * Add generic optimized rectfill methods
  * Fix performance regression in simple a8 non-gamma corrected
  * Switch lancelot from QRegExp to QRegularExpressions
  * Expose gdb-index as configure argument
  * Detect C standard and try using the most recent
  * Avoid destStore64 when pixels are just repeating
  * Avoid of bounds memory reads when scaling and mirroring images
  * Remove bit details from QPixelLayout
  * Add lancelot based benchmark
  * Parse XDG_SESSION_TYPE and use that to determine default platform
  * Generalize composition functions
  * Remove last uses of interpolate_4_pixels_16 on SSE2 and NEON
  * Cut down on drawPixmap and drawImage combinations
  * Use optimize_size instead of duplicating similar logic
  * Also support reset notification on non-nvidia
  * Detect C standard and try using the most recent one (take 2)
  * Fix division by zero in radial gradiants with NEON
  * Don't crash on <br> following a <table>
  * Merge drawhelper convert-from and store
  * Optimize direct argb32 blend functions
  * Optimize intermediate_adder_avx2
  * Get rid of argb32->argb32pm routines in qimage
  * Reapply SSE4 acceleration to ARGB32->ARGB32PM conversion
  * Optimize unpremultiply using SSE rcp
  * Improve bounding rect of QStaticText with Qt::PlainText
  * Fix potential 16-bit integer overflow
  * Use qFuzzyCompare instead of qFuzzyIsNull in QPointF ==
  * Reduce recent performance regression
  * Document qRound's rounding semantics
  * Fix clang develop build
  * Render QOpenGLWidget/QQuickWidget with AlwaysStackOnTop
  * Fix HDR format in QOpenGLFramebufferObject::toImage()
  * Handle negative leading in layout
  * Optimize fetchTransformed and removed specialized versions
  * Fix black border around main widget with non-integer scaling
  * Do not update scroll coordinates on ignorable enter events
  * Provide access to QSslCertificate on OpenSSL free Windows builds
  * Fix regression in QPointF::operator==
  * Improve output of Q_ENUM
  * Fix moc'ing of enum class flags
  * Move texture uploading out of QOpenGLTextureCache
  * Fixup GL_RGB10 FBO on OpenGL/ES3
  * Fix tiling of NPOT textures on GL/ES
  * Add missing optimization for loading RGB32 to RGBA64 using NEON
  * Optimize blits of any compatible formats
  * Fix conversion from transparent indexed8 to RGB32
  * Don't ignore alpha values in grabFramebuffer methods
  * Fix QMetaObject naming of class enum flag
  * Implement support for 16bpc image formats
  * Add debug output for single enum flags
  * Fix possible heap corruption in QXmlStream
  * Add direct conversions between RGB30<->RGBA8888
  * Add displayName getters to QSslCertificate
  * Fix big-endian build
  * Smooth image scaling for 64bit images
  * Fix big-endian build of qopengltextureuploader
  * Handle uploading of faked sub-images
  * Fix out of buffer access in qt_qimageScaleRgba64_up_xy
  * Avoid conversion over RGBA64 for RGB32 LCD text blending
  * Fix reading 16bpc grayscale PNGs
  * Add optimized fetch ARGB32 routines for NEON
  * Fix XCB on endian mismatched client and server with SHM off
  * Disable RGB64 backend for ARGB32 when it will be very slow
  * Re-enable thread autotests
  * More fixups for GL_CONTEXT_LOST
  * Restore styling of QDockWidget title font
  * Optimize gamma-table lookup on SSE2 and NEON
  * Fix builds without DTLS
  * Add NEON optimized ARGB32 unpremultiply routines
  * Add missing null checks after detach
  * Add support font-kerning CSS3 property
  * Report compiler and version in configure overview
  * Fix launching with depth 30 XOrg
  * Fix enum passed to QFontDatabase::findFont
  * Fix odd test in tst_qflags
  * Move arthurwidget based examples to new QOpenGL classes
  * Fix scrollbar updates in QPlaintTextEdit on block-visibility changes
  * Treat shorts as int in QVariant::canConvert()
  * Fix build with -qt-libpng on powerpc
  * Enable swizzling
  * White-list more recent Mesa version for multi-threading
  * Fix matching semi-transparent formats
  * Fix composition example during OpenGL resizes
  * Avoid crashing with opaque opacity effect
  * Add Q_FALLTHROUGH to qdrawhelper_neon.cpp
  * Fix test for multiscreen
  * Fix no-opengl developer builds
  * Fix image grab when XCB is rgb-swapping
  * Make QThreadPool::waitForDone more atomic
  * Fix precision in parsing hex format QColors
  * Support table border color and cellpadding in ODF writer
  * Fix compile issue with gcc 9
  * Remove unnecessary drawhelper member
  * Change qopenglext to match official Khronos headers
  * Cleanup gradient blending
  * Generalize fill span optimization
  * Add qfloat16 support to QCOMPARE
  * Remove macOS specific path that causes reverse vertical advance
  * Optimize QRgba64::toArgb32() and premultiplied()
  * Fix tst_QStyleSheetStyle crash on uncommon multi-screen setup
  * Ensure alignment of image-data
  * Fix crash in qmake parsing
  * Fix gamma-correction in QCoreTextFontEngine with Mojave
  * Fix alignment of temporary QRgba64 buffers on win32
  * Revert "Ensure alignment of image-data"
  * Avoid crash in blitting or fast draw when QPointF is too big
  * Add a qt_memfill24 implementation
  * Add Grayscale16 Image Format
  * Fix warnings building with --std=c++11 and gcc 8
  * Optimize ARGB32->RGBA64PM better
  * Make convert_generic_to_rgb64 more generic
  * Fix resolve() on fonts returned from QWidget::font()
  * Fix building offscreen QPA with Qt XCB
  * Avoid picking worse formats when matching compatible formats
  * Fix regression in QPlainTextEdit updating
  * Fix merge mistake in 'Avoid picking worse formats when ...'
  * Fix convertARGBToARGB32PM_avx2 and convertARGBToRGBA64PM_avx2
  * Switch epilogues of AVX2 conversions to single step
  * Improve ARGB32ToRGBA64 conversions
  * Long live QColorSpace and friends
  * Remove old dead code
  * Simplify freetype rendering
  * Avoid creating wide images with negative bytesPerLine
  * Fix race in colorspace LUT generation
  * Blacklist nouveau and llvmpipe for multithreading
  * Prefer BGRA uploading to swizzling
  * Don't split bezier curves that are already just a line
  * Remove handling of missing Q_COMPILER_RVALUE_REFS
  * Remove handling of missing =delete and =default support
  * Custom color-space based on chromaticities
  * Remove handling of missing Q_COMPILER_INITIALIZER_LISTS
  * Use -Wextra instead -W
  * Enable warnings_are_errors builds for MSVC 2017
  * Move away from using 0 as a pointer constant
  * Handle when XVisuals lose the alpha channel of the FBConfig
  * Clean up QTextStream functions
  * Use QScopedValueRollback more as a reentrancy guard
  * Use move more consistently in QScopedValueRollback
  * Remove blacklisting of tst_qsslsocket_onDemandCertificates_member
  * Speculative fix for building on INTEGRITY with ARM NEON
  * Fix remaining Q_DECL_OVERRIDE instances
  * Remove special NOTHROW handling
  * Replace Q_NULLPTR with nullptr in corelib
  * Replace Q_DECL_NOEXCEPT with noexcept in corelib
  * Update scanline documentation
  * Fix recursive include
  * Clang_cl: Use -O3 for full optimization
  * Remove remaining Q_DECL_NOEXCEPT/Q_DECL_NOTHROW usage
  * Replace Q_DECL_NOEXCEPT with noexcept in QtGui
  * Replace qMove with std::move
  * Remove handling of missing very old compiler feature check
  * Remove handling of missing Q_COMPILER_CLASS_ENUM
  * Be more precise in calculating start point of fast scaling
  * Remove handling of missing Q_COMPILER_RVALUE_REFS
  * Make the 64 bit raster backend an optional feature
  * Replace Q_DECL_NOTHROW with noexcept the remaining places
  * Update precompiled headers
  * Fix precompiled headers with clang-cl
  * Fix reference to a dead temporary
  * Fix invalid vptr during destruction of animations
  * Change default of optimize-debug to off for developer-builds
  * Add Extended RGB model to QColor
  * Fix threaded QOpenGL when robustness is requested
  * Rename c++1z to c++17 in the configure api
  * Add qmake support for c++2a
  * Fix -Wdeprecated-copy warnings
  * Only call addFontToDatabase once per family,style
  * Add unvectorized fallback in case FP exceptions are not masked
  * Fix new[] delete mismatch in test
  * Fix controlling gdb_index from configure line
  * Use Xft DPI as basis for HiDPI scaling
  * Remove binary compat qimage methods
  * Output all font families in HTML output
  * Handle multiple font-families in <font> face attribute
  * Fix android architecture detection
  * Remove QColorTransform::isNull
  * ABI fixups for QColorSpace
  * Protect against integer overflow in painting transformed images
  * Parse PNG cHRM chunks
  * Fix lancebench results oddness
  * Remove public d_func from QColorSpace
  * Fix comparisons of image with different color spaces
  * Add support for saving colorspace to PNGs
  * Harden ICC parser
  * Parse color space name from ICC profile
  * Fix QColorTransform memory leak
  * Improve our color space terminology
  * Add an easier way to change colorspaces
  * Kill all QPictureIO
  * Support missing white-space:pre-line CSS
  * Fix tst_QImageReader::saveColorSpace
  * Fix crash in optimized solid fills on RGBA64PM
  * Fix -no-feature-mimetype build
  * Fix disabling bearermanagement
  * Fix building with -no-feature-codecs
  * Support writing color space profile in JPEG
  * Fix tst_bench_qimagereader
  * Introduce QImage::Format_BGR888
  * Merge remote-tracking branch 'origin/5.12' into 5.13
  * Merge "Merge remote-tracking branch 'origin/5.12' into 5.13"
  * Fixup move semantics of QColorSpace
  * Fixup includes
  * Merge memrotate and blit feasability checks
  * Combine BGR30_to_RGB30 and BGR888_to_RGB888
  * Remove BT.2020 support from QColorSpace
  * Handle robustness with OpenGL < 4.0
  * Handle transparent pen color in fast text path
  * Fix crash with gamma-corrected text blending disabled
  * Do not pass nullptr as '%s'
  * Handle returned bitmap glyph when not requested
  * Fix robustness detection for windows
  * Fix vertical advance for printing on macOS
  * Fix text-rendering regression on semi-transparent background on Linux
  * Remove old resizing inplace QImage converters
  * Fix 64-bit integer support in QtJSON
  * Fix accuracy of ARGB32->A2RGB30 conversions
  * Implement inplace image conversion for generic down conversions
  * Deprecate constructing QFlags from a pointer
  * Fix Qt6 TODOs in qcolor
